# Constant Field Values

## com.sun.*

- com.sun.java.accessibility.util.EventID
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTION`
  `0`
  `public static final int`
  `ADJUSTMENT`
  `1`
  `public static final int`
  `ANCESTOR`
  `12`
  `public static final int`
  `CARET`
  `13`
  `public static final int`
  `CELLEDITOR`
  `14`
  `public static final int`
  `CHANGE`
  `15`
  `public static final int`
  `COLUMNMODEL`
  `16`
  `public static final int`
  `COMPONENT`
  `2`
  `public static final int`
  `CONTAINER`
  `3`
  `public static final int`
  `DOCUMENT`
  `17`
  `public static final int`
  `FOCUS`
  `4`
  `public static final int`
  `INTERNALFRAME`
  `29`
  `public static final int`
  `ITEM`
  `5`
  `public static final int`
  `KEY`
  `6`
  `public static final int`
  `LISTDATA`
  `18`
  `public static final int`
  `LISTSELECTION`
  `19`
  `public static final int`
  `MENU`
  `20`
  `public static final int`
  `MOTION`
  `8`
  `public static final int`
  `MOUSE`
  `7`
  `public static final int`
  `POPUPMENU`
  `21`
  `public static final int`
  `PROPERTYCHANGE`
  `27`
  `public static final int`
  `TABLEMODEL`
  `22`
  `public static final int`
  `TEXT`
  `10`
  `public static final int`
  `TREEEXPANSION`
  `23`
  `public static final int`
  `TREEMODEL`
  `24`
  `public static final int`
  `TREESELECTION`
  `25`
  `public static final int`
  `UNDOABLEEDIT`
  `26`
  `public static final int`
  `VETOABLECHANGE`
  `28`
  `public static final int`
  `WINDOW`
  `11`

- com.sun.jdi.ClassType
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVOKE_SINGLE_THREADED`
  `1`
- com.sun.jdi.ObjectReference
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVOKE_NONVIRTUAL`
  `2`
  `public static final int`
  `INVOKE_SINGLE_THREADED`
  `1`
- com.sun.jdi.ThreadReference
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `THREAD_STATUS_MONITOR`
  `3`
  `public static final int`
  `THREAD_STATUS_NOT_STARTED`
  `5`
  `public static final int`
  `THREAD_STATUS_RUNNING`
  `1`
  `public static final int`
  `THREAD_STATUS_SLEEPING`
  `2`
  `public static final int`
  `THREAD_STATUS_UNKNOWN`
  `-1`
  `public static final int`
  `THREAD_STATUS_WAIT`
  `4`
  `public static final int`
  `THREAD_STATUS_ZOMBIE`
  `0`
- com.sun.jdi.VirtualMachine
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TRACE_ALL`
  `16777215`
  `public static final int`
  `TRACE_EVENTS`
  `4`
  `public static final int`
  `TRACE_NONE`
  `0`
  `public static final int`
  `TRACE_OBJREFS`
  `16`
  `public static final int`
  `TRACE_RECEIVES`
  `2`
  `public static final int`
  `TRACE_REFTYPES`
  `8`
  `public static final int`
  `TRACE_SENDS`
  `1`

- com.sun.jdi.request.EventRequest
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SUSPEND_ALL`
  `2`
  `public static final int`
  `SUSPEND_EVENT_THREAD`
  `1`
  `public static final int`
  `SUSPEND_NONE`
  `0`
- com.sun.jdi.request.StepRequest
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `STEP_INTO`
  `1`
  `public static final int`
  `STEP_LINE`
  `-2`
  `public static final int`
  `STEP_MIN`
  `-1`
  `public static final int`
  `STEP_OUT`
  `3`
  `public static final int`
  `STEP_OVER`
  `2`

- com.sun.management.GarbageCollectionNotificationInfo
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GARBAGE_COLLECTION_NOTIFICATION`
  `"com.sun.management.gc.notification"`

- com.sun.security.auth.module.JndiLoginModule
  Modifier and Type
  Constant Field
  Value
  `public final String`
  `GROUP_PROVIDER`
  `"group.provider.url"`
  `public final String`
  `USER_PROVIDER`
  `"user.provider.url"`

- com.sun.tools.jconsole.JConsoleContext
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONNECTION_STATE_PROPERTY`
  `"connectionState"`

## java.awt.*

- java.awt.Adjustable
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HORIZONTAL`
  `0`
  `public static final int`
  `NO_ORIENTATION`
  `2`
  `public static final int`
  `VERTICAL`
  `1`
- java.awt.AlphaComposite
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLEAR`
  `1`
  `public static final int`
  `DST`
  `9`
  `public static final int`
  `DST_ATOP`
  `11`
  `public static final int`
  `DST_IN`
  `6`
  `public static final int`
  `DST_OUT`
  `8`
  `public static final int`
  `DST_OVER`
  `4`
  `public static final int`
  `SRC`
  `2`
  `public static final int`
  `SRC_ATOP`
  `10`
  `public static final int`
  `SRC_IN`
  `5`
  `public static final int`
  `SRC_OUT`
  `7`
  `public static final int`
  `SRC_OVER`
  `3`
  `public static final int`
  `XOR`
  `12`
- java.awt.AWTEvent
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `ACTION_EVENT_MASK`
  `128L`
  `public static final long`
  `ADJUSTMENT_EVENT_MASK`
  `256L`
  `public static final long`
  `COMPONENT_EVENT_MASK`
  `1L`
  `public static final long`
  `CONTAINER_EVENT_MASK`
  `2L`
  `public static final long`
  `FOCUS_EVENT_MASK`
  `4L`
  `public static final long`
  `HIERARCHY_BOUNDS_EVENT_MASK`
  `65536L`
  `public static final long`
  `HIERARCHY_EVENT_MASK`
  `32768L`
  `public static final long`
  `INPUT_METHOD_EVENT_MASK`
  `2048L`
  `public static final long`
  `INVOCATION_EVENT_MASK`
  `16384L`
  `public static final long`
  `ITEM_EVENT_MASK`
  `512L`
  `public static final long`
  `KEY_EVENT_MASK`
  `8L`
  `public static final long`
  `MOUSE_EVENT_MASK`
  `16L`
  `public static final long`
  `MOUSE_MOTION_EVENT_MASK`
  `32L`
  `public static final long`
  `MOUSE_WHEEL_EVENT_MASK`
  `131072L`
  `public static final long`
  `PAINT_EVENT_MASK`
  `8192L`
  `public static final int`
  `RESERVED_ID_MAX`
  `1999`
  `public static final long`
  `TEXT_EVENT_MASK`
  `1024L`
  `public static final long`
  `WINDOW_EVENT_MASK`
  `64L`
  `public static final long`
  `WINDOW_FOCUS_EVENT_MASK`
  `524288L`
  `public static final long`
  `WINDOW_STATE_EVENT_MASK`
  `262144L`
- java.awt.BasicStroke
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CAP_BUTT`
  `0`
  `public static final int`
  `CAP_ROUND`
  `1`
  `public static final int`
  `CAP_SQUARE`
  `2`
  `public static final int`
  `JOIN_BEVEL`
  `2`
  `public static final int`
  `JOIN_MITER`
  `0`
  `public static final int`
  `JOIN_ROUND`
  `1`
- java.awt.BorderLayout
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AFTER_LAST_LINE`
  `"Last"`
  `public static final String`
  `AFTER_LINE_ENDS`
  `"After"`
  `public static final String`
  `BEFORE_FIRST_LINE`
  `"First"`
  `public static final String`
  `BEFORE_LINE_BEGINS`
  `"Before"`
  `public static final String`
  `CENTER`
  `"Center"`
  `public static final String`
  `EAST`
  `"East"`
  `public static final String`
  `LINE_END`
  `"After"`
  `public static final String`
  `LINE_START`
  `"Before"`
  `public static final String`
  `NORTH`
  `"North"`
  `public static final String`
  `PAGE_END`
  `"Last"`
  `public static final String`
  `PAGE_START`
  `"First"`
  `public static final String`
  `SOUTH`
  `"South"`
  `public static final String`
  `WEST`
  `"West"`
- java.awt.Component
  Modifier and Type
  Constant Field
  Value
  `public static final float`
  `BOTTOM_ALIGNMENT`
  `1.0f`
  `public static final float`
  `CENTER_ALIGNMENT`
  `0.5f`
  `public static final float`
  `LEFT_ALIGNMENT`
  `0.0f`
  `public static final float`
  `RIGHT_ALIGNMENT`
  `1.0f`
  `public static final float`
  `TOP_ALIGNMENT`
  `0.0f`
- java.awt.Cursor
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CROSSHAIR_CURSOR`
  `1`
  `public static final int`
  `CUSTOM_CURSOR`
  `-1`
  `public static final int`
  `DEFAULT_CURSOR`
  `0`
  `public static final int`
  `E_RESIZE_CURSOR`
  `11`
  `public static final int`
  `HAND_CURSOR`
  `12`
  `public static final int`
  `MOVE_CURSOR`
  `13`
  `public static final int`
  `N_RESIZE_CURSOR`
  `8`
  `public static final int`
  `NE_RESIZE_CURSOR`
  `7`
  `public static final int`
  `NW_RESIZE_CURSOR`
  `6`
  `public static final int`
  `S_RESIZE_CURSOR`
  `9`
  `public static final int`
  `SE_RESIZE_CURSOR`
  `5`
  `public static final int`
  `SW_RESIZE_CURSOR`
  `4`
  `public static final int`
  `TEXT_CURSOR`
  `2`
  `public static final int`
  `W_RESIZE_CURSOR`
  `10`
  `public static final int`
  `WAIT_CURSOR`
  `3`
- java.awt.DisplayMode
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BIT_DEPTH_MULTI`
  `-1`
  `public static final int`
  `REFRESH_RATE_UNKNOWN`
  `0`
- java.awt.Event
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTION_EVENT`
  `1001`
  `public static final int`
  `ALT_MASK`
  `8`
  `public static final int`
  `BACK_SPACE`
  `8`
  `public static final int`
  `CAPS_LOCK`
  `1022`
  `public static final int`
  `CTRL_MASK`
  `2`
  `public static final int`
  `DELETE`
  `127`
  `public static final int`
  `DOWN`
  `1005`
  `public static final int`
  `END`
  `1001`
  `public static final int`
  `ENTER`
  `10`
  `public static final int`
  `ESCAPE`
  `27`
  `public static final int`
  `F1`
  `1008`
  `public static final int`
  `F10`
  `1017`
  `public static final int`
  `F11`
  `1018`
  `public static final int`
  `F12`
  `1019`
  `public static final int`
  `F2`
  `1009`
  `public static final int`
  `F3`
  `1010`
  `public static final int`
  `F4`
  `1011`
  `public static final int`
  `F5`
  `1012`
  `public static final int`
  `F6`
  `1013`
  `public static final int`
  `F7`
  `1014`
  `public static final int`
  `F8`
  `1015`
  `public static final int`
  `F9`
  `1016`
  `public static final int`
  `GOT_FOCUS`
  `1004`
  `public static final int`
  `HOME`
  `1000`
  `public static final int`
  `INSERT`
  `1025`
  `public static final int`
  `KEY_ACTION`
  `403`
  `public static final int`
  `KEY_ACTION_RELEASE`
  `404`
  `public static final int`
  `KEY_PRESS`
  `401`
  `public static final int`
  `KEY_RELEASE`
  `402`
  `public static final int`
  `LEFT`
  `1006`
  `public static final int`
  `LIST_DESELECT`
  `702`
  `public static final int`
  `LIST_SELECT`
  `701`
  `public static final int`
  `LOAD_FILE`
  `1002`
  `public static final int`
  `LOST_FOCUS`
  `1005`
  `public static final int`
  `META_MASK`
  `4`
  `public static final int`
  `MOUSE_DOWN`
  `501`
  `public static final int`
  `MOUSE_DRAG`
  `506`
  `public static final int`
  `MOUSE_ENTER`
  `504`
  `public static final int`
  `MOUSE_EXIT`
  `505`
  `public static final int`
  `MOUSE_MOVE`
  `503`
  `public static final int`
  `MOUSE_UP`
  `502`
  `public static final int`
  `NUM_LOCK`
  `1023`
  `public static final int`
  `PAUSE`
  `1024`
  `public static final int`
  `PGDN`
  `1003`
  `public static final int`
  `PGUP`
  `1002`
  `public static final int`
  `PRINT_SCREEN`
  `1020`
  `public static final int`
  `RIGHT`
  `1007`
  `public static final int`
  `SAVE_FILE`
  `1003`
  `public static final int`
  `SCROLL_ABSOLUTE`
  `605`
  `public static final int`
  `SCROLL_BEGIN`
  `606`
  `public static final int`
  `SCROLL_END`
  `607`
  `public static final int`
  `SCROLL_LINE_DOWN`
  `602`
  `public static final int`
  `SCROLL_LINE_UP`
  `601`
  `public static final int`
  `SCROLL_LOCK`
  `1021`
  `public static final int`
  `SCROLL_PAGE_DOWN`
  `604`
  `public static final int`
  `SCROLL_PAGE_UP`
  `603`
  `public static final int`
  `SHIFT_MASK`
  `1`
  `public static final int`
  `TAB`
  `9`
  `public static final int`
  `UP`
  `1004`
  `public static final int`
  `WINDOW_DEICONIFY`
  `204`
  `public static final int`
  `WINDOW_DESTROY`
  `201`
  `public static final int`
  `WINDOW_EXPOSE`
  `202`
  `public static final int`
  `WINDOW_ICONIFY`
  `203`
  `public static final int`
  `WINDOW_MOVED`
  `205`
- java.awt.FileDialog
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LOAD`
  `0`
  `public static final int`
  `SAVE`
  `1`
- java.awt.FlowLayout
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENTER`
  `1`
  `public static final int`
  `LEADING`
  `3`
  `public static final int`
  `LEFT`
  `0`
  `public static final int`
  `RIGHT`
  `2`
  `public static final int`
  `TRAILING`
  `4`
- java.awt.Font
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BOLD`
  `1`
  `public static final int`
  `CENTER_BASELINE`
  `1`
  `public static final String`
  `DIALOG`
  `"Dialog"`
  `public static final String`
  `DIALOG_INPUT`
  `"DialogInput"`
  `public static final int`
  `HANGING_BASELINE`
  `2`
  `public static final int`
  `ITALIC`
  `2`
  `public static final int`
  `LAYOUT_LEFT_TO_RIGHT`
  `0`
  `public static final int`
  `LAYOUT_NO_LIMIT_CONTEXT`
  `4`
  `public static final int`
  `LAYOUT_NO_START_CONTEXT`
  `2`
  `public static final int`
  `LAYOUT_RIGHT_TO_LEFT`
  `1`
  `public static final String`
  `MONOSPACED`
  `"Monospaced"`
  `public static final int`
  `PLAIN`
  `0`
  `public static final int`
  `ROMAN_BASELINE`
  `0`
  `public static final String`
  `SANS_SERIF`
  `"SansSerif"`
  `public static final String`
  `SERIF`
  `"Serif"`
  `public static final int`
  `TRUETYPE_FONT`
  `0`
  `public static final int`
  `TYPE1_FONT`
  `1`
- java.awt.Frame
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CROSSHAIR_CURSOR`
  `1`
  `public static final int`
  `DEFAULT_CURSOR`
  `0`
  `public static final int`
  `E_RESIZE_CURSOR`
  `11`
  `public static final int`
  `HAND_CURSOR`
  `12`
  `public static final int`
  `ICONIFIED`
  `1`
  `public static final int`
  `MAXIMIZED_BOTH`
  `6`
  `public static final int`
  `MAXIMIZED_HORIZ`
  `2`
  `public static final int`
  `MAXIMIZED_VERT`
  `4`
  `public static final int`
  `MOVE_CURSOR`
  `13`
  `public static final int`
  `N_RESIZE_CURSOR`
  `8`
  `public static final int`
  `NE_RESIZE_CURSOR`
  `7`
  `public static final int`
  `NORMAL`
  `0`
  `public static final int`
  `NW_RESIZE_CURSOR`
  `6`
  `public static final int`
  `S_RESIZE_CURSOR`
  `9`
  `public static final int`
  `SE_RESIZE_CURSOR`
  `5`
  `public static final int`
  `SW_RESIZE_CURSOR`
  `4`
  `public static final int`
  `TEXT_CURSOR`
  `2`
  `public static final int`
  `W_RESIZE_CURSOR`
  `10`
  `public static final int`
  `WAIT_CURSOR`
  `3`
- java.awt.GraphicsConfigTemplate
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `PREFERRED`
  `2`
  `public static final int`
  `REQUIRED`
  `1`
  `public static final int`
  `UNNECESSARY`
  `3`
- java.awt.GraphicsDevice
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TYPE_IMAGE_BUFFER`
  `2`
  `public static final int`
  `TYPE_PRINTER`
  `1`
  `public static final int`
  `TYPE_RASTER_SCREEN`
  `0`
- java.awt.GridBagConstraints
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ABOVE_BASELINE`
  `1024`
  `public static final int`
  `ABOVE_BASELINE_LEADING`
  `1280`
  `public static final int`
  `ABOVE_BASELINE_TRAILING`
  `1536`
  `public static final int`
  `BASELINE`
  `256`
  `public static final int`
  `BASELINE_LEADING`
  `512`
  `public static final int`
  `BASELINE_TRAILING`
  `768`
  `public static final int`
  `BELOW_BASELINE`
  `1792`
  `public static final int`
  `BELOW_BASELINE_LEADING`
  `2048`
  `public static final int`
  `BELOW_BASELINE_TRAILING`
  `2304`
  `public static final int`
  `BOTH`
  `1`
  `public static final int`
  `CENTER`
  `10`
  `public static final int`
  `EAST`
  `13`
  `public static final int`
  `FIRST_LINE_END`
  `24`
  `public static final int`
  `FIRST_LINE_START`
  `23`
  `public static final int`
  `HORIZONTAL`
  `2`
  `public static final int`
  `LAST_LINE_END`
  `26`
  `public static final int`
  `LAST_LINE_START`
  `25`
  `public static final int`
  `LINE_END`
  `22`
  `public static final int`
  `LINE_START`
  `21`
  `public static final int`
  `NONE`
  `0`
  `public static final int`
  `NORTH`
  `11`
  `public static final int`
  `NORTHEAST`
  `12`
  `public static final int`
  `NORTHWEST`
  `18`
  `public static final int`
  `PAGE_END`
  `20`
  `public static final int`
  `PAGE_START`
  `19`
  `public static final int`
  `RELATIVE`
  `-1`
  `public static final int`
  `REMAINDER`
  `0`
  `public static final int`
  `SOUTH`
  `15`
  `public static final int`
  `SOUTHEAST`
  `14`
  `public static final int`
  `SOUTHWEST`
  `16`
  `public static final int`
  `VERTICAL`
  `3`
  `public static final int`
  `WEST`
  `17`
- java.awt.GridBagLayout
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `MAXGRIDSIZE`
  `512`
  `protected static final int`
  `MINSIZE`
  `1`
  `protected static final int`
  `PREFERREDSIZE`
  `2`
- java.awt.Image
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SCALE_AREA_AVERAGING`
  `16`
  `public static final int`
  `SCALE_DEFAULT`
  `1`
  `public static final int`
  `SCALE_FAST`
  `2`
  `public static final int`
  `SCALE_REPLICATE`
  `8`
  `public static final int`
  `SCALE_SMOOTH`
  `4`
- java.awt.KeyboardFocusManager
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BACKWARD_TRAVERSAL_KEYS`
  `1`
  `public static final int`
  `DOWN_CYCLE_TRAVERSAL_KEYS`
  `3`
  `public static final int`
  `FORWARD_TRAVERSAL_KEYS`
  `0`
  `public static final int`
  `UP_CYCLE_TRAVERSAL_KEYS`
  `2`
- java.awt.Label
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENTER`
  `1`
  `public static final int`
  `LEFT`
  `0`
  `public static final int`
  `RIGHT`
  `2`
- java.awt.MediaTracker
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ABORTED`
  `2`
  `public static final int`
  `COMPLETE`
  `8`
  `public static final int`
  `ERRORED`
  `4`
  `public static final int`
  `LOADING`
  `1`
- java.awt.Scrollbar
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HORIZONTAL`
  `0`
  `public static final int`
  `VERTICAL`
  `1`
- java.awt.ScrollPane
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SCROLLBARS_ALWAYS`
  `1`
  `public static final int`
  `SCROLLBARS_AS_NEEDED`
  `0`
  `public static final int`
  `SCROLLBARS_NEVER`
  `2`
- java.awt.SystemColor
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTIVE_CAPTION`
  `1`
  `public static final int`
  `ACTIVE_CAPTION_BORDER`
  `3`
  `public static final int`
  `ACTIVE_CAPTION_TEXT`
  `2`
  `public static final int`
  `CONTROL`
  `17`
  `public static final int`
  `CONTROL_DK_SHADOW`
  `22`
  `public static final int`
  `CONTROL_HIGHLIGHT`
  `19`
  `public static final int`
  `CONTROL_LT_HIGHLIGHT`
  `20`
  `public static final int`
  `CONTROL_SHADOW`
  `21`
  `public static final int`
  `CONTROL_TEXT`
  `18`
  `public static final int`
  `DESKTOP`
  `0`
  `public static final int`
  `INACTIVE_CAPTION`
  `4`
  `public static final int`
  `INACTIVE_CAPTION_BORDER`
  `6`
  `public static final int`
  `INACTIVE_CAPTION_TEXT`
  `5`
  `public static final int`
  `INFO`
  `24`
  `public static final int`
  `INFO_TEXT`
  `25`
  `public static final int`
  `MENU`
  `10`
  `public static final int`
  `MENU_TEXT`
  `11`
  `public static final int`
  `NUM_COLORS`
  `26`
  `public static final int`
  `SCROLLBAR`
  `23`
  `public static final int`
  `TEXT`
  `12`
  `public static final int`
  `TEXT_HIGHLIGHT`
  `14`
  `public static final int`
  `TEXT_HIGHLIGHT_TEXT`
  `15`
  `public static final int`
  `TEXT_INACTIVE_TEXT`
  `16`
  `public static final int`
  `TEXT_TEXT`
  `13`
  `public static final int`
  `WINDOW`
  `7`
  `public static final int`
  `WINDOW_BORDER`
  `8`
  `public static final int`
  `WINDOW_TEXT`
  `9`
- java.awt.TextArea
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SCROLLBARS_BOTH`
  `0`
  `public static final int`
  `SCROLLBARS_HORIZONTAL_ONLY`
  `2`
  `public static final int`
  `SCROLLBARS_NONE`
  `3`
  `public static final int`
  `SCROLLBARS_VERTICAL_ONLY`
  `1`
- java.awt.Transparency
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BITMASK`
  `2`
  `public static final int`
  `OPAQUE`
  `1`
  `public static final int`
  `TRANSLUCENT`
  `3`

- java.awt.color.ColorSpace
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CS_CIEXYZ`
  `1001`
  `public static final int`
  `CS_GRAY`
  `1003`
  `public static final int`
  `CS_LINEAR_RGB`
  `1004`
  `public static final int`
  `CS_PYCC`
  `1002`
  `public static final int`
  `CS_sRGB`
  `1000`
  `public static final int`
  `TYPE_2CLR`
  `12`
  `public static final int`
  `TYPE_3CLR`
  `13`
  `public static final int`
  `TYPE_4CLR`
  `14`
  `public static final int`
  `TYPE_5CLR`
  `15`
  `public static final int`
  `TYPE_6CLR`
  `16`
  `public static final int`
  `TYPE_7CLR`
  `17`
  `public static final int`
  `TYPE_8CLR`
  `18`
  `public static final int`
  `TYPE_9CLR`
  `19`
  `public static final int`
  `TYPE_ACLR`
  `20`
  `public static final int`
  `TYPE_BCLR`
  `21`
  `public static final int`
  `TYPE_CCLR`
  `22`
  `public static final int`
  `TYPE_CMY`
  `11`
  `public static final int`
  `TYPE_CMYK`
  `9`
  `public static final int`
  `TYPE_DCLR`
  `23`
  `public static final int`
  `TYPE_ECLR`
  `24`
  `public static final int`
  `TYPE_FCLR`
  `25`
  `public static final int`
  `TYPE_GRAY`
  `6`
  `public static final int`
  `TYPE_HLS`
  `8`
  `public static final int`
  `TYPE_HSV`
  `7`
  `public static final int`
  `TYPE_Lab`
  `1`
  `public static final int`
  `TYPE_Luv`
  `2`
  `public static final int`
  `TYPE_RGB`
  `5`
  `public static final int`
  `TYPE_XYZ`
  `0`
  `public static final int`
  `TYPE_YCbCr`
  `3`
  `public static final int`
  `TYPE_Yxy`
  `4`
- java.awt.color.ICC_Profile
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLASS_ABSTRACT`
  `5`
  `public static final int`
  `CLASS_COLORSPACECONVERSION`
  `4`
  `public static final int`
  `CLASS_DEVICELINK`
  `3`
  `public static final int`
  `CLASS_DISPLAY`
  `1`
  `public static final int`
  `CLASS_INPUT`
  `0`
  `public static final int`
  `CLASS_NAMEDCOLOR`
  `6`
  `public static final int`
  `CLASS_OUTPUT`
  `2`
  `public static final int`
  `icAbsoluteColorimetric`
  `3`
  `public static final int`
  `icCurveCount`
  `8`
  `public static final int`
  `icCurveData`
  `12`
  `public static final int`
  `icHdrAttributes`
  `56`
  `public static final int`
  `icHdrCmmId`
  `4`
  `public static final int`
  `icHdrColorSpace`
  `16`
  `public static final int`
  `icHdrCreator`
  `80`
  `public static final int`
  `icHdrDate`
  `24`
  `public static final int`
  `icHdrDeviceClass`
  `12`
  `public static final int`
  `icHdrFlags`
  `44`
  `public static final int`
  `icHdrIlluminant`
  `68`
  `public static final int`
  `icHdrMagic`
  `36`
  `public static final int`
  `icHdrManufacturer`
  `48`
  `public static final int`
  `icHdrModel`
  `52`
  `public static final int`
  `icHdrPcs`
  `20`
  `public static final int`
  `icHdrPlatform`
  `40`
  `public static final int`
  `icHdrProfileID`
  `84`
  `public static final int`
  `icHdrRenderingIntent`
  `64`
  `public static final int`
  `icHdrSize`
  `0`
  `public static final int`
  `icHdrVersion`
  `8`
  `public static final int`
  `icICCAbsoluteColorimetric`
  `3`
  `public static final int`
  `icMediaRelativeColorimetric`
  `1`
  `public static final int`
  `icPerceptual`
  `0`
  `public static final int`
  `icRelativeColorimetric`
  `1`
  `public static final int`
  `icSaturation`
  `2`
  `public static final int`
  `icSigAbstractClass`
  `1633842036`
  `public static final int`
  `icSigAToB0Tag`
  `1093812784`
  `public static final int`
  `icSigAToB1Tag`
  `1093812785`
  `public static final int`
  `icSigAToB2Tag`
  `1093812786`
  `public static final int`
  `icSigBlueColorantTag`
  `1649957210`
  `public static final int`
  `icSigBlueMatrixColumnTag`
  `1649957210`
  `public static final int`
  `icSigBlueTRCTag`
  `1649693251`
  `public static final int`
  `icSigBToA0Tag`
  `1110589744`
  `public static final int`
  `icSigBToA1Tag`
  `1110589745`
  `public static final int`
  `icSigBToA2Tag`
  `1110589746`
  `public static final int`
  `icSigCalibrationDateTimeTag`
  `1667329140`
  `public static final int`
  `icSigCharTargetTag`
  `1952543335`
  `public static final int`
  `icSigChromaticAdaptationTag`
  `1667785060`
  `public static final int`
  `icSigChromaticityTag`
  `1667789421`
  `public static final int`
  `icSigCmyData`
  `1129142560`
  `public static final int`
  `icSigCmykData`
  `1129142603`
  `public static final int`
  `icSigColorantOrderTag`
  `1668051567`
  `public static final int`
  `icSigColorantTableTag`
  `1668051572`
  `public static final int`
  `icSigColorSpaceClass`
  `1936744803`
  `public static final int`
  `icSigCopyrightTag`
  `1668313716`
  `public static final int`
  `icSigCrdInfoTag`
  `1668441193`
  `public static final int`
  `icSigDeviceMfgDescTag`
  `1684893284`
  `public static final int`
  `icSigDeviceModelDescTag`
  `1684890724`
  `public static final int`
  `icSigDeviceSettingsTag`
  `1684371059`
  `public static final int`
  `icSigDisplayClass`
  `1835955314`
  `public static final int`
  `icSigGamutTag`
  `1734438260`
  `public static final int`
  `icSigGrayData`
  `1196573017`
  `public static final int`
  `icSigGrayTRCTag`
  `1800688195`
  `public static final int`
  `icSigGreenColorantTag`
  `1733843290`
  `public static final int`
  `icSigGreenMatrixColumnTag`
  `1733843290`
  `public static final int`
  `icSigGreenTRCTag`
  `1733579331`
  `public static final int`
  `icSigHead`
  `1751474532`
  `public static final int`
  `icSigHlsData`
  `1212961568`
  `public static final int`
  `icSigHsvData`
  `1213421088`
  `public static final int`
  `icSigInputClass`
  `1935896178`
  `public static final int`
  `icSigLabData`
  `1281450528`
  `public static final int`
  `icSigLinkClass`
  `1818848875`
  `public static final int`
  `icSigLuminanceTag`
  `1819635049`
  `public static final int`
  `icSigLuvData`
  `1282766368`
  `public static final int`
  `icSigMeasurementTag`
  `1835360627`
  `public static final int`
  `icSigMediaBlackPointTag`
  `1651208308`
  `public static final int`
  `icSigMediaWhitePointTag`
  `2004119668`
  `public static final int`
  `icSigNamedColor2Tag`
  `1852009522`
  `public static final int`
  `icSigNamedColorClass`
  `1852662636`
  `public static final int`
  `icSigOutputClass`
  `1886549106`
  `public static final int`
  `icSigOutputResponseTag`
  `1919251312`
  `public static final int`
  `icSigPreview0Tag`
  `1886545200`
  `public static final int`
  `icSigPreview1Tag`
  `1886545201`
  `public static final int`
  `icSigPreview2Tag`
  `1886545202`
  `public static final int`
  `icSigProfileDescriptionTag`
  `1684370275`
  `public static final int`
  `icSigProfileSequenceDescTag`
  `1886610801`
  `public static final int`
  `icSigPs2CRD0Tag`
  `1886610480`
  `public static final int`
  `icSigPs2CRD1Tag`
  `1886610481`
  `public static final int`
  `icSigPs2CRD2Tag`
  `1886610482`
  `public static final int`
  `icSigPs2CRD3Tag`
  `1886610483`
  `public static final int`
  `icSigPs2CSATag`
  `1886597747`
  `public static final int`
  `icSigPs2RenderingIntentTag`
  `1886597737`
  `public static final int`
  `icSigRedColorantTag`
  `1918392666`
  `public static final int`
  `icSigRedMatrixColumnTag`
  `1918392666`
  `public static final int`
  `icSigRedTRCTag`
  `1918128707`
  `public static final int`
  `icSigRgbData`
  `1380401696`
  `public static final int`
  `icSigScreeningDescTag`
  `1935897188`
  `public static final int`
  `icSigScreeningTag`
  `1935897198`
  `public static final int`
  `icSigSpace2CLR`
  `843271250`
  `public static final int`
  `icSigSpace3CLR`
  `860048466`
  `public static final int`
  `icSigSpace4CLR`
  `876825682`
  `public static final int`
  `icSigSpace5CLR`
  `893602898`
  `public static final int`
  `icSigSpace6CLR`
  `910380114`
  `public static final int`
  `icSigSpace7CLR`
  `927157330`
  `public static final int`
  `icSigSpace8CLR`
  `943934546`
  `public static final int`
  `icSigSpace9CLR`
  `960711762`
  `public static final int`
  `icSigSpaceACLR`
  `1094929490`
  `public static final int`
  `icSigSpaceBCLR`
  `1111706706`
  `public static final int`
  `icSigSpaceCCLR`
  `1128483922`
  `public static final int`
  `icSigSpaceDCLR`
  `1145261138`
  `public static final int`
  `icSigSpaceECLR`
  `1162038354`
  `public static final int`
  `icSigSpaceFCLR`
  `1178815570`
  `public static final int`
  `icSigTechnologyTag`
  `1952801640`
  `public static final int`
  `icSigUcrBgTag`
  `1650877472`
  `public static final int`
  `icSigViewingCondDescTag`
  `1987405156`
  `public static final int`
  `icSigViewingConditionsTag`
  `1986618743`
  `public static final int`
  `icSigXYZData`
  `1482250784`
  `public static final int`
  `icSigYCbCrData`
  `1497588338`
  `public static final int`
  `icSigYxyData`
  `1501067552`
  `public static final int`
  `icTagReserved`
  `4`
  `public static final int`
  `icTagType`
  `0`
  `public static final int`
  `icXYZNumberX`
  `8`
- java.awt.color.ICC_ProfileRGB
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BLUECOMPONENT`
  `2`
  `public static final int`
  `GREENCOMPONENT`
  `1`
  `public static final int`
  `REDCOMPONENT`
  `0`

- java.awt.datatransfer.DataFlavor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `javaJVMLocalObjectMimeType`
  `"application/x-java-jvm-local-objectref"`
  `public static final String`
  `javaRemoteObjectMimeType`
  `"application/x-java-remote-object"`
  `public static final String`
  `javaSerializedObjectMimeType`
  `"application/x-java-serialized-object"`

- java.awt.dnd.DnDConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTION_COPY`
  `1`
  `public static final int`
  `ACTION_COPY_OR_MOVE`
  `3`
  `public static final int`
  `ACTION_LINK`
  `1073741824`
  `public static final int`
  `ACTION_MOVE`
  `2`
  `public static final int`
  `ACTION_NONE`
  `0`
  `public static final int`
  `ACTION_REFERENCE`
  `1073741824`
- java.awt.dnd.DragSourceContext
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `CHANGED`
  `3`
  `protected static final int`
  `DEFAULT`
  `0`
  `protected static final int`
  `ENTER`
  `1`
  `protected static final int`
  `OVER`
  `2`

- java.awt.event.ActionEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTION_FIRST`
  `1001`
  `public static final int`
  `ACTION_LAST`
  `1001`
  `public static final int`
  `ACTION_PERFORMED`
  `1001`
  `public static final int`
  `ALT_MASK`
  `8`
  `public static final int`
  `CTRL_MASK`
  `2`
  `public static final int`
  `META_MASK`
  `4`
  `public static final int`
  `SHIFT_MASK`
  `1`
- java.awt.event.AdjustmentEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ADJUSTMENT_FIRST`
  `601`
  `public static final int`
  `ADJUSTMENT_LAST`
  `601`
  `public static final int`
  `ADJUSTMENT_VALUE_CHANGED`
  `601`
  `public static final int`
  `BLOCK_DECREMENT`
  `3`
  `public static final int`
  `BLOCK_INCREMENT`
  `4`
  `public static final int`
  `TRACK`
  `5`
  `public static final int`
  `UNIT_DECREMENT`
  `2`
  `public static final int`
  `UNIT_INCREMENT`
  `1`
- java.awt.event.ComponentEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COMPONENT_FIRST`
  `100`
  `public static final int`
  `COMPONENT_HIDDEN`
  `103`
  `public static final int`
  `COMPONENT_LAST`
  `103`
  `public static final int`
  `COMPONENT_MOVED`
  `100`
  `public static final int`
  `COMPONENT_RESIZED`
  `101`
  `public static final int`
  `COMPONENT_SHOWN`
  `102`
- java.awt.event.ContainerEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COMPONENT_ADDED`
  `300`
  `public static final int`
  `COMPONENT_REMOVED`
  `301`
  `public static final int`
  `CONTAINER_FIRST`
  `300`
  `public static final int`
  `CONTAINER_LAST`
  `301`
- java.awt.event.FocusEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FOCUS_FIRST`
  `1004`
  `public static final int`
  `FOCUS_GAINED`
  `1004`
  `public static final int`
  `FOCUS_LAST`
  `1005`
  `public static final int`
  `FOCUS_LOST`
  `1005`
- java.awt.event.HierarchyEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ANCESTOR_MOVED`
  `1401`
  `public static final int`
  `ANCESTOR_RESIZED`
  `1402`
  `public static final int`
  `DISPLAYABILITY_CHANGED`
  `2`
  `public static final int`
  `HIERARCHY_CHANGED`
  `1400`
  `public static final int`
  `HIERARCHY_FIRST`
  `1400`
  `public static final int`
  `HIERARCHY_LAST`
  `1402`
  `public static final int`
  `PARENT_CHANGED`
  `1`
  `public static final int`
  `SHOWING_CHANGED`
  `4`
- java.awt.event.InputEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALT_DOWN_MASK`
  `512`
  `public static final int`
  `ALT_GRAPH_DOWN_MASK`
  `8192`
  `public static final int`
  `ALT_GRAPH_MASK`
  `32`
  `public static final int`
  `ALT_MASK`
  `8`
  `public static final int`
  `BUTTON1_DOWN_MASK`
  `1024`
  `public static final int`
  `BUTTON1_MASK`
  `16`
  `public static final int`
  `BUTTON2_DOWN_MASK`
  `2048`
  `public static final int`
  `BUTTON2_MASK`
  `8`
  `public static final int`
  `BUTTON3_DOWN_MASK`
  `4096`
  `public static final int`
  `BUTTON3_MASK`
  `4`
  `public static final int`
  `CTRL_DOWN_MASK`
  `128`
  `public static final int`
  `CTRL_MASK`
  `2`
  `public static final int`
  `META_DOWN_MASK`
  `256`
  `public static final int`
  `META_MASK`
  `4`
  `public static final int`
  `SHIFT_DOWN_MASK`
  `64`
  `public static final int`
  `SHIFT_MASK`
  `1`
- java.awt.event.InputMethodEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CARET_POSITION_CHANGED`
  `1101`
  `public static final int`
  `INPUT_METHOD_FIRST`
  `1100`
  `public static final int`
  `INPUT_METHOD_LAST`
  `1101`
  `public static final int`
  `INPUT_METHOD_TEXT_CHANGED`
  `1100`
- java.awt.event.InvocationEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVOCATION_DEFAULT`
  `1200`
  `public static final int`
  `INVOCATION_FIRST`
  `1200`
  `public static final int`
  `INVOCATION_LAST`
  `1200`
- java.awt.event.ItemEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DESELECTED`
  `2`
  `public static final int`
  `ITEM_FIRST`
  `701`
  `public static final int`
  `ITEM_LAST`
  `701`
  `public static final int`
  `ITEM_STATE_CHANGED`
  `701`
  `public static final int`
  `SELECTED`
  `1`
- java.awt.event.KeyEvent
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `CHAR_UNDEFINED`
  `'\uffff'`
  `public static final int`
  `KEY_FIRST`
  `400`
  `public static final int`
  `KEY_LAST`
  `402`
  `public static final int`
  `KEY_LOCATION_LEFT`
  `2`
  `public static final int`
  `KEY_LOCATION_NUMPAD`
  `4`
  `public static final int`
  `KEY_LOCATION_RIGHT`
  `3`
  `public static final int`
  `KEY_LOCATION_STANDARD`
  `1`
  `public static final int`
  `KEY_LOCATION_UNKNOWN`
  `0`
  `public static final int`
  `KEY_PRESSED`
  `401`
  `public static final int`
  `KEY_RELEASED`
  `402`
  `public static final int`
  `KEY_TYPED`
  `400`
  `public static final int`
  `VK_0`
  `48`
  `public static final int`
  `VK_1`
  `49`
  `public static final int`
  `VK_2`
  `50`
  `public static final int`
  `VK_3`
  `51`
  `public static final int`
  `VK_4`
  `52`
  `public static final int`
  `VK_5`
  `53`
  `public static final int`
  `VK_6`
  `54`
  `public static final int`
  `VK_7`
  `55`
  `public static final int`
  `VK_8`
  `56`
  `public static final int`
  `VK_9`
  `57`
  `public static final int`
  `VK_A`
  `65`
  `public static final int`
  `VK_ACCEPT`
  `30`
  `public static final int`
  `VK_ADD`
  `107`
  `public static final int`
  `VK_AGAIN`
  `65481`
  `public static final int`
  `VK_ALL_CANDIDATES`
  `256`
  `public static final int`
  `VK_ALPHANUMERIC`
  `240`
  `public static final int`
  `VK_ALT`
  `18`
  `public static final int`
  `VK_ALT_GRAPH`
  `65406`
  `public static final int`
  `VK_AMPERSAND`
  `150`
  `public static final int`
  `VK_ASTERISK`
  `151`
  `public static final int`
  `VK_AT`
  `512`
  `public static final int`
  `VK_B`
  `66`
  `public static final int`
  `VK_BACK_QUOTE`
  `192`
  `public static final int`
  `VK_BACK_SLASH`
  `92`
  `public static final int`
  `VK_BACK_SPACE`
  `8`
  `public static final int`
  `VK_BEGIN`
  `65368`
  `public static final int`
  `VK_BRACELEFT`
  `161`
  `public static final int`
  `VK_BRACERIGHT`
  `162`
  `public static final int`
  `VK_C`
  `67`
  `public static final int`
  `VK_CANCEL`
  `3`
  `public static final int`
  `VK_CAPS_LOCK`
  `20`
  `public static final int`
  `VK_CIRCUMFLEX`
  `514`
  `public static final int`
  `VK_CLEAR`
  `12`
  `public static final int`
  `VK_CLOSE_BRACKET`
  `93`
  `public static final int`
  `VK_CODE_INPUT`
  `258`
  `public static final int`
  `VK_COLON`
  `513`
  `public static final int`
  `VK_COMMA`
  `44`
  `public static final int`
  `VK_COMPOSE`
  `65312`
  `public static final int`
  `VK_CONTEXT_MENU`
  `525`
  `public static final int`
  `VK_CONTROL`
  `17`
  `public static final int`
  `VK_CONVERT`
  `28`
  `public static final int`
  `VK_COPY`
  `65485`
  `public static final int`
  `VK_CUT`
  `65489`
  `public static final int`
  `VK_D`
  `68`
  `public static final int`
  `VK_DEAD_ABOVEDOT`
  `134`
  `public static final int`
  `VK_DEAD_ABOVERING`
  `136`
  `public static final int`
  `VK_DEAD_ACUTE`
  `129`
  `public static final int`
  `VK_DEAD_BREVE`
  `133`
  `public static final int`
  `VK_DEAD_CARON`
  `138`
  `public static final int`
  `VK_DEAD_CEDILLA`
  `139`
  `public static final int`
  `VK_DEAD_CIRCUMFLEX`
  `130`
  `public static final int`
  `VK_DEAD_DIAERESIS`
  `135`
  `public static final int`
  `VK_DEAD_DOUBLEACUTE`
  `137`
  `public static final int`
  `VK_DEAD_GRAVE`
  `128`
  `public static final int`
  `VK_DEAD_IOTA`
  `141`
  `public static final int`
  `VK_DEAD_MACRON`
  `132`
  `public static final int`
  `VK_DEAD_OGONEK`
  `140`
  `public static final int`
  `VK_DEAD_SEMIVOICED_SOUND`
  `143`
  `public static final int`
  `VK_DEAD_TILDE`
  `131`
  `public static final int`
  `VK_DEAD_VOICED_SOUND`
  `142`
  `public static final int`
  `VK_DECIMAL`
  `110`
  `public static final int`
  `VK_DELETE`
  `127`
  `public static final int`
  `VK_DIVIDE`
  `111`
  `public static final int`
  `VK_DOLLAR`
  `515`
  `public static final int`
  `VK_DOWN`
  `40`
  `public static final int`
  `VK_E`
  `69`
  `public static final int`
  `VK_END`
  `35`
  `public static final int`
  `VK_ENTER`
  `10`
  `public static final int`
  `VK_EQUALS`
  `61`
  `public static final int`
  `VK_ESCAPE`
  `27`
  `public static final int`
  `VK_EURO_SIGN`
  `516`
  `public static final int`
  `VK_EXCLAMATION_MARK`
  `517`
  `public static final int`
  `VK_F`
  `70`
  `public static final int`
  `VK_F1`
  `112`
  `public static final int`
  `VK_F10`
  `121`
  `public static final int`
  `VK_F11`
  `122`
  `public static final int`
  `VK_F12`
  `123`
  `public static final int`
  `VK_F13`
  `61440`
  `public static final int`
  `VK_F14`
  `61441`
  `public static final int`
  `VK_F15`
  `61442`
  `public static final int`
  `VK_F16`
  `61443`
  `public static final int`
  `VK_F17`
  `61444`
  `public static final int`
  `VK_F18`
  `61445`
  `public static final int`
  `VK_F19`
  `61446`
  `public static final int`
  `VK_F2`
  `113`
  `public static final int`
  `VK_F20`
  `61447`
  `public static final int`
  `VK_F21`
  `61448`
  `public static final int`
  `VK_F22`
  `61449`
  `public static final int`
  `VK_F23`
  `61450`
  `public static final int`
  `VK_F24`
  `61451`
  `public static final int`
  `VK_F3`
  `114`
  `public static final int`
  `VK_F4`
  `115`
  `public static final int`
  `VK_F5`
  `116`
  `public static final int`
  `VK_F6`
  `117`
  `public static final int`
  `VK_F7`
  `118`
  `public static final int`
  `VK_F8`
  `119`
  `public static final int`
  `VK_F9`
  `120`
  `public static final int`
  `VK_FINAL`
  `24`
  `public static final int`
  `VK_FIND`
  `65488`
  `public static final int`
  `VK_FULL_WIDTH`
  `243`
  `public static final int`
  `VK_G`
  `71`
  `public static final int`
  `VK_GREATER`
  `160`
  `public static final int`
  `VK_H`
  `72`
  `public static final int`
  `VK_HALF_WIDTH`
  `244`
  `public static final int`
  `VK_HELP`
  `156`
  `public static final int`
  `VK_HIRAGANA`
  `242`
  `public static final int`
  `VK_HOME`
  `36`
  `public static final int`
  `VK_I`
  `73`
  `public static final int`
  `VK_INPUT_METHOD_ON_OFF`
  `263`
  `public static final int`
  `VK_INSERT`
  `155`
  `public static final int`
  `VK_INVERTED_EXCLAMATION_MARK`
  `518`
  `public static final int`
  `VK_J`
  `74`
  `public static final int`
  `VK_JAPANESE_HIRAGANA`
  `260`
  `public static final int`
  `VK_JAPANESE_KATAKANA`
  `259`
  `public static final int`
  `VK_JAPANESE_ROMAN`
  `261`
  `public static final int`
  `VK_K`
  `75`
  `public static final int`
  `VK_KANA`
  `21`
  `public static final int`
  `VK_KANA_LOCK`
  `262`
  `public static final int`
  `VK_KANJI`
  `25`
  `public static final int`
  `VK_KATAKANA`
  `241`
  `public static final int`
  `VK_KP_DOWN`
  `225`
  `public static final int`
  `VK_KP_LEFT`
  `226`
  `public static final int`
  `VK_KP_RIGHT`
  `227`
  `public static final int`
  `VK_KP_UP`
  `224`
  `public static final int`
  `VK_L`
  `76`
  `public static final int`
  `VK_LEFT`
  `37`
  `public static final int`
  `VK_LEFT_PARENTHESIS`
  `519`
  `public static final int`
  `VK_LESS`
  `153`
  `public static final int`
  `VK_M`
  `77`
  `public static final int`
  `VK_META`
  `157`
  `public static final int`
  `VK_MINUS`
  `45`
  `public static final int`
  `VK_MODECHANGE`
  `31`
  `public static final int`
  `VK_MULTIPLY`
  `106`
  `public static final int`
  `VK_N`
  `78`
  `public static final int`
  `VK_NONCONVERT`
  `29`
  `public static final int`
  `VK_NUM_LOCK`
  `144`
  `public static final int`
  `VK_NUMBER_SIGN`
  `520`
  `public static final int`
  `VK_NUMPAD0`
  `96`
  `public static final int`
  `VK_NUMPAD1`
  `97`
  `public static final int`
  `VK_NUMPAD2`
  `98`
  `public static final int`
  `VK_NUMPAD3`
  `99`
  `public static final int`
  `VK_NUMPAD4`
  `100`
  `public static final int`
  `VK_NUMPAD5`
  `101`
  `public static final int`
  `VK_NUMPAD6`
  `102`
  `public static final int`
  `VK_NUMPAD7`
  `103`
  `public static final int`
  `VK_NUMPAD8`
  `104`
  `public static final int`
  `VK_NUMPAD9`
  `105`
  `public static final int`
  `VK_O`
  `79`
  `public static final int`
  `VK_OPEN_BRACKET`
  `91`
  `public static final int`
  `VK_P`
  `80`
  `public static final int`
  `VK_PAGE_DOWN`
  `34`
  `public static final int`
  `VK_PAGE_UP`
  `33`
  `public static final int`
  `VK_PASTE`
  `65487`
  `public static final int`
  `VK_PAUSE`
  `19`
  `public static final int`
  `VK_PERIOD`
  `46`
  `public static final int`
  `VK_PLUS`
  `521`
  `public static final int`
  `VK_PREVIOUS_CANDIDATE`
  `257`
  `public static final int`
  `VK_PRINTSCREEN`
  `154`
  `public static final int`
  `VK_PROPS`
  `65482`
  `public static final int`
  `VK_Q`
  `81`
  `public static final int`
  `VK_QUOTE`
  `222`
  `public static final int`
  `VK_QUOTEDBL`
  `152`
  `public static final int`
  `VK_R`
  `82`
  `public static final int`
  `VK_RIGHT`
  `39`
  `public static final int`
  `VK_RIGHT_PARENTHESIS`
  `522`
  `public static final int`
  `VK_ROMAN_CHARACTERS`
  `245`
  `public static final int`
  `VK_S`
  `83`
  `public static final int`
  `VK_SCROLL_LOCK`
  `145`
  `public static final int`
  `VK_SEMICOLON`
  `59`
  `public static final int`
  `VK_SEPARATER`
  `108`
  `public static final int`
  `VK_SEPARATOR`
  `108`
  `public static final int`
  `VK_SHIFT`
  `16`
  `public static final int`
  `VK_SLASH`
  `47`
  `public static final int`
  `VK_SPACE`
  `32`
  `public static final int`
  `VK_STOP`
  `65480`
  `public static final int`
  `VK_SUBTRACT`
  `109`
  `public static final int`
  `VK_T`
  `84`
  `public static final int`
  `VK_TAB`
  `9`
  `public static final int`
  `VK_U`
  `85`
  `public static final int`
  `VK_UNDEFINED`
  `0`
  `public static final int`
  `VK_UNDERSCORE`
  `523`
  `public static final int`
  `VK_UNDO`
  `65483`
  `public static final int`
  `VK_UP`
  `38`
  `public static final int`
  `VK_V`
  `86`
  `public static final int`
  `VK_W`
  `87`
  `public static final int`
  `VK_WINDOWS`
  `524`
  `public static final int`
  `VK_X`
  `88`
  `public static final int`
  `VK_Y`
  `89`
  `public static final int`
  `VK_Z`
  `90`
- java.awt.event.MouseEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BUTTON1`
  `1`
  `public static final int`
  `BUTTON2`
  `2`
  `public static final int`
  `BUTTON3`
  `3`
  `public static final int`
  `MOUSE_CLICKED`
  `500`
  `public static final int`
  `MOUSE_DRAGGED`
  `506`
  `public static final int`
  `MOUSE_ENTERED`
  `504`
  `public static final int`
  `MOUSE_EXITED`
  `505`
  `public static final int`
  `MOUSE_FIRST`
  `500`
  `public static final int`
  `MOUSE_LAST`
  `507`
  `public static final int`
  `MOUSE_MOVED`
  `503`
  `public static final int`
  `MOUSE_PRESSED`
  `501`
  `public static final int`
  `MOUSE_RELEASED`
  `502`
  `public static final int`
  `MOUSE_WHEEL`
  `507`
  `public static final int`
  `NOBUTTON`
  `0`
- java.awt.event.MouseWheelEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `WHEEL_BLOCK_SCROLL`
  `1`
  `public static final int`
  `WHEEL_UNIT_SCROLL`
  `0`
- java.awt.event.PaintEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `PAINT`
  `800`
  `public static final int`
  `PAINT_FIRST`
  `800`
  `public static final int`
  `PAINT_LAST`
  `801`
  `public static final int`
  `UPDATE`
  `801`
- java.awt.event.TextEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TEXT_FIRST`
  `900`
  `public static final int`
  `TEXT_LAST`
  `900`
  `public static final int`
  `TEXT_VALUE_CHANGED`
  `900`
- java.awt.event.WindowEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `WINDOW_ACTIVATED`
  `205`
  `public static final int`
  `WINDOW_CLOSED`
  `202`
  `public static final int`
  `WINDOW_CLOSING`
  `201`
  `public static final int`
  `WINDOW_DEACTIVATED`
  `206`
  `public static final int`
  `WINDOW_DEICONIFIED`
  `204`
  `public static final int`
  `WINDOW_FIRST`
  `200`
  `public static final int`
  `WINDOW_GAINED_FOCUS`
  `207`
  `public static final int`
  `WINDOW_ICONIFIED`
  `203`
  `public static final int`
  `WINDOW_LAST`
  `209`
  `public static final int`
  `WINDOW_LOST_FOCUS`
  `208`
  `public static final int`
  `WINDOW_OPENED`
  `200`
  `public static final int`
  `WINDOW_STATE_CHANGED`
  `209`

- java.awt.font.GlyphJustificationInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `PRIORITY_INTERCHAR`
  `2`
  `public static final int`
  `PRIORITY_KASHIDA`
  `0`
  `public static final int`
  `PRIORITY_NONE`
  `3`
  `public static final int`
  `PRIORITY_WHITESPACE`
  `1`
- java.awt.font.GlyphMetrics
  Modifier and Type
  Constant Field
  Value
  `public static final byte`
  `COMBINING`
  `0x2`
  `public static final byte`
  `COMPONENT`
  `0x3`
  `public static final byte`
  `LIGATURE`
  `0x1`
  `public static final byte`
  `STANDARD`
  `0x0`
  `public static final byte`
  `WHITESPACE`
  `0x4`
- java.awt.font.GlyphVector
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FLAG_COMPLEX_GLYPHS`
  `8`
  `public static final int`
  `FLAG_HAS_POSITION_ADJUSTMENTS`
  `2`
  `public static final int`
  `FLAG_HAS_TRANSFORMS`
  `1`
  `public static final int`
  `FLAG_MASK`
  `15`
  `public static final int`
  `FLAG_RUN_RTL`
  `4`
- java.awt.font.GraphicAttribute
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BOTTOM_ALIGNMENT`
  `-2`
  `public static final int`
  `CENTER_BASELINE`
  `1`
  `public static final int`
  `HANGING_BASELINE`
  `2`
  `public static final int`
  `ROMAN_BASELINE`
  `0`
  `public static final int`
  `TOP_ALIGNMENT`
  `-1`
- java.awt.font.NumericShaper
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALL_RANGES`
  `524287`
  `public static final int`
  `ARABIC`
  `2`
  `public static final int`
  `BENGALI`
  `16`
  `public static final int`
  `DEVANAGARI`
  `8`
  `public static final int`
  `EASTERN_ARABIC`
  `4`
  `public static final int`
  `ETHIOPIC`
  `65536`
  `public static final int`
  `EUROPEAN`
  `1`
  `public static final int`
  `GUJARATI`
  `64`
  `public static final int`
  `GURMUKHI`
  `32`
  `public static final int`
  `KANNADA`
  `1024`
  `public static final int`
  `KHMER`
  `131072`
  `public static final int`
  `LAO`
  `8192`
  `public static final int`
  `MALAYALAM`
  `2048`
  `public static final int`
  `MONGOLIAN`
  `262144`
  `public static final int`
  `MYANMAR`
  `32768`
  `public static final int`
  `ORIYA`
  `128`
  `public static final int`
  `TAMIL`
  `256`
  `public static final int`
  `TELUGU`
  `512`
  `public static final int`
  `THAI`
  `4096`
  `public static final int`
  `TIBETAN`
  `16384`
- java.awt.font.OpenType
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TAG_ACNT`
  `1633906292`
  `public static final int`
  `TAG_AVAR`
  `1635148146`
  `public static final int`
  `TAG_BASE`
  `1111577413`
  `public static final int`
  `TAG_BDAT`
  `1650745716`
  `public static final int`
  `TAG_BLOC`
  `1651273571`
  `public static final int`
  `TAG_BSLN`
  `1651731566`
  `public static final int`
  `TAG_CFF`
  `1128678944`
  `public static final int`
  `TAG_CMAP`
  `1668112752`
  `public static final int`
  `TAG_CVAR`
  `1668702578`
  `public static final int`
  `TAG_CVT`
  `1668707360`
  `public static final int`
  `TAG_DSIG`
  `1146308935`
  `public static final int`
  `TAG_EBDT`
  `1161970772`
  `public static final int`
  `TAG_EBLC`
  `1161972803`
  `public static final int`
  `TAG_EBSC`
  `1161974595`
  `public static final int`
  `TAG_FDSC`
  `1717859171`
  `public static final int`
  `TAG_FEAT`
  `1717920116`
  `public static final int`
  `TAG_FMTX`
  `1718449272`
  `public static final int`
  `TAG_FPGM`
  `1718642541`
  `public static final int`
  `TAG_FVAR`
  `1719034226`
  `public static final int`
  `TAG_GASP`
  `1734439792`
  `public static final int`
  `TAG_GDEF`
  `1195656518`
  `public static final int`
  `TAG_GLYF`
  `1735162214`
  `public static final int`
  `TAG_GPOS`
  `1196445523`
  `public static final int`
  `TAG_GSUB`
  `1196643650`
  `public static final int`
  `TAG_GVAR`
  `1735811442`
  `public static final int`
  `TAG_HDMX`
  `1751412088`
  `public static final int`
  `TAG_HEAD`
  `1751474532`
  `public static final int`
  `TAG_HHEA`
  `1751672161`
  `public static final int`
  `TAG_HMTX`
  `1752003704`
  `public static final int`
  `TAG_JSTF`
  `1246975046`
  `public static final int`
  `TAG_JUST`
  `1786082164`
  `public static final int`
  `TAG_KERN`
  `1801810542`
  `public static final int`
  `TAG_LCAR`
  `1818452338`
  `public static final int`
  `TAG_LOCA`
  `1819239265`
  `public static final int`
  `TAG_LTSH`
  `1280594760`
  `public static final int`
  `TAG_MAXP`
  `1835104368`
  `public static final int`
  `TAG_MMFX`
  `1296909912`
  `public static final int`
  `TAG_MMSD`
  `1296913220`
  `public static final int`
  `TAG_MORT`
  `1836020340`
  `public static final int`
  `TAG_NAME`
  `1851878757`
  `public static final int`
  `TAG_OPBD`
  `1869636196`
  `public static final int`
  `TAG_OS2`
  `1330851634`
  `public static final int`
  `TAG_PCLT`
  `1346587732`
  `public static final int`
  `TAG_POST`
  `1886352244`
  `public static final int`
  `TAG_PREP`
  `1886545264`
  `public static final int`
  `TAG_PROP`
  `1886547824`
  `public static final int`
  `TAG_TRAK`
  `1953653099`
  `public static final int`
  `TAG_TYP1`
  `1954115633`
  `public static final int`
  `TAG_VDMX`
  `1447316824`
  `public static final int`
  `TAG_VHEA`
  `1986553185`
  `public static final int`
  `TAG_VMTX`
  `1986884728`
- java.awt.font.ShapeGraphicAttribute
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `FILL`
  `false`
  `public static final boolean`
  `STROKE`
  `true`

- java.awt.geom.AffineTransform
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TYPE_FLIP`
  `64`
  `public static final int`
  `TYPE_GENERAL_ROTATION`
  `16`
  `public static final int`
  `TYPE_GENERAL_SCALE`
  `4`
  `public static final int`
  `TYPE_GENERAL_TRANSFORM`
  `32`
  `public static final int`
  `TYPE_IDENTITY`
  `0`
  `public static final int`
  `TYPE_MASK_ROTATION`
  `24`
  `public static final int`
  `TYPE_MASK_SCALE`
  `6`
  `public static final int`
  `TYPE_QUADRANT_ROTATION`
  `8`
  `public static final int`
  `TYPE_TRANSLATION`
  `1`
  `public static final int`
  `TYPE_UNIFORM_SCALE`
  `2`
- java.awt.geom.Arc2D
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CHORD`
  `1`
  `public static final int`
  `OPEN`
  `0`
  `public static final int`
  `PIE`
  `2`
- java.awt.geom.Path2D
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `WIND_EVEN_ODD`
  `0`
  `public static final int`
  `WIND_NON_ZERO`
  `1`
- java.awt.geom.PathIterator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SEG_CLOSE`
  `4`
  `public static final int`
  `SEG_CUBICTO`
  `3`
  `public static final int`
  `SEG_LINETO`
  `1`
  `public static final int`
  `SEG_MOVETO`
  `0`
  `public static final int`
  `SEG_QUADTO`
  `2`
  `public static final int`
  `WIND_EVEN_ODD`
  `0`
  `public static final int`
  `WIND_NON_ZERO`
  `1`
- java.awt.geom.Rectangle2D
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OUT_BOTTOM`
  `8`
  `public static final int`
  `OUT_LEFT`
  `1`
  `public static final int`
  `OUT_RIGHT`
  `4`
  `public static final int`
  `OUT_TOP`
  `2`

- java.awt.im.InputMethodHighlight
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CONVERTED_TEXT`
  `1`
  `public static final int`
  `RAW_TEXT`
  `0`

- java.awt.image.AffineTransformOp
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TYPE_BICUBIC`
  `3`
  `public static final int`
  `TYPE_BILINEAR`
  `2`
  `public static final int`
  `TYPE_NEAREST_NEIGHBOR`
  `1`
- java.awt.image.BufferedImage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TYPE_3BYTE_BGR`
  `5`
  `public static final int`
  `TYPE_4BYTE_ABGR`
  `6`
  `public static final int`
  `TYPE_4BYTE_ABGR_PRE`
  `7`
  `public static final int`
  `TYPE_BYTE_BINARY`
  `12`
  `public static final int`
  `TYPE_BYTE_GRAY`
  `10`
  `public static final int`
  `TYPE_BYTE_INDEXED`
  `13`
  `public static final int`
  `TYPE_CUSTOM`
  `0`
  `public static final int`
  `TYPE_INT_ARGB`
  `2`
  `public static final int`
  `TYPE_INT_ARGB_PRE`
  `3`
  `public static final int`
  `TYPE_INT_BGR`
  `4`
  `public static final int`
  `TYPE_INT_RGB`
  `1`
  `public static final int`
  `TYPE_USHORT_555_RGB`
  `9`
  `public static final int`
  `TYPE_USHORT_565_RGB`
  `8`
  `public static final int`
  `TYPE_USHORT_GRAY`
  `11`
- java.awt.image.ConvolveOp
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EDGE_NO_OP`
  `1`
  `public static final int`
  `EDGE_ZERO_FILL`
  `0`
- java.awt.image.DataBuffer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TYPE_BYTE`
  `0`
  `public static final int`
  `TYPE_DOUBLE`
  `5`
  `public static final int`
  `TYPE_FLOAT`
  `4`
  `public static final int`
  `TYPE_INT`
  `3`
  `public static final int`
  `TYPE_SHORT`
  `2`
  `public static final int`
  `TYPE_UNDEFINED`
  `32`
  `public static final int`
  `TYPE_USHORT`
  `1`
- java.awt.image.ImageConsumer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COMPLETESCANLINES`
  `4`
  `public static final int`
  `IMAGEABORTED`
  `4`
  `public static final int`
  `IMAGEERROR`
  `1`
  `public static final int`
  `RANDOMPIXELORDER`
  `1`
  `public static final int`
  `SINGLEFRAME`
  `16`
  `public static final int`
  `SINGLEFRAMEDONE`
  `2`
  `public static final int`
  `SINGLEPASS`
  `8`
  `public static final int`
  `STATICIMAGEDONE`
  `3`
  `public static final int`
  `TOPDOWNLEFTRIGHT`
  `2`
- java.awt.image.ImageObserver
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ABORT`
  `128`
  `public static final int`
  `ALLBITS`
  `32`
  `public static final int`
  `ERROR`
  `64`
  `public static final int`
  `FRAMEBITS`
  `16`
  `public static final int`
  `HEIGHT`
  `2`
  `public static final int`
  `PROPERTIES`
  `4`
  `public static final int`
  `SOMEBITS`
  `8`
  `public static final int`
  `WIDTH`
  `1`
- java.awt.image.VolatileImage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `IMAGE_INCOMPATIBLE`
  `2`
  `public static final int`
  `IMAGE_OK`
  `0`
  `public static final int`
  `IMAGE_RESTORED`
  `1`

- java.awt.image.renderable.RenderableImage
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `HINTS_OBSERVED`
  `"HINTS_OBSERVED"`

- java.awt.print.Pageable
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UNKNOWN_NUMBER_OF_PAGES`
  `-1`
- java.awt.print.PageFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LANDSCAPE`
  `0`
  `public static final int`
  `PORTRAIT`
  `1`
  `public static final int`
  `REVERSE_LANDSCAPE`
  `2`
- java.awt.print.Printable
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NO_SUCH_PAGE`
  `1`
  `public static final int`
  `PAGE_EXISTS`
  `0`

## java.beans.*

- java.beans.BeanInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ICON_COLOR_16x16`
  `1`
  `public static final int`
  `ICON_COLOR_32x32`
  `2`
  `public static final int`
  `ICON_MONO_16x16`
  `3`
  `public static final int`
  `ICON_MONO_32x32`
  `4`
- java.beans.DesignMode
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROPERTYNAME`
  `"designTime"`
- java.beans.Introspector
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `IGNORE_ALL_BEANINFO`
  `3`
  `public static final int`
  `IGNORE_IMMEDIATE_BEANINFO`
  `2`
  `public static final int`
  `USE_ALL_BEANINFO`
  `1`

## java.io.*

- java.io.ObjectStreamConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `baseWireHandle`
  `8257536`
  `public static final int`
  `PROTOCOL_VERSION_1`
  `1`
  `public static final int`
  `PROTOCOL_VERSION_2`
  `2`
  `public static final byte`
  `SC_BLOCK_DATA`
  `0x8`
  `public static final byte`
  `SC_ENUM`
  `0x10`
  `public static final byte`
  `SC_EXTERNALIZABLE`
  `0x4`
  `public static final byte`
  `SC_SERIALIZABLE`
  `0x2`
  `public static final byte`
  `SC_WRITE_METHOD`
  `0x1`
  `public static final short`
  `STREAM_MAGIC`
  `-21267`
  `public static final short`
  `STREAM_VERSION`
  `5`
  `public static final byte`
  `TC_ARRAY`
  `0x75`
  `public static final byte`
  `TC_BASE`
  `0x70`
  `public static final byte`
  `TC_BLOCKDATA`
  `0x77`
  `public static final byte`
  `TC_BLOCKDATALONG`
  `0x7a`
  `public static final byte`
  `TC_CLASS`
  `0x76`
  `public static final byte`
  `TC_CLASSDESC`
  `0x72`
  `public static final byte`
  `TC_ENDBLOCKDATA`
  `0x78`
  `public static final byte`
  `TC_ENUM`
  `0x7e`
  `public static final byte`
  `TC_EXCEPTION`
  `0x7b`
  `public static final byte`
  `TC_LONGSTRING`
  `0x7c`
  `public static final byte`
  `TC_MAX`
  `0x7e`
  `public static final byte`
  `TC_NULL`
  `0x70`
  `public static final byte`
  `TC_OBJECT`
  `0x73`
  `public static final byte`
  `TC_PROXYCLASSDESC`
  `0x7d`
  `public static final byte`
  `TC_REFERENCE`
  `0x71`
  `public static final byte`
  `TC_RESET`
  `0x79`
  `public static final byte`
  `TC_STRING`
  `0x74`
- java.io.PipedInputStream
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `PIPE_SIZE`
  `1024`
- java.io.StreamTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TT_EOF`
  `-1`
  `public static final int`
  `TT_EOL`
  `10`
  `public static final int`
  `TT_NUMBER`
  `-2`
  `public static final int`
  `TT_WORD`
  `-3`

## java.lang.*

- java.lang.Byte
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `1`
  `public static final byte`
  `MAX_VALUE`
  `0x7f`
  `public static final byte`
  `MIN_VALUE`
  `0x80`
  `public static final int`
  `SIZE`
  `8`
- java.lang.Character
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `2`
  `public static final byte`
  `COMBINING_SPACING_MARK`
  `0x8`
  `public static final byte`
  `CONNECTOR_PUNCTUATION`
  `0x17`
  `public static final byte`
  `CONTROL`
  `0xf`
  `public static final byte`
  `CURRENCY_SYMBOL`
  `0x1a`
  `public static final byte`
  `DASH_PUNCTUATION`
  `0x14`
  `public static final byte`
  `DECIMAL_DIGIT_NUMBER`
  `0x9`
  `public static final byte`
  `DIRECTIONALITY_ARABIC_NUMBER`
  `0x6`
  `public static final byte`
  `DIRECTIONALITY_BOUNDARY_NEUTRAL`
  `0x9`
  `public static final byte`
  `DIRECTIONALITY_COMMON_NUMBER_SEPARATOR`
  `0x7`
  `public static final byte`
  `DIRECTIONALITY_EUROPEAN_NUMBER`
  `0x3`
  `public static final byte`
  `DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR`
  `0x4`
  `public static final byte`
  `DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR`
  `0x5`
  `public static final byte`
  `DIRECTIONALITY_FIRST_STRONG_ISOLATE`
  `0x15`
  `public static final byte`
  `DIRECTIONALITY_LEFT_TO_RIGHT`
  `0x0`
  `public static final byte`
  `DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING`
  `0xe`
  `public static final byte`
  `DIRECTIONALITY_LEFT_TO_RIGHT_ISOLATE`
  `0x13`
  `public static final byte`
  `DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE`
  `0xf`
  `public static final byte`
  `DIRECTIONALITY_NONSPACING_MARK`
  `0x8`
  `public static final byte`
  `DIRECTIONALITY_OTHER_NEUTRALS`
  `0xd`
  `public static final byte`
  `DIRECTIONALITY_PARAGRAPH_SEPARATOR`
  `0xa`
  `public static final byte`
  `DIRECTIONALITY_POP_DIRECTIONAL_FORMAT`
  `0x12`
  `public static final byte`
  `DIRECTIONALITY_POP_DIRECTIONAL_ISOLATE`
  `0x16`
  `public static final byte`
  `DIRECTIONALITY_RIGHT_TO_LEFT`
  `0x1`
  `public static final byte`
  `DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC`
  `0x2`
  `public static final byte`
  `DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING`
  `0x10`
  `public static final byte`
  `DIRECTIONALITY_RIGHT_TO_LEFT_ISOLATE`
  `0x14`
  `public static final byte`
  `DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE`
  `0x11`
  `public static final byte`
  `DIRECTIONALITY_SEGMENT_SEPARATOR`
  `0xb`
  `public static final byte`
  `DIRECTIONALITY_UNDEFINED`
  `0xff`
  `public static final byte`
  `DIRECTIONALITY_WHITESPACE`
  `0xc`
  `public static final byte`
  `ENCLOSING_MARK`
  `0x7`
  `public static final byte`
  `END_PUNCTUATION`
  `0x16`
  `public static final byte`
  `FINAL_QUOTE_PUNCTUATION`
  `0x1e`
  `public static final byte`
  `FORMAT`
  `0x10`
  `public static final byte`
  `INITIAL_QUOTE_PUNCTUATION`
  `0x1d`
  `public static final byte`
  `LETTER_NUMBER`
  `0xa`
  `public static final byte`
  `LINE_SEPARATOR`
  `0xd`
  `public static final byte`
  `LOWERCASE_LETTER`
  `0x2`
  `public static final byte`
  `MATH_SYMBOL`
  `0x19`
  `public static final int`
  `MAX_CODE_POINT`
  `1114111`
  `public static final char`
  `MAX_HIGH_SURROGATE`
  `'\udbff'`
  `public static final char`
  `MAX_LOW_SURROGATE`
  `'\udfff'`
  `public static final int`
  `MAX_RADIX`
  `36`
  `public static final char`
  `MAX_SURROGATE`
  `'\udfff'`
  `public static final char`
  `MAX_VALUE`
  `'\uffff'`
  `public static final int`
  `MIN_CODE_POINT`
  `0`
  `public static final char`
  `MIN_HIGH_SURROGATE`
  `'\ud800'`
  `public static final char`
  `MIN_LOW_SURROGATE`
  `'\udc00'`
  `public static final int`
  `MIN_RADIX`
  `2`
  `public static final int`
  `MIN_SUPPLEMENTARY_CODE_POINT`
  `65536`
  `public static final char`
  `MIN_SURROGATE`
  `'\ud800'`
  `public static final char`
  `MIN_VALUE`
  `'\u0000'`
  `public static final byte`
  `MODIFIER_LETTER`
  `0x4`
  `public static final byte`
  `MODIFIER_SYMBOL`
  `0x1b`
  `public static final byte`
  `NON_SPACING_MARK`
  `0x6`
  `public static final byte`
  `OTHER_LETTER`
  `0x5`
  `public static final byte`
  `OTHER_NUMBER`
  `0xb`
  `public static final byte`
  `OTHER_PUNCTUATION`
  `0x18`
  `public static final byte`
  `OTHER_SYMBOL`
  `0x1c`
  `public static final byte`
  `PARAGRAPH_SEPARATOR`
  `0xe`
  `public static final byte`
  `PRIVATE_USE`
  `0x12`
  `public static final int`
  `SIZE`
  `16`
  `public static final byte`
  `SPACE_SEPARATOR`
  `0xc`
  `public static final byte`
  `START_PUNCTUATION`
  `0x15`
  `public static final byte`
  `SURROGATE`
  `0x13`
  `public static final byte`
  `TITLECASE_LETTER`
  `0x3`
  `public static final byte`
  `UNASSIGNED`
  `0x0`
  `public static final byte`
  `UPPERCASE_LETTER`
  `0x1`
- java.lang.Double
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `8`
  `public static final int`
  `MAX_EXPONENT`
  `1023`
  `public static final double`
  `MAX_VALUE`
  `1.7976931348623157E308`
  `public static final int`
  `MIN_EXPONENT`
  `-1022`
  `public static final double`
  `MIN_NORMAL`
  `2.2250738585072014E-308`
  `public static final double`
  `MIN_VALUE`
  `4.9E-324`
  `public static final double`
  `NaN`
  `0d/0d`
  `public static final double`
  `NEGATIVE_INFINITY`
  `-1d/0d`
  `public static final double`
  `POSITIVE_INFINITY`
  `1d/0d`
  `public static final int`
  `PRECISION`
  `53`
  `public static final int`
  `SIZE`
  `64`
- java.lang.Float
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `4`
  `public static final int`
  `MAX_EXPONENT`
  `127`
  `public static final float`
  `MAX_VALUE`
  `3.4028234663852886E38f`
  `public static final int`
  `MIN_EXPONENT`
  `-126`
  `public static final float`
  `MIN_NORMAL`
  `1.1754943508222875E-38f`
  `public static final float`
  `MIN_VALUE`
  `1.401298464324817E-45f`
  `public static final float`
  `NaN`
  `0f/0f`
  `public static final float`
  `NEGATIVE_INFINITY`
  `-1f/0f`
  `public static final float`
  `POSITIVE_INFINITY`
  `1f/0f`
  `public static final int`
  `PRECISION`
  `24`
  `public static final int`
  `SIZE`
  `32`
- java.lang.Integer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `4`
  `public static final int`
  `MAX_VALUE`
  `2147483647`
  `public static final int`
  `MIN_VALUE`
  `-2147483648`
  `public static final int`
  `SIZE`
  `32`
- java.lang.Long
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `8`
  `public static final long`
  `MAX_VALUE`
  `9223372036854775807L`
  `public static final long`
  `MIN_VALUE`
  `-9223372036854775808L`
  `public static final int`
  `SIZE`
  `64`
- java.lang.Math
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `E`
  `2.718281828459045`
  `public static final double`
  `PI`
  `3.141592653589793`
  `public static final double`
  `TAU`
  `6.283185307179586`
- java.lang.Short
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `2`
  `public static final short`
  `MAX_VALUE`
  `32767`
  `public static final short`
  `MIN_VALUE`
  `-32768`
  `public static final int`
  `SIZE`
  `16`
- java.lang.StrictMath
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `E`
  `2.718281828459045`
  `public static final double`
  `PI`
  `3.141592653589793`
  `public static final double`
  `TAU`
  `6.283185307179586`
- java.lang.Thread
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_PRIORITY`
  `10`
  `public static final int`
  `MIN_PRIORITY`
  `1`
  `public static final int`
  `NORM_PRIORITY`
  `5`

- java.lang.classfile.AnnotationValue
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TAG_ANNOTATION`
  `64`
  `public static final int`
  `TAG_ARRAY`
  `91`
  `public static final int`
  `TAG_BOOLEAN`
  `90`
  `public static final int`
  `TAG_BYTE`
  `66`
  `public static final int`
  `TAG_CHAR`
  `67`
  `public static final int`
  `TAG_CLASS`
  `99`
  `public static final int`
  `TAG_DOUBLE`
  `68`
  `public static final int`
  `TAG_ENUM`
  `101`
  `public static final int`
  `TAG_FLOAT`
  `70`
  `public static final int`
  `TAG_INT`
  `73`
  `public static final int`
  `TAG_LONG`
  `74`
  `public static final int`
  `TAG_SHORT`
  `83`
  `public static final int`
  `TAG_STRING`
  `115`
- java.lang.classfile.Attributes
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME_ANNOTATION_DEFAULT`
  `"AnnotationDefault"`
  `public static final String`
  `NAME_BOOTSTRAP_METHODS`
  `"BootstrapMethods"`
  `public static final String`
  `NAME_CHARACTER_RANGE_TABLE`
  `"CharacterRangeTable"`
  `public static final String`
  `NAME_CODE`
  `"Code"`
  `public static final String`
  `NAME_COMPILATION_ID`
  `"CompilationID"`
  `public static final String`
  `NAME_CONSTANT_VALUE`
  `"ConstantValue"`
  `public static final String`
  `NAME_DEPRECATED`
  `"Deprecated"`
  `public static final String`
  `NAME_ENCLOSING_METHOD`
  `"EnclosingMethod"`
  `public static final String`
  `NAME_EXCEPTIONS`
  `"Exceptions"`
  `public static final String`
  `NAME_INNER_CLASSES`
  `"InnerClasses"`
  `public static final String`
  `NAME_LINE_NUMBER_TABLE`
  `"LineNumberTable"`
  `public static final String`
  `NAME_LOCAL_VARIABLE_TABLE`
  `"LocalVariableTable"`
  `public static final String`
  `NAME_LOCAL_VARIABLE_TYPE_TABLE`
  `"LocalVariableTypeTable"`
  `public static final String`
  `NAME_METHOD_PARAMETERS`
  `"MethodParameters"`
  `public static final String`
  `NAME_MODULE`
  `"Module"`
  `public static final String`
  `NAME_MODULE_HASHES`
  `"ModuleHashes"`
  `public static final String`
  `NAME_MODULE_MAIN_CLASS`
  `"ModuleMainClass"`
  `public static final String`
  `NAME_MODULE_PACKAGES`
  `"ModulePackages"`
  `public static final String`
  `NAME_MODULE_RESOLUTION`
  `"ModuleResolution"`
  `public static final String`
  `NAME_MODULE_TARGET`
  `"ModuleTarget"`
  `public static final String`
  `NAME_NEST_HOST`
  `"NestHost"`
  `public static final String`
  `NAME_NEST_MEMBERS`
  `"NestMembers"`
  `public static final String`
  `NAME_PERMITTED_SUBCLASSES`
  `"PermittedSubclasses"`
  `public static final String`
  `NAME_RECORD`
  `"Record"`
  `public static final String`
  `NAME_RUNTIME_INVISIBLE_ANNOTATIONS`
  `"RuntimeInvisibleAnnotations"`
  `public static final String`
  `NAME_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
  `"RuntimeInvisibleParameterAnnotations"`
  `public static final String`
  `NAME_RUNTIME_INVISIBLE_TYPE_ANNOTATIONS`
  `"RuntimeInvisibleTypeAnnotations"`
  `public static final String`
  `NAME_RUNTIME_VISIBLE_ANNOTATIONS`
  `"RuntimeVisibleAnnotations"`
  `public static final String`
  `NAME_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
  `"RuntimeVisibleParameterAnnotations"`
  `public static final String`
  `NAME_RUNTIME_VISIBLE_TYPE_ANNOTATIONS`
  `"RuntimeVisibleTypeAnnotations"`
  `public static final String`
  `NAME_SIGNATURE`
  `"Signature"`
  `public static final String`
  `NAME_SOURCE_DEBUG_EXTENSION`
  `"SourceDebugExtension"`
  `public static final String`
  `NAME_SOURCE_FILE`
  `"SourceFile"`
  `public static final String`
  `NAME_SOURCE_ID`
  `"SourceID"`
  `public static final String`
  `NAME_STACK_MAP_TABLE`
  `"StackMapTable"`
  `public static final String`
  `NAME_SYNTHETIC`
  `"Synthetic"`
- java.lang.classfile.ClassFile
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACC_ABSTRACT`
  `1024`
  `public static final int`
  `ACC_ANNOTATION`
  `8192`
  `public static final int`
  `ACC_BRIDGE`
  `64`
  `public static final int`
  `ACC_ENUM`
  `16384`
  `public static final int`
  `ACC_FINAL`
  `16`
  `public static final int`
  `ACC_INTERFACE`
  `512`
  `public static final int`
  `ACC_MANDATED`
  `32768`
  `public static final int`
  `ACC_MODULE`
  `32768`
  `public static final int`
  `ACC_NATIVE`
  `256`
  `public static final int`
  `ACC_OPEN`
  `32`
  `public static final int`
  `ACC_PRIVATE`
  `2`
  `public static final int`
  `ACC_PROTECTED`
  `4`
  `public static final int`
  `ACC_PUBLIC`
  `1`
  `public static final int`
  `ACC_STATIC`
  `8`
  `public static final int`
  `ACC_STATIC_PHASE`
  `64`
  `public static final int`
  `ACC_STRICT`
  `2048`
  `public static final int`
  `ACC_SUPER`
  `32`
  `public static final int`
  `ACC_SYNCHRONIZED`
  `32`
  `public static final int`
  `ACC_SYNTHETIC`
  `4096`
  `public static final int`
  `ACC_TRANSIENT`
  `128`
  `public static final int`
  `ACC_TRANSITIVE`
  `32`
  `public static final int`
  `ACC_VARARGS`
  `128`
  `public static final int`
  `ACC_VOLATILE`
  `64`
  `public static final int`
  `JAVA_1_VERSION`
  `45`
  `public static final int`
  `JAVA_10_VERSION`
  `54`
  `public static final int`
  `JAVA_11_VERSION`
  `55`
  `public static final int`
  `JAVA_12_VERSION`
  `56`
  `public static final int`
  `JAVA_13_VERSION`
  `57`
  `public static final int`
  `JAVA_14_VERSION`
  `58`
  `public static final int`
  `JAVA_15_VERSION`
  `59`
  `public static final int`
  `JAVA_16_VERSION`
  `60`
  `public static final int`
  `JAVA_17_VERSION`
  `61`
  `public static final int`
  `JAVA_18_VERSION`
  `62`
  `public static final int`
  `JAVA_19_VERSION`
  `63`
  `public static final int`
  `JAVA_2_VERSION`
  `46`
  `public static final int`
  `JAVA_20_VERSION`
  `64`
  `public static final int`
  `JAVA_21_VERSION`
  `65`
  `public static final int`
  `JAVA_22_VERSION`
  `66`
  `public static final int`
  `JAVA_23_VERSION`
  `67`
  `public static final int`
  `JAVA_24_VERSION`
  `68`
  `public static final int`
  `JAVA_25_VERSION`
  `69`
  `public static final int`
  `JAVA_3_VERSION`
  `47`
  `public static final int`
  `JAVA_4_VERSION`
  `48`
  `public static final int`
  `JAVA_5_VERSION`
  `49`
  `public static final int`
  `JAVA_6_VERSION`
  `50`
  `public static final int`
  `JAVA_7_VERSION`
  `51`
  `public static final int`
  `JAVA_8_VERSION`
  `52`
  `public static final int`
  `JAVA_9_VERSION`
  `53`
  `public static final int`
  `MAGIC_NUMBER`
  `-889275714`
  `public static final int`
  `PREVIEW_MINOR_VERSION`
  `65535`
- java.lang.classfile.TypeAnnotation.TargetInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TARGET_CAST`
  `71`
  `public static final int`
  `TARGET_CLASS_EXTENDS`
  `16`
  `public static final int`
  `TARGET_CLASS_TYPE_PARAMETER`
  `0`
  `public static final int`
  `TARGET_CLASS_TYPE_PARAMETER_BOUND`
  `17`
  `public static final int`
  `TARGET_CONSTRUCTOR_INVOCATION_TYPE_ARGUMENT`
  `72`
  `public static final int`
  `TARGET_CONSTRUCTOR_REFERENCE`
  `69`
  `public static final int`
  `TARGET_CONSTRUCTOR_REFERENCE_TYPE_ARGUMENT`
  `74`
  `public static final int`
  `TARGET_EXCEPTION_PARAMETER`
  `66`
  `public static final int`
  `TARGET_FIELD`
  `19`
  `public static final int`
  `TARGET_INSTANCEOF`
  `67`
  `public static final int`
  `TARGET_LOCAL_VARIABLE`
  `64`
  `public static final int`
  `TARGET_METHOD_FORMAL_PARAMETER`
  `22`
  `public static final int`
  `TARGET_METHOD_INVOCATION_TYPE_ARGUMENT`
  `73`
  `public static final int`
  `TARGET_METHOD_RECEIVER`
  `21`
  `public static final int`
  `TARGET_METHOD_REFERENCE`
  `70`
  `public static final int`
  `TARGET_METHOD_REFERENCE_TYPE_ARGUMENT`
  `75`
  `public static final int`
  `TARGET_METHOD_RETURN`
  `20`
  `public static final int`
  `TARGET_METHOD_TYPE_PARAMETER`
  `1`
  `public static final int`
  `TARGET_METHOD_TYPE_PARAMETER_BOUND`
  `18`
  `public static final int`
  `TARGET_NEW`
  `68`
  `public static final int`
  `TARGET_RESOURCE_VARIABLE`
  `65`
  `public static final int`
  `TARGET_THROWS`
  `23`

- java.lang.classfile.attribute.StackMapFrameInfo.VerificationTypeInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ITEM_DOUBLE`
  `3`
  `public static final int`
  `ITEM_FLOAT`
  `2`
  `public static final int`
  `ITEM_INTEGER`
  `1`
  `public static final int`
  `ITEM_LONG`
  `4`
  `public static final int`
  `ITEM_NULL`
  `5`
  `public static final int`
  `ITEM_OBJECT`
  `7`
  `public static final int`
  `ITEM_TOP`
  `0`
  `public static final int`
  `ITEM_UNINITIALIZED`
  `8`
  `public static final int`
  `ITEM_UNINITIALIZED_THIS`
  `6`

- java.lang.classfile.constantpool.PoolEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TAG_CLASS`
  `7`
  `public static final int`
  `TAG_DOUBLE`
  `6`
  `public static final int`
  `TAG_DYNAMIC`
  `17`
  `public static final int`
  `TAG_FIELDREF`
  `9`
  `public static final int`
  `TAG_FLOAT`
  `4`
  `public static final int`
  `TAG_INTEGER`
  `3`
  `public static final int`
  `TAG_INTERFACE_METHODREF`
  `11`
  `public static final int`
  `TAG_INVOKE_DYNAMIC`
  `18`
  `public static final int`
  `TAG_LONG`
  `5`
  `public static final int`
  `TAG_METHOD_HANDLE`
  `15`
  `public static final int`
  `TAG_METHOD_TYPE`
  `16`
  `public static final int`
  `TAG_METHODREF`
  `10`
  `public static final int`
  `TAG_MODULE`
  `19`
  `public static final int`
  `TAG_NAME_AND_TYPE`
  `12`
  `public static final int`
  `TAG_PACKAGE`
  `20`
  `public static final int`
  `TAG_STRING`
  `8`
  `public static final int`
  `TAG_UTF8`
  `1`

- java.lang.classfile.instruction.CharacterRange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FLAG_ASSIGNMENT`
  `4`
  `public static final int`
  `FLAG_BLOCK`
  `2`
  `public static final int`
  `FLAG_BRANCH_FALSE`
  `256`
  `public static final int`
  `FLAG_BRANCH_TRUE`
  `128`
  `public static final int`
  `FLAG_CREATE`
  `64`
  `public static final int`
  `FLAG_FLOW_CONTROLLER`
  `8`
  `public static final int`
  `FLAG_FLOW_TARGET`
  `16`
  `public static final int`
  `FLAG_INVOKE`
  `32`
  `public static final int`
  `FLAG_STATEMENT`
  `1`

- java.lang.constant.ConstantDescs
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASS_INIT_NAME`
  `"<clinit>"`
  `public static final String`
  `DEFAULT_NAME`
  `"_"`
  `public static final String`
  `INIT_NAME`
  `"<init>"`

- java.lang.invoke.LambdaMetafactory
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FLAG_BRIDGES`
  `4`
  `public static final int`
  `FLAG_MARKERS`
  `2`
  `public static final int`
  `FLAG_SERIALIZABLE`
  `1`
- java.lang.invoke.MethodHandleInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `REF_getField`
  `1`
  `public static final int`
  `REF_getStatic`
  `2`
  `public static final int`
  `REF_invokeInterface`
  `9`
  `public static final int`
  `REF_invokeSpecial`
  `7`
  `public static final int`
  `REF_invokeStatic`
  `6`
  `public static final int`
  `REF_invokeVirtual`
  `5`
  `public static final int`
  `REF_newInvokeSpecial`
  `8`
  `public static final int`
  `REF_putField`
  `3`
  `public static final int`
  `REF_putStatic`
  `4`
- java.lang.invoke.MethodHandles.Lookup
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MODULE`
  `16`
  `public static final int`
  `ORIGINAL`
  `64`
  `public static final int`
  `PACKAGE`
  `8`
  `public static final int`
  `PRIVATE`
  `2`
  `public static final int`
  `PROTECTED`
  `4`
  `public static final int`
  `PUBLIC`
  `1`
  `public static final int`
  `UNCONDITIONAL`
  `32`

- java.lang.management.ManagementFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLASS_LOADING_MXBEAN_NAME`
  `"java.lang:type=ClassLoading"`
  `public static final String`
  `COMPILATION_MXBEAN_NAME`
  `"java.lang:type=Compilation"`
  `public static final String`
  `GARBAGE_COLLECTOR_MXBEAN_DOMAIN_TYPE`
  `"java.lang:type=GarbageCollector"`
  `public static final String`
  `MEMORY_MANAGER_MXBEAN_DOMAIN_TYPE`
  `"java.lang:type=MemoryManager"`
  `public static final String`
  `MEMORY_MXBEAN_NAME`
  `"java.lang:type=Memory"`
  `public static final String`
  `MEMORY_POOL_MXBEAN_DOMAIN_TYPE`
  `"java.lang:type=MemoryPool"`
  `public static final String`
  `OPERATING_SYSTEM_MXBEAN_NAME`
  `"java.lang:type=OperatingSystem"`
  `public static final String`
  `RUNTIME_MXBEAN_NAME`
  `"java.lang:type=Runtime"`
  `public static final String`
  `THREAD_MXBEAN_NAME`
  `"java.lang:type=Threading"`
- java.lang.management.MemoryNotificationInfo
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MEMORY_COLLECTION_THRESHOLD_EXCEEDED`
  `"java.management.memory.collection.threshold.exceeded"`
  `public static final String`
  `MEMORY_THRESHOLD_EXCEEDED`
  `"java.management.memory.threshold.exceeded"`

- java.lang.reflect.Member
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DECLARED`
  `1`
  `public static final int`
  `PUBLIC`
  `0`
- java.lang.reflect.Modifier
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ABSTRACT`
  `1024`
  `public static final int`
  `FINAL`
  `16`
  `public static final int`
  `INTERFACE`
  `512`
  `public static final int`
  `NATIVE`
  `256`
  `public static final int`
  `PRIVATE`
  `2`
  `public static final int`
  `PROTECTED`
  `4`
  `public static final int`
  `PUBLIC`
  `1`
  `public static final int`
  `STATIC`
  `8`
  `public static final int`
  `STRICT`
  `2048`
  `public static final int`
  `SYNCHRONIZED`
  `32`
  `public static final int`
  `TRANSIENT`
  `128`
  `public static final int`
  `VOLATILE`
  `64`

## java.math.*

- java.math.BigDecimal
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ROUND_CEILING`
  `2`
  `public static final int`
  `ROUND_DOWN`
  `1`
  `public static final int`
  `ROUND_FLOOR`
  `3`
  `public static final int`
  `ROUND_HALF_DOWN`
  `5`
  `public static final int`
  `ROUND_HALF_EVEN`
  `6`
  `public static final int`
  `ROUND_HALF_UP`
  `4`
  `public static final int`
  `ROUND_UNNECESSARY`
  `7`
  `public static final int`
  `ROUND_UP`
  `0`

## java.net.*

- java.net.HttpURLConnection
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HTTP_ACCEPTED`
  `202`
  `public static final int`
  `HTTP_BAD_GATEWAY`
  `502`
  `public static final int`
  `HTTP_BAD_METHOD`
  `405`
  `public static final int`
  `HTTP_BAD_REQUEST`
  `400`
  `public static final int`
  `HTTP_CLIENT_TIMEOUT`
  `408`
  `public static final int`
  `HTTP_CONFLICT`
  `409`
  `public static final int`
  `HTTP_CREATED`
  `201`
  `public static final int`
  `HTTP_ENTITY_TOO_LARGE`
  `413`
  `public static final int`
  `HTTP_FORBIDDEN`
  `403`
  `public static final int`
  `HTTP_GATEWAY_TIMEOUT`
  `504`
  `public static final int`
  `HTTP_GONE`
  `410`
  `public static final int`
  `HTTP_INTERNAL_ERROR`
  `500`
  `public static final int`
  `HTTP_LENGTH_REQUIRED`
  `411`
  `public static final int`
  `HTTP_MOVED_PERM`
  `301`
  `public static final int`
  `HTTP_MOVED_TEMP`
  `302`
  `public static final int`
  `HTTP_MULT_CHOICE`
  `300`
  `public static final int`
  `HTTP_NO_CONTENT`
  `204`
  `public static final int`
  `HTTP_NOT_ACCEPTABLE`
  `406`
  `public static final int`
  `HTTP_NOT_AUTHORITATIVE`
  `203`
  `public static final int`
  `HTTP_NOT_FOUND`
  `404`
  `public static final int`
  `HTTP_NOT_IMPLEMENTED`
  `501`
  `public static final int`
  `HTTP_NOT_MODIFIED`
  `304`
  `public static final int`
  `HTTP_OK`
  `200`
  `public static final int`
  `HTTP_PARTIAL`
  `206`
  `public static final int`
  `HTTP_PAYMENT_REQUIRED`
  `402`
  `public static final int`
  `HTTP_PRECON_FAILED`
  `412`
  `public static final int`
  `HTTP_PROXY_AUTH`
  `407`
  `public static final int`
  `HTTP_REQ_TOO_LONG`
  `414`
  `public static final int`
  `HTTP_RESET`
  `205`
  `public static final int`
  `HTTP_SEE_OTHER`
  `303`
  `public static final int`
  `HTTP_SERVER_ERROR`
  `500`
  `public static final int`
  `HTTP_UNAUTHORIZED`
  `401`
  `public static final int`
  `HTTP_UNAVAILABLE`
  `503`
  `public static final int`
  `HTTP_UNSUPPORTED_TYPE`
  `415`
  `public static final int`
  `HTTP_USE_PROXY`
  `305`
  `public static final int`
  `HTTP_VERSION`
  `505`
- java.net.IDN
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALLOW_UNASSIGNED`
  `1`
  `public static final int`
  `USE_STD3_ASCII_RULES`
  `2`
- java.net.SocketOptions
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `IP_MULTICAST_IF`
  `16`
  `public static final int`
  `IP_MULTICAST_IF2`
  `31`
  `public static final int`
  `IP_MULTICAST_LOOP`
  `18`
  `public static final int`
  `IP_TOS`
  `3`
  `public static final int`
  `SO_BINDADDR`
  `15`
  `public static final int`
  `SO_BROADCAST`
  `32`
  `public static final int`
  `SO_KEEPALIVE`
  `8`
  `public static final int`
  `SO_LINGER`
  `128`
  `public static final int`
  `SO_OOBINLINE`
  `4099`
  `public static final int`
  `SO_RCVBUF`
  `4098`
  `public static final int`
  `SO_REUSEADDR`
  `4`
  `public static final int`
  `SO_REUSEPORT`
  `14`
  `public static final int`
  `SO_SNDBUF`
  `4097`
  `public static final int`
  `SO_TIMEOUT`
  `4102`
  `public static final int`
  `TCP_NODELAY`
  `1`

- java.net.http.WebSocket
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NORMAL_CLOSURE`
  `1000`

- java.net.spi.InetAddressResolver.LookupPolicy
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `IPV4`
  `1`
  `public static final int`
  `IPV4_FIRST`
  `4`
  `public static final int`
  `IPV6`
  `2`
  `public static final int`
  `IPV6_FIRST`
  `8`

## java.nio.*

- java.nio.channels.SelectionKey
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OP_ACCEPT`
  `16`
  `public static final int`
  `OP_CONNECT`
  `8`
  `public static final int`
  `OP_READ`
  `1`
  `public static final int`
  `OP_WRITE`
  `4`

## java.rmi.*

- java.rmi.registry.Registry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `REGISTRY_PORT`
  `1099`

- java.rmi.server.LoaderHandler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `packagePrefix`
  `"sun.rmi.server"`
- java.rmi.server.LogStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BRIEF`
  `10`
  `public static final int`
  `SILENT`
  `0`
  `public static final int`
  `VERBOSE`
  `20`
- java.rmi.server.ObjID
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTIVATOR_ID`
  `1`
  `public static final int`
  `DGC_ID`
  `2`
  `public static final int`
  `REGISTRY_ID`
  `0`
- java.rmi.server.RemoteRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `packagePrefix`
  `"sun.rmi.server"`
  `public static final long`
  `serialVersionUID`
  `3632638527362204081L`
- java.rmi.server.ServerRef
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-4557750989390278438L`

## java.security.*

- java.security.Key
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `6603384152749567654L`
- java.security.PrivateKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `6034044314589513430L`
- java.security.PublicKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `7187392471159151072L`
- java.security.Signature
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `SIGN`
  `2`
  `protected static final int`
  `UNINITIALIZED`
  `0`
  `protected static final int`
  `VERIFY`
  `3`

- java.security.interfaces.DSAPrivateKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `7776497482533790279L`
- java.security.interfaces.DSAPublicKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `1234526332779022332L`
- java.security.interfaces.ECPrivateKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-7896394956925609184L`
- java.security.interfaces.ECPublicKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-3314988629879632826L`
- java.security.interfaces.RSAMultiPrimePrivateCrtKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `618058533534628008L`
- java.security.interfaces.RSAPrivateCrtKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-5682214253527700368L`
- java.security.interfaces.RSAPrivateKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `5187144804936595022L`
- java.security.interfaces.RSAPublicKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-8727434096241101194L`

- java.security.spec.PSSParameterSpec
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TRAILER_FIELD_BC`
  `1`

## java.sql.*

- java.sql.Connection
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TRANSACTION_NONE`
  `0`
  `public static final int`
  `TRANSACTION_READ_COMMITTED`
  `2`
  `public static final int`
  `TRANSACTION_READ_UNCOMMITTED`
  `1`
  `public static final int`
  `TRANSACTION_REPEATABLE_READ`
  `4`
  `public static final int`
  `TRANSACTION_SERIALIZABLE`
  `8`
- java.sql.DatabaseMetaData
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `attributeNoNulls`
  `0`
  `public static final short`
  `attributeNullable`
  `1`
  `public static final short`
  `attributeNullableUnknown`
  `2`
  `public static final int`
  `bestRowNotPseudo`
  `1`
  `public static final int`
  `bestRowPseudo`
  `2`
  `public static final int`
  `bestRowSession`
  `2`
  `public static final int`
  `bestRowTemporary`
  `0`
  `public static final int`
  `bestRowTransaction`
  `1`
  `public static final int`
  `bestRowUnknown`
  `0`
  `public static final int`
  `columnNoNulls`
  `0`
  `public static final int`
  `columnNullable`
  `1`
  `public static final int`
  `columnNullableUnknown`
  `2`
  `public static final int`
  `functionColumnIn`
  `1`
  `public static final int`
  `functionColumnInOut`
  `2`
  `public static final int`
  `functionColumnOut`
  `3`
  `public static final int`
  `functionColumnResult`
  `5`
  `public static final int`
  `functionColumnUnknown`
  `0`
  `public static final int`
  `functionNoNulls`
  `0`
  `public static final int`
  `functionNoTable`
  `1`
  `public static final int`
  `functionNullable`
  `1`
  `public static final int`
  `functionNullableUnknown`
  `2`
  `public static final int`
  `functionResultUnknown`
  `0`
  `public static final int`
  `functionReturn`
  `4`
  `public static final int`
  `functionReturnsTable`
  `2`
  `public static final int`
  `importedKeyCascade`
  `0`
  `public static final int`
  `importedKeyInitiallyDeferred`
  `5`
  `public static final int`
  `importedKeyInitiallyImmediate`
  `6`
  `public static final int`
  `importedKeyNoAction`
  `3`
  `public static final int`
  `importedKeyNotDeferrable`
  `7`
  `public static final int`
  `importedKeyRestrict`
  `1`
  `public static final int`
  `importedKeySetDefault`
  `4`
  `public static final int`
  `importedKeySetNull`
  `2`
  `public static final int`
  `procedureColumnIn`
  `1`
  `public static final int`
  `procedureColumnInOut`
  `2`
  `public static final int`
  `procedureColumnOut`
  `4`
  `public static final int`
  `procedureColumnResult`
  `3`
  `public static final int`
  `procedureColumnReturn`
  `5`
  `public static final int`
  `procedureColumnUnknown`
  `0`
  `public static final int`
  `procedureNoNulls`
  `0`
  `public static final int`
  `procedureNoResult`
  `1`
  `public static final int`
  `procedureNullable`
  `1`
  `public static final int`
  `procedureNullableUnknown`
  `2`
  `public static final int`
  `procedureResultUnknown`
  `0`
  `public static final int`
  `procedureReturnsResult`
  `2`
  `public static final int`
  `sqlStateSQL`
  `2`
  `public static final int`
  `sqlStateSQL99`
  `2`
  `public static final int`
  `sqlStateXOpen`
  `1`
  `public static final short`
  `tableIndexClustered`
  `1`
  `public static final short`
  `tableIndexHashed`
  `2`
  `public static final short`
  `tableIndexOther`
  `3`
  `public static final short`
  `tableIndexStatistic`
  `0`
  `public static final int`
  `typeNoNulls`
  `0`
  `public static final int`
  `typeNullable`
  `1`
  `public static final int`
  `typeNullableUnknown`
  `2`
  `public static final int`
  `typePredBasic`
  `2`
  `public static final int`
  `typePredChar`
  `1`
  `public static final int`
  `typePredNone`
  `0`
  `public static final int`
  `typeSearchable`
  `3`
  `public static final int`
  `versionColumnNotPseudo`
  `1`
  `public static final int`
  `versionColumnPseudo`
  `2`
  `public static final int`
  `versionColumnUnknown`
  `0`
- java.sql.ParameterMetaData
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `parameterModeIn`
  `1`
  `public static final int`
  `parameterModeInOut`
  `2`
  `public static final int`
  `parameterModeOut`
  `4`
  `public static final int`
  `parameterModeUnknown`
  `0`
  `public static final int`
  `parameterNoNulls`
  `0`
  `public static final int`
  `parameterNullable`
  `1`
  `public static final int`
  `parameterNullableUnknown`
  `2`
- java.sql.ResultSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLOSE_CURSORS_AT_COMMIT`
  `2`
  `public static final int`
  `CONCUR_READ_ONLY`
  `1007`
  `public static final int`
  `CONCUR_UPDATABLE`
  `1008`
  `public static final int`
  `FETCH_FORWARD`
  `1000`
  `public static final int`
  `FETCH_REVERSE`
  `1001`
  `public static final int`
  `FETCH_UNKNOWN`
  `1002`
  `public static final int`
  `HOLD_CURSORS_OVER_COMMIT`
  `1`
  `public static final int`
  `TYPE_FORWARD_ONLY`
  `1003`
  `public static final int`
  `TYPE_SCROLL_INSENSITIVE`
  `1004`
  `public static final int`
  `TYPE_SCROLL_SENSITIVE`
  `1005`
- java.sql.ResultSetMetaData
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `columnNoNulls`
  `0`
  `public static final int`
  `columnNullable`
  `1`
  `public static final int`
  `columnNullableUnknown`
  `2`
- java.sql.Statement
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLOSE_ALL_RESULTS`
  `3`
  `public static final int`
  `CLOSE_CURRENT_RESULT`
  `1`
  `public static final int`
  `EXECUTE_FAILED`
  `-3`
  `public static final int`
  `KEEP_CURRENT_RESULT`
  `2`
  `public static final int`
  `NO_GENERATED_KEYS`
  `2`
  `public static final int`
  `RETURN_GENERATED_KEYS`
  `1`
  `public static final int`
  `SUCCESS_NO_INFO`
  `-2`
- java.sql.Types
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ARRAY`
  `2003`
  `public static final int`
  `BIGINT`
  `-5`
  `public static final int`
  `BINARY`
  `-2`
  `public static final int`
  `BIT`
  `-7`
  `public static final int`
  `BLOB`
  `2004`
  `public static final int`
  `BOOLEAN`
  `16`
  `public static final int`
  `CHAR`
  `1`
  `public static final int`
  `CLOB`
  `2005`
  `public static final int`
  `DATALINK`
  `70`
  `public static final int`
  `DATE`
  `91`
  `public static final int`
  `DECIMAL`
  `3`
  `public static final int`
  `DISTINCT`
  `2001`
  `public static final int`
  `DOUBLE`
  `8`
  `public static final int`
  `FLOAT`
  `6`
  `public static final int`
  `INTEGER`
  `4`
  `public static final int`
  `JAVA_OBJECT`
  `2000`
  `public static final int`
  `LONGNVARCHAR`
  `-16`
  `public static final int`
  `LONGVARBINARY`
  `-4`
  `public static final int`
  `LONGVARCHAR`
  `-1`
  `public static final int`
  `NCHAR`
  `-15`
  `public static final int`
  `NCLOB`
  `2011`
  `public static final int`
  `NULL`
  `0`
  `public static final int`
  `NUMERIC`
  `2`
  `public static final int`
  `NVARCHAR`
  `-9`
  `public static final int`
  `OTHER`
  `1111`
  `public static final int`
  `REAL`
  `7`
  `public static final int`
  `REF`
  `2006`
  `public static final int`
  `REF_CURSOR`
  `2012`
  `public static final int`
  `ROWID`
  `-8`
  `public static final int`
  `SMALLINT`
  `5`
  `public static final int`
  `SQLXML`
  `2009`
  `public static final int`
  `STRUCT`
  `2002`
  `public static final int`
  `TIME`
  `92`
  `public static final int`
  `TIME_WITH_TIMEZONE`
  `2013`
  `public static final int`
  `TIMESTAMP`
  `93`
  `public static final int`
  `TIMESTAMP_WITH_TIMEZONE`
  `2014`
  `public static final int`
  `TINYINT`
  `-6`
  `public static final int`
  `VARBINARY`
  `-3`
  `public static final int`
  `VARCHAR`
  `12`

## java.text.*

- java.text.Bidi
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DIRECTION_DEFAULT_LEFT_TO_RIGHT`
  `-2`
  `public static final int`
  `DIRECTION_DEFAULT_RIGHT_TO_LEFT`
  `-1`
  `public static final int`
  `DIRECTION_LEFT_TO_RIGHT`
  `0`
  `public static final int`
  `DIRECTION_RIGHT_TO_LEFT`
  `1`
- java.text.BreakIterator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DONE`
  `-1`
- java.text.CharacterIterator
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DONE`
  `'\uffff'`
- java.text.CollationElementIterator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NULLORDER`
  `-1`
- java.text.Collator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CANONICAL_DECOMPOSITION`
  `1`
  `public static final int`
  `FULL_DECOMPOSITION`
  `2`
  `public static final int`
  `IDENTICAL`
  `3`
  `public static final int`
  `NO_DECOMPOSITION`
  `0`
  `public static final int`
  `PRIMARY`
  `0`
  `public static final int`
  `SECONDARY`
  `1`
  `public static final int`
  `TERTIARY`
  `2`
- java.text.DateFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `AM_PM_FIELD`
  `14`
  `public static final int`
  `DATE_FIELD`
  `3`
  `public static final int`
  `DAY_OF_WEEK_FIELD`
  `9`
  `public static final int`
  `DAY_OF_WEEK_IN_MONTH_FIELD`
  `11`
  `public static final int`
  `DAY_OF_YEAR_FIELD`
  `10`
  `public static final int`
  `DEFAULT`
  `2`
  `public static final int`
  `ERA_FIELD`
  `0`
  `public static final int`
  `FULL`
  `0`
  `public static final int`
  `HOUR_OF_DAY0_FIELD`
  `5`
  `public static final int`
  `HOUR_OF_DAY1_FIELD`
  `4`
  `public static final int`
  `HOUR0_FIELD`
  `16`
  `public static final int`
  `HOUR1_FIELD`
  `15`
  `public static final int`
  `LONG`
  `1`
  `public static final int`
  `MEDIUM`
  `2`
  `public static final int`
  `MILLISECOND_FIELD`
  `8`
  `public static final int`
  `MINUTE_FIELD`
  `6`
  `public static final int`
  `MONTH_FIELD`
  `2`
  `public static final int`
  `SECOND_FIELD`
  `7`
  `public static final int`
  `SHORT`
  `3`
  `public static final int`
  `TIMEZONE_FIELD`
  `17`
  `public static final int`
  `WEEK_OF_MONTH_FIELD`
  `13`
  `public static final int`
  `WEEK_OF_YEAR_FIELD`
  `12`
  `public static final int`
  `YEAR_FIELD`
  `1`
- java.text.NumberFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FRACTION_FIELD`
  `1`
  `public static final int`
  `INTEGER_FIELD`
  `0`

## java.time.*

- java.time.Year
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_VALUE`
  `999999999`
  `public static final int`
  `MIN_VALUE`
  `-999999999`

## java.util.*

- java.util.Calendar
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALL_STYLES`
  `0`
  `public static final int`
  `AM`
  `0`
  `public static final int`
  `AM_PM`
  `9`
  `public static final int`
  `APRIL`
  `3`
  `public static final int`
  `AUGUST`
  `7`
  `public static final int`
  `DATE`
  `5`
  `public static final int`
  `DAY_OF_MONTH`
  `5`
  `public static final int`
  `DAY_OF_WEEK`
  `7`
  `public static final int`
  `DAY_OF_WEEK_IN_MONTH`
  `8`
  `public static final int`
  `DAY_OF_YEAR`
  `6`
  `public static final int`
  `DECEMBER`
  `11`
  `public static final int`
  `DST_OFFSET`
  `16`
  `public static final int`
  `ERA`
  `0`
  `public static final int`
  `FEBRUARY`
  `1`
  `public static final int`
  `FIELD_COUNT`
  `17`
  `public static final int`
  `FRIDAY`
  `6`
  `public static final int`
  `HOUR`
  `10`
  `public static final int`
  `HOUR_OF_DAY`
  `11`
  `public static final int`
  `JANUARY`
  `0`
  `public static final int`
  `JULY`
  `6`
  `public static final int`
  `JUNE`
  `5`
  `public static final int`
  `LONG`
  `2`
  `public static final int`
  `LONG_FORMAT`
  `2`
  `public static final int`
  `LONG_STANDALONE`
  `32770`
  `public static final int`
  `MARCH`
  `2`
  `public static final int`
  `MAY`
  `4`
  `public static final int`
  `MILLISECOND`
  `14`
  `public static final int`
  `MINUTE`
  `12`
  `public static final int`
  `MONDAY`
  `2`
  `public static final int`
  `MONTH`
  `2`
  `public static final int`
  `NARROW_FORMAT`
  `4`
  `public static final int`
  `NARROW_STANDALONE`
  `32772`
  `public static final int`
  `NOVEMBER`
  `10`
  `public static final int`
  `OCTOBER`
  `9`
  `public static final int`
  `PM`
  `1`
  `public static final int`
  `SATURDAY`
  `7`
  `public static final int`
  `SECOND`
  `13`
  `public static final int`
  `SEPTEMBER`
  `8`
  `public static final int`
  `SHORT`
  `1`
  `public static final int`
  `SHORT_FORMAT`
  `1`
  `public static final int`
  `SHORT_STANDALONE`
  `32769`
  `public static final int`
  `SUNDAY`
  `1`
  `public static final int`
  `THURSDAY`
  `5`
  `public static final int`
  `TUESDAY`
  `3`
  `public static final int`
  `UNDECIMBER`
  `12`
  `public static final int`
  `WEDNESDAY`
  `4`
  `public static final int`
  `WEEK_OF_MONTH`
  `4`
  `public static final int`
  `WEEK_OF_YEAR`
  `3`
  `public static final int`
  `YEAR`
  `1`
  `public static final int`
  `ZONE_OFFSET`
  `15`
- java.util.FormattableFlags
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALTERNATE`
  `4`
  `public static final int`
  `LEFT_JUSTIFY`
  `1`
  `public static final int`
  `UPPERCASE`
  `2`
- java.util.GregorianCalendar
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `AD`
  `1`
  `public static final int`
  `BC`
  `0`
- java.util.Locale
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `PRIVATE_USE_EXTENSION`
  `'x'`
  `public static final char`
  `UNICODE_LOCALE_EXTENSION`
  `'u'`
- java.util.Locale.LanguageRange
  Modifier and Type
  Constant Field
  Value
  `public static final double`
  `MAX_WEIGHT`
  `1.0`
  `public static final double`
  `MIN_WEIGHT`
  `0.0`
- java.util.ResourceBundle.Control
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `TTL_DONT_CACHE`
  `-1L`
  `public static final long`
  `TTL_NO_EXPIRATION_CONTROL`
  `-2L`
- java.util.SimpleTimeZone
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `STANDARD_TIME`
  `1`
  `public static final int`
  `UTC_TIME`
  `2`
  `public static final int`
  `WALL_TIME`
  `0`
- java.util.Spliterator<T>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CONCURRENT`
  `4096`
  `public static final int`
  `DISTINCT`
  `1`
  `public static final int`
  `IMMUTABLE`
  `1024`
  `public static final int`
  `NONNULL`
  `256`
  `public static final int`
  `ORDERED`
  `16`
  `public static final int`
  `SIZED`
  `64`
  `public static final int`
  `SORTED`
  `4`
  `public static final int`
  `SUBSIZED`
  `16384`
- java.util.TimeZone
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LONG`
  `1`
  `public static final int`
  `SHORT`
  `0`

- java.util.jar.JarEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
- java.util.jar.JarFile
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
  `public static final String`
  `MANIFEST_NAME`
  `"META-INF/MANIFEST.MF"`
- java.util.jar.JarInputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
- java.util.jar.JarOutputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`

- java.util.logging.ErrorManager
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLOSE_FAILURE`
  `3`
  `public static final int`
  `FLUSH_FAILURE`
  `2`
  `public static final int`
  `FORMAT_FAILURE`
  `5`
  `public static final int`
  `GENERIC_FAILURE`
  `0`
  `public static final int`
  `OPEN_FAILURE`
  `4`
  `public static final int`
  `WRITE_FAILURE`
  `1`
- java.util.logging.Logger
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GLOBAL_LOGGER_NAME`
  `"global"`
- java.util.logging.LogManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LOGGING_MXBEAN_NAME`
  `"java.util.logging:type=Logging"`

- java.util.prefs.Preferences
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_KEY_LENGTH`
  `80`
  `public static final int`
  `MAX_NAME_LENGTH`
  `80`
  `public static final int`
  `MAX_VALUE_LENGTH`
  `8192`

- java.util.regex.Pattern
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CANON_EQ`
  `128`
  `public static final int`
  `CASE_INSENSITIVE`
  `2`
  `public static final int`
  `COMMENTS`
  `4`
  `public static final int`
  `DOTALL`
  `32`
  `public static final int`
  `LITERAL`
  `16`
  `public static final int`
  `MULTILINE`
  `8`
  `public static final int`
  `UNICODE_CASE`
  `64`
  `public static final int`
  `UNICODE_CHARACTER_CLASS`
  `256`
  `public static final int`
  `UNIX_LINES`
  `1`

- java.util.zip.Deflater
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BEST_COMPRESSION`
  `9`
  `public static final int`
  `BEST_SPEED`
  `1`
  `public static final int`
  `DEFAULT_COMPRESSION`
  `-1`
  `public static final int`
  `DEFAULT_STRATEGY`
  `0`
  `public static final int`
  `DEFLATED`
  `8`
  `public static final int`
  `FILTERED`
  `1`
  `public static final int`
  `FULL_FLUSH`
  `3`
  `public static final int`
  `HUFFMAN_ONLY`
  `2`
  `public static final int`
  `NO_COMPRESSION`
  `0`
  `public static final int`
  `NO_FLUSH`
  `0`
  `public static final int`
  `SYNC_FLUSH`
  `2`
- java.util.zip.GZIPInputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `GZIP_MAGIC`
  `35615`
- java.util.zip.ZipEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `DEFLATED`
  `8`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
  `public static final int`
  `STORED`
  `0`
- java.util.zip.ZipFile
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
  `public static final int`
  `OPEN_DELETE`
  `4`
  `public static final int`
  `OPEN_READ`
  `1`
- java.util.zip.ZipInputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
- java.util.zip.ZipOutputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `DEFLATED`
  `8`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
  `public static final int`
  `STORED`
  `0`

## javax.accessibility.*

- javax.accessibility.AccessibleContext
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACCESSIBLE_ACTION_PROPERTY`
  `"accessibleActionProperty"`
  `public static final String`
  `ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY`
  `"AccessibleActiveDescendant"`
  `public static final String`
  `ACCESSIBLE_CARET_PROPERTY`
  `"AccessibleCaret"`
  `public static final String`
  `ACCESSIBLE_CHILD_PROPERTY`
  `"AccessibleChild"`
  `public static final String`
  `ACCESSIBLE_COMPONENT_BOUNDS_CHANGED`
  `"accessibleComponentBoundsChanged"`
  `public static final String`
  `ACCESSIBLE_DESCRIPTION_PROPERTY`
  `"AccessibleDescription"`
  `public static final String`
  `ACCESSIBLE_HYPERTEXT_OFFSET`
  `"AccessibleHypertextOffset"`
  `public static final String`
  `ACCESSIBLE_INVALIDATE_CHILDREN`
  `"accessibleInvalidateChildren"`
  `public static final String`
  `ACCESSIBLE_NAME_PROPERTY`
  `"AccessibleName"`
  `public static final String`
  `ACCESSIBLE_SELECTION_PROPERTY`
  `"AccessibleSelection"`
  `public static final String`
  `ACCESSIBLE_STATE_PROPERTY`
  `"AccessibleState"`
  `public static final String`
  `ACCESSIBLE_TABLE_CAPTION_CHANGED`
  `"accessibleTableCaptionChanged"`
  `public static final String`
  `ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED`
  `"accessibleTableColumnDescriptionChanged"`
  `public static final String`
  `ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED`
  `"accessibleTableColumnHeaderChanged"`
  `public static final String`
  `ACCESSIBLE_TABLE_MODEL_CHANGED`
  `"accessibleTableModelChanged"`
  `public static final String`
  `ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED`
  `"accessibleTableRowDescriptionChanged"`
  `public static final String`
  `ACCESSIBLE_TABLE_ROW_HEADER_CHANGED`
  `"accessibleTableRowHeaderChanged"`
  `public static final String`
  `ACCESSIBLE_TABLE_SUMMARY_CHANGED`
  `"accessibleTableSummaryChanged"`
  `public static final String`
  `ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED`
  `"accessibleTextAttributesChanged"`
  `public static final String`
  `ACCESSIBLE_TEXT_PROPERTY`
  `"AccessibleText"`
  `public static final String`
  `ACCESSIBLE_VALUE_PROPERTY`
  `"AccessibleValue"`
  `public static final String`
  `ACCESSIBLE_VISIBLE_DATA_PROPERTY`
  `"AccessibleVisibleData"`
- javax.accessibility.AccessibleExtendedText
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ATTRIBUTE_RUN`
  `5`
  `public static final int`
  `LINE`
  `4`
- javax.accessibility.AccessibleRelation
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CHILD_NODE_OF`
  `"childNodeOf"`
  `public static final String`
  `CHILD_NODE_OF_PROPERTY`
  `"childNodeOfProperty"`
  `public static final String`
  `CONTROLLED_BY_PROPERTY`
  `"controlledByProperty"`
  `public static final String`
  `CONTROLLER_FOR_PROPERTY`
  `"controllerForProperty"`
  `public static final String`
  `EMBEDDED_BY`
  `"embeddedBy"`
  `public static final String`
  `EMBEDDED_BY_PROPERTY`
  `"embeddedByProperty"`
  `public static final String`
  `EMBEDS`
  `"embeds"`
  `public static final String`
  `EMBEDS_PROPERTY`
  `"embedsProperty"`
  `public static final String`
  `FLOWS_FROM`
  `"flowsFrom"`
  `public static final String`
  `FLOWS_FROM_PROPERTY`
  `"flowsFromProperty"`
  `public static final String`
  `FLOWS_TO`
  `"flowsTo"`
  `public static final String`
  `FLOWS_TO_PROPERTY`
  `"flowsToProperty"`
  `public static final String`
  `LABEL_FOR_PROPERTY`
  `"labelForProperty"`
  `public static final String`
  `LABELED_BY_PROPERTY`
  `"labeledByProperty"`
  `public static final String`
  `MEMBER_OF_PROPERTY`
  `"memberOfProperty"`
  `public static final String`
  `PARENT_WINDOW_OF`
  `"parentWindowOf"`
  `public static final String`
  `PARENT_WINDOW_OF_PROPERTY`
  `"parentWindowOfProperty"`
  `public static final String`
  `SUBWINDOW_OF`
  `"subwindowOf"`
  `public static final String`
  `SUBWINDOW_OF_PROPERTY`
  `"subwindowOfProperty"`
- javax.accessibility.AccessibleTableModelChange
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DELETE`
  `-1`
  `public static final int`
  `INSERT`
  `1`
  `public static final int`
  `UPDATE`
  `0`
- javax.accessibility.AccessibleText
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CHARACTER`
  `1`
  `public static final int`
  `SENTENCE`
  `3`
  `public static final int`
  `WORD`
  `2`

## javax.crypto.*

- javax.crypto.Cipher
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DECRYPT_MODE`
  `2`
  `public static final int`
  `ENCRYPT_MODE`
  `1`
  `public static final int`
  `PRIVATE_KEY`
  `2`
  `public static final int`
  `PUBLIC_KEY`
  `1`
  `public static final int`
  `SECRET_KEY`
  `3`
  `public static final int`
  `UNWRAP_MODE`
  `4`
  `public static final int`
  `WRAP_MODE`
  `3`
- javax.crypto.SecretKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-4795878709595146952L`

- javax.crypto.interfaces.DHPrivateKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `2211791113380396553L`
- javax.crypto.interfaces.DHPublicKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-6628103563352519193L`
- javax.crypto.interfaces.PBEKey
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-1430015993304333921L`

- javax.crypto.spec.DESedeKeySpec
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DES_EDE_KEY_LEN`
  `24`
- javax.crypto.spec.DESKeySpec
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DES_KEY_LEN`
  `8`

## javax.imageio.*

- javax.imageio.ImageWriteParam
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MODE_COPY_FROM_METADATA`
  `3`
  `public static final int`
  `MODE_DEFAULT`
  `1`
  `public static final int`
  `MODE_DISABLED`
  `0`
  `public static final int`
  `MODE_EXPLICIT`
  `2`

- javax.imageio.metadata.IIOMetadataFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CHILD_POLICY_ALL`
  `1`
  `public static final int`
  `CHILD_POLICY_CHOICE`
  `3`
  `public static final int`
  `CHILD_POLICY_EMPTY`
  `0`
  `public static final int`
  `CHILD_POLICY_MAX`
  `5`
  `public static final int`
  `CHILD_POLICY_REPEAT`
  `5`
  `public static final int`
  `CHILD_POLICY_SEQUENCE`
  `4`
  `public static final int`
  `CHILD_POLICY_SOME`
  `2`
  `public static final int`
  `DATATYPE_BOOLEAN`
  `1`
  `public static final int`
  `DATATYPE_DOUBLE`
  `4`
  `public static final int`
  `DATATYPE_FLOAT`
  `3`
  `public static final int`
  `DATATYPE_INTEGER`
  `2`
  `public static final int`
  `DATATYPE_STRING`
  `0`
  `public static final int`
  `VALUE_ARBITRARY`
  `1`
  `public static final int`
  `VALUE_ENUMERATION`
  `16`
  `public static final int`
  `VALUE_LIST`
  `32`
  `public static final int`
  `VALUE_NONE`
  `0`
  `public static final int`
  `VALUE_RANGE`
  `2`
  `public static final int`
  `VALUE_RANGE_MAX_INCLUSIVE`
  `10`
  `public static final int`
  `VALUE_RANGE_MAX_INCLUSIVE_MASK`
  `8`
  `public static final int`
  `VALUE_RANGE_MIN_INCLUSIVE`
  `6`
  `public static final int`
  `VALUE_RANGE_MIN_INCLUSIVE_MASK`
  `4`
  `public static final int`
  `VALUE_RANGE_MIN_MAX_INCLUSIVE`
  `14`
- javax.imageio.metadata.IIOMetadataFormatImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `standardMetadataFormatName`
  `"javax_imageio_1.0"`

- javax.imageio.plugins.tiff.BaselineTIFFTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COMPRESSION_CCITT_RLE`
  `2`
  `public static final int`
  `COMPRESSION_CCITT_T_4`
  `3`
  `public static final int`
  `COMPRESSION_CCITT_T_6`
  `4`
  `public static final int`
  `COMPRESSION_DEFLATE`
  `32946`
  `public static final int`
  `COMPRESSION_JPEG`
  `7`
  `public static final int`
  `COMPRESSION_LZW`
  `5`
  `public static final int`
  `COMPRESSION_NONE`
  `1`
  `public static final int`
  `COMPRESSION_OLD_JPEG`
  `6`
  `public static final int`
  `COMPRESSION_PACKBITS`
  `32773`
  `public static final int`
  `COMPRESSION_ZLIB`
  `8`
  `public static final int`
  `EXTRA_SAMPLES_ASSOCIATED_ALPHA`
  `1`
  `public static final int`
  `EXTRA_SAMPLES_UNASSOCIATED_ALPHA`
  `2`
  `public static final int`
  `EXTRA_SAMPLES_UNSPECIFIED`
  `0`
  `public static final int`
  `FILL_ORDER_LEFT_TO_RIGHT`
  `1`
  `public static final int`
  `FILL_ORDER_RIGHT_TO_LEFT`
  `2`
  `public static final int`
  `GRAY_RESPONSE_UNIT_HUNDRED_THOUSANDTHS`
  `5`
  `public static final int`
  `GRAY_RESPONSE_UNIT_HUNDREDTHS`
  `2`
  `public static final int`
  `GRAY_RESPONSE_UNIT_TEN_THOUSANDTHS`
  `4`
  `public static final int`
  `GRAY_RESPONSE_UNIT_TENTHS`
  `1`
  `public static final int`
  `GRAY_RESPONSE_UNIT_THOUSANDTHS`
  `3`
  `public static final int`
  `INK_SET_CMYK`
  `1`
  `public static final int`
  `INK_SET_NOT_CMYK`
  `2`
  `public static final int`
  `JPEG_PROC_BASELINE`
  `1`
  `public static final int`
  `JPEG_PROC_LOSSLESS`
  `14`
  `public static final int`
  `NEW_SUBFILE_TYPE_REDUCED_RESOLUTION`
  `1`
  `public static final int`
  `NEW_SUBFILE_TYPE_SINGLE_PAGE`
  `2`
  `public static final int`
  `NEW_SUBFILE_TYPE_TRANSPARENCY`
  `4`
  `public static final int`
  `ORIENTATION_ROW_0_BOTTOM_COLUMN_0_LEFT`
  `4`
  `public static final int`
  `ORIENTATION_ROW_0_BOTTOM_COLUMN_0_RIGHT`
  `3`
  `public static final int`
  `ORIENTATION_ROW_0_LEFT_COLUMN_0_BOTTOM`
  `8`
  `public static final int`
  `ORIENTATION_ROW_0_LEFT_COLUMN_0_TOP`
  `5`
  `public static final int`
  `ORIENTATION_ROW_0_RIGHT_COLUMN_0_BOTTOM`
  `7`
  `public static final int`
  `ORIENTATION_ROW_0_RIGHT_COLUMN_0_TOP`
  `6`
  `public static final int`
  `ORIENTATION_ROW_0_TOP_COLUMN_0_LEFT`
  `1`
  `public static final int`
  `ORIENTATION_ROW_0_TOP_COLUMN_0_RIGHT`
  `2`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_BLACK_IS_ZERO`
  `1`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_CIELAB`
  `8`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_CMYK`
  `5`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_ICCLAB`
  `9`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_PALETTE_COLOR`
  `3`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_RGB`
  `2`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_TRANSPARENCY_MASK`
  `4`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_WHITE_IS_ZERO`
  `0`
  `public static final int`
  `PHOTOMETRIC_INTERPRETATION_Y_CB_CR`
  `6`
  `public static final int`
  `PLANAR_CONFIGURATION_CHUNKY`
  `1`
  `public static final int`
  `PLANAR_CONFIGURATION_PLANAR`
  `2`
  `public static final int`
  `PREDICTOR_HORIZONTAL_DIFFERENCING`
  `2`
  `public static final int`
  `PREDICTOR_NONE`
  `1`
  `public static final int`
  `RESOLUTION_UNIT_CENTIMETER`
  `3`
  `public static final int`
  `RESOLUTION_UNIT_INCH`
  `2`
  `public static final int`
  `RESOLUTION_UNIT_NONE`
  `1`
  `public static final int`
  `SAMPLE_FORMAT_FLOATING_POINT`
  `3`
  `public static final int`
  `SAMPLE_FORMAT_SIGNED_INTEGER`
  `2`
  `public static final int`
  `SAMPLE_FORMAT_UNDEFINED`
  `4`
  `public static final int`
  `SAMPLE_FORMAT_UNSIGNED_INTEGER`
  `1`
  `public static final int`
  `SUBFILE_TYPE_FULL_RESOLUTION`
  `1`
  `public static final int`
  `SUBFILE_TYPE_REDUCED_RESOLUTION`
  `2`
  `public static final int`
  `SUBFILE_TYPE_SINGLE_PAGE`
  `3`
  `public static final int`
  `T4_OPTIONS_2D_CODING`
  `1`
  `public static final int`
  `T4_OPTIONS_EOL_BYTE_ALIGNED`
  `4`
  `public static final int`
  `T4_OPTIONS_UNCOMPRESSED`
  `2`
  `public static final int`
  `T6_OPTIONS_UNCOMPRESSED`
  `2`
  `public static final int`
  `TAG_ARTIST`
  `315`
  `public static final int`
  `TAG_BITS_PER_SAMPLE`
  `258`
  `public static final int`
  `TAG_CELL_LENGTH`
  `265`
  `public static final int`
  `TAG_CELL_WIDTH`
  `264`
  `public static final int`
  `TAG_COLOR_MAP`
  `320`
  `public static final int`
  `TAG_COMPRESSION`
  `259`
  `public static final int`
  `TAG_COPYRIGHT`
  `33432`
  `public static final int`
  `TAG_DATE_TIME`
  `306`
  `public static final int`
  `TAG_DOCUMENT_NAME`
  `269`
  `public static final int`
  `TAG_DOT_RANGE`
  `336`
  `public static final int`
  `TAG_EXTRA_SAMPLES`
  `338`
  `public static final int`
  `TAG_FILL_ORDER`
  `266`
  `public static final int`
  `TAG_FREE_BYTE_COUNTS`
  `289`
  `public static final int`
  `TAG_FREE_OFFSETS`
  `288`
  `public static final int`
  `TAG_GRAY_RESPONSE_CURVE`
  `291`
  `public static final int`
  `TAG_GRAY_RESPONSE_UNIT`
  `290`
  `public static final int`
  `TAG_HALFTONE_HINTS`
  `321`
  `public static final int`
  `TAG_HOST_COMPUTER`
  `316`
  `public static final int`
  `TAG_ICC_PROFILE`
  `34675`
  `public static final int`
  `TAG_IMAGE_DESCRIPTION`
  `270`
  `public static final int`
  `TAG_IMAGE_LENGTH`
  `257`
  `public static final int`
  `TAG_IMAGE_WIDTH`
  `256`
  `public static final int`
  `TAG_INK_NAMES`
  `333`
  `public static final int`
  `TAG_INK_SET`
  `332`
  `public static final int`
  `TAG_JPEG_AC_TABLES`
  `521`
  `public static final int`
  `TAG_JPEG_DC_TABLES`
  `520`
  `public static final int`
  `TAG_JPEG_INTERCHANGE_FORMAT`
  `513`
  `public static final int`
  `TAG_JPEG_INTERCHANGE_FORMAT_LENGTH`
  `514`
  `public static final int`
  `TAG_JPEG_LOSSLESS_PREDICTORS`
  `517`
  `public static final int`
  `TAG_JPEG_POINT_TRANSFORMS`
  `518`
  `public static final int`
  `TAG_JPEG_PROC`
  `512`
  `public static final int`
  `TAG_JPEG_Q_TABLES`
  `519`
  `public static final int`
  `TAG_JPEG_RESTART_INTERVAL`
  `515`
  `public static final int`
  `TAG_JPEG_TABLES`
  `347`
  `public static final int`
  `TAG_MAKE`
  `271`
  `public static final int`
  `TAG_MAX_SAMPLE_VALUE`
  `281`
  `public static final int`
  `TAG_MIN_SAMPLE_VALUE`
  `280`
  `public static final int`
  `TAG_MODEL`
  `272`
  `public static final int`
  `TAG_NEW_SUBFILE_TYPE`
  `254`
  `public static final int`
  `TAG_NUMBER_OF_INKS`
  `334`
  `public static final int`
  `TAG_ORIENTATION`
  `274`
  `public static final int`
  `TAG_PAGE_NAME`
  `285`
  `public static final int`
  `TAG_PAGE_NUMBER`
  `297`
  `public static final int`
  `TAG_PHOTOMETRIC_INTERPRETATION`
  `262`
  `public static final int`
  `TAG_PLANAR_CONFIGURATION`
  `284`
  `public static final int`
  `TAG_PREDICTOR`
  `317`
  `public static final int`
  `TAG_PRIMARY_CHROMATICITES`
  `319`
  `public static final int`
  `TAG_REFERENCE_BLACK_WHITE`
  `532`
  `public static final int`
  `TAG_RESOLUTION_UNIT`
  `296`
  `public static final int`
  `TAG_ROWS_PER_STRIP`
  `278`
  `public static final int`
  `TAG_S_MAX_SAMPLE_VALUE`
  `341`
  `public static final int`
  `TAG_S_MIN_SAMPLE_VALUE`
  `340`
  `public static final int`
  `TAG_SAMPLE_FORMAT`
  `339`
  `public static final int`
  `TAG_SAMPLES_PER_PIXEL`
  `277`
  `public static final int`
  `TAG_SOFTWARE`
  `305`
  `public static final int`
  `TAG_STRIP_BYTE_COUNTS`
  `279`
  `public static final int`
  `TAG_STRIP_OFFSETS`
  `273`
  `public static final int`
  `TAG_SUBFILE_TYPE`
  `255`
  `public static final int`
  `TAG_T4_OPTIONS`
  `292`
  `public static final int`
  `TAG_T6_OPTIONS`
  `293`
  `public static final int`
  `TAG_TARGET_PRINTER`
  `337`
  `public static final int`
  `TAG_THRESHHOLDING`
  `263`
  `public static final int`
  `TAG_TILE_BYTE_COUNTS`
  `325`
  `public static final int`
  `TAG_TILE_LENGTH`
  `323`
  `public static final int`
  `TAG_TILE_OFFSETS`
  `324`
  `public static final int`
  `TAG_TILE_WIDTH`
  `322`
  `public static final int`
  `TAG_TRANSFER_FUNCTION`
  `301`
  `public static final int`
  `TAG_TRANSFER_RANGE`
  `342`
  `public static final int`
  `TAG_WHITE_POINT`
  `318`
  `public static final int`
  `TAG_X_POSITION`
  `286`
  `public static final int`
  `TAG_X_RESOLUTION`
  `282`
  `public static final int`
  `TAG_Y_CB_CR_COEFFICIENTS`
  `529`
  `public static final int`
  `TAG_Y_CB_CR_POSITIONING`
  `531`
  `public static final int`
  `TAG_Y_CB_CR_SUBSAMPLING`
  `530`
  `public static final int`
  `TAG_Y_POSITION`
  `287`
  `public static final int`
  `TAG_Y_RESOLUTION`
  `283`
  `public static final int`
  `THRESHHOLDING_NONE`
  `1`
  `public static final int`
  `THRESHHOLDING_ORDERED_DITHER`
  `2`
  `public static final int`
  `THRESHHOLDING_RANDOMIZED_DITHER`
  `3`
  `public static final int`
  `Y_CB_CR_POSITIONING_CENTERED`
  `1`
  `public static final int`
  `Y_CB_CR_POSITIONING_COSITED`
  `2`
- javax.imageio.plugins.tiff.ExifGPSTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALTITUDE_REF_SEA_LEVEL`
  `0`
  `public static final int`
  `ALTITUDE_REF_SEA_LEVEL_REFERENCE`
  `1`
  `public static final String`
  `DEST_DISTANCE_REF_KILOMETERS`
  `"K"`
  `public static final String`
  `DEST_DISTANCE_REF_KNOTS`
  `"N"`
  `public static final String`
  `DEST_DISTANCE_REF_MILES`
  `"M"`
  `public static final int`
  `DIFFERENTIAL_CORRECTION_APPLIED`
  `1`
  `public static final int`
  `DIFFERENTIAL_CORRECTION_NONE`
  `0`
  `public static final String`
  `DIRECTION_REF_MAGNETIC`
  `"M"`
  `public static final String`
  `DIRECTION_REF_TRUE`
  `"T"`
  `public static final String`
  `GPS_VERSION_2_2`
  `"2200"`
  `public static final String`
  `LATITUDE_REF_NORTH`
  `"N"`
  `public static final String`
  `LATITUDE_REF_SOUTH`
  `"S"`
  `public static final String`
  `LONGITUDE_REF_EAST`
  `"E"`
  `public static final String`
  `LONGITUDE_REF_WEST`
  `"W"`
  `public static final String`
  `MEASURE_MODE_2D`
  `"2"`
  `public static final String`
  `MEASURE_MODE_3D`
  `"3"`
  `public static final String`
  `SPEED_REF_KILOMETERS_PER_HOUR`
  `"K"`
  `public static final String`
  `SPEED_REF_KNOTS`
  `"N"`
  `public static final String`
  `SPEED_REF_MILES_PER_HOUR`
  `"M"`
  `public static final String`
  `STATUS_MEASUREMENT_IN_PROGRESS`
  `"A"`
  `public static final String`
  `STATUS_MEASUREMENT_INTEROPERABILITY`
  `"V"`
  `public static final int`
  `TAG_GPS_ALTITUDE`
  `6`
  `public static final int`
  `TAG_GPS_ALTITUDE_REF`
  `5`
  `public static final int`
  `TAG_GPS_AREA_INFORMATION`
  `28`
  `public static final int`
  `TAG_GPS_DATE_STAMP`
  `29`
  `public static final int`
  `TAG_GPS_DEST_BEARING`
  `24`
  `public static final int`
  `TAG_GPS_DEST_BEARING_REF`
  `23`
  `public static final int`
  `TAG_GPS_DEST_DISTANCE`
  `26`
  `public static final int`
  `TAG_GPS_DEST_DISTANCE_REF`
  `25`
  `public static final int`
  `TAG_GPS_DEST_LATITUDE`
  `20`
  `public static final int`
  `TAG_GPS_DEST_LATITUDE_REF`
  `19`
  `public static final int`
  `TAG_GPS_DEST_LONGITUDE`
  `22`
  `public static final int`
  `TAG_GPS_DEST_LONGITUDE_REF`
  `21`
  `public static final int`
  `TAG_GPS_DIFFERENTIAL`
  `30`
  `public static final int`
  `TAG_GPS_DOP`
  `11`
  `public static final int`
  `TAG_GPS_IMG_DIRECTION`
  `17`
  `public static final int`
  `TAG_GPS_IMG_DIRECTION_REF`
  `16`
  `public static final int`
  `TAG_GPS_LATITUDE`
  `2`
  `public static final int`
  `TAG_GPS_LATITUDE_REF`
  `1`
  `public static final int`
  `TAG_GPS_LONGITUDE`
  `4`
  `public static final int`
  `TAG_GPS_LONGITUDE_REF`
  `3`
  `public static final int`
  `TAG_GPS_MAP_DATUM`
  `18`
  `public static final int`
  `TAG_GPS_MEASURE_MODE`
  `10`
  `public static final int`
  `TAG_GPS_PROCESSING_METHOD`
  `27`
  `public static final int`
  `TAG_GPS_SATELLITES`
  `8`
  `public static final int`
  `TAG_GPS_SPEED`
  `13`
  `public static final int`
  `TAG_GPS_SPEED_REF`
  `12`
  `public static final int`
  `TAG_GPS_STATUS`
  `9`
  `public static final int`
  `TAG_GPS_TIME_STAMP`
  `7`
  `public static final int`
  `TAG_GPS_TRACK`
  `15`
  `public static final int`
  `TAG_GPS_TRACK_REF`
  `14`
  `public static final int`
  `TAG_GPS_VERSION_ID`
  `0`
- javax.imageio.plugins.tiff.ExifInteroperabilityTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INTEROPERABILITY_INDEX_R98`
  `"R98"`
  `public static final String`
  `INTEROPERABILITY_INDEX_THM`
  `"THM"`
  `public static final int`
  `TAG_INTEROPERABILITY_INDEX`
  `1`
- javax.imageio.plugins.tiff.ExifParentTIFFTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TAG_EXIF_IFD_POINTER`
  `34665`
  `public static final int`
  `TAG_GPS_INFO_IFD_POINTER`
  `34853`
- javax.imageio.plugins.tiff.ExifTIFFTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COLOR_SPACE_SRGB`
  `1`
  `public static final int`
  `COLOR_SPACE_UNCALIBRATED`
  `65535`
  `public static final int`
  `COMPONENTS_CONFIGURATION_B`
  `6`
  `public static final int`
  `COMPONENTS_CONFIGURATION_CB`
  `2`
  `public static final int`
  `COMPONENTS_CONFIGURATION_CR`
  `3`
  `public static final int`
  `COMPONENTS_CONFIGURATION_DOES_NOT_EXIST`
  `0`
  `public static final int`
  `COMPONENTS_CONFIGURATION_G`
  `5`
  `public static final int`
  `COMPONENTS_CONFIGURATION_R`
  `4`
  `public static final int`
  `COMPONENTS_CONFIGURATION_Y`
  `1`
  `public static final int`
  `CONTRAST_HARD`
  `2`
  `public static final int`
  `CONTRAST_NORMAL`
  `0`
  `public static final int`
  `CONTRAST_SOFT`
  `1`
  `public static final int`
  `CUSTOM_RENDERED_CUSTOM`
  `1`
  `public static final int`
  `CUSTOM_RENDERED_NORMAL`
  `0`
  `public static final String`
  `EXIF_VERSION_2_1`
  `"0210"`
  `public static final String`
  `EXIF_VERSION_2_2`
  `"0220"`
  `public static final int`
  `EXPOSURE_MODE_AUTO_BRACKET`
  `2`
  `public static final int`
  `EXPOSURE_MODE_AUTO_EXPOSURE`
  `0`
  `public static final int`
  `EXPOSURE_MODE_MANUAL_EXPOSURE`
  `1`
  `public static final int`
  `EXPOSURE_PROGRAM_ACTION_PROGRAM`
  `6`
  `public static final int`
  `EXPOSURE_PROGRAM_APERTURE_PRIORITY`
  `3`
  `public static final int`
  `EXPOSURE_PROGRAM_CREATIVE_PROGRAM`
  `5`
  `public static final int`
  `EXPOSURE_PROGRAM_LANDSCAPE_MODE`
  `8`
  `public static final int`
  `EXPOSURE_PROGRAM_MANUAL`
  `1`
  `public static final int`
  `EXPOSURE_PROGRAM_MAX_RESERVED`
  `255`
  `public static final int`
  `EXPOSURE_PROGRAM_NORMAL_PROGRAM`
  `2`
  `public static final int`
  `EXPOSURE_PROGRAM_NOT_DEFINED`
  `0`
  `public static final int`
  `EXPOSURE_PROGRAM_PORTRAIT_MODE`
  `7`
  `public static final int`
  `EXPOSURE_PROGRAM_SHUTTER_PRIORITY`
  `4`
  `public static final int`
  `FILE_SOURCE_DSC`
  `3`
  `public static final int`
  `FLASH_DID_NOT_FIRE`
  `0`
  `public static final int`
  `FLASH_FIRED`
  `1`
  `public static final int`
  `FLASH_MASK_FIRED`
  `1`
  `public static final int`
  `FLASH_MASK_FUNCTION_NOT_PRESENT`
  `32`
  `public static final int`
  `FLASH_MASK_MODE_AUTO`
  `24`
  `public static final int`
  `FLASH_MASK_MODE_FLASH_FIRING`
  `8`
  `public static final int`
  `FLASH_MASK_MODE_FLASH_SUPPRESSION`
  `16`
  `public static final int`
  `FLASH_MASK_RED_EYE_REDUCTION`
  `64`
  `public static final int`
  `FLASH_MASK_RETURN_DETECTED`
  `6`
  `public static final int`
  `FLASH_MASK_RETURN_NOT_DETECTED`
  `4`
  `public static final int`
  `FLASH_STROBE_RETURN_LIGHT_DETECTED`
  `7`
  `public static final int`
  `FLASH_STROBE_RETURN_LIGHT_NOT_DETECTED`
  `5`
  `public static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_CENTIMETER`
  `3`
  `public static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_INCH`
  `2`
  `public static final int`
  `FOCAL_PLANE_RESOLUTION_UNIT_NONE`
  `1`
  `public static final int`
  `GAIN_CONTROL_HIGH_GAIN_DOWN`
  `4`
  `public static final int`
  `GAIN_CONTROL_HIGH_GAIN_UP`
  `2`
  `public static final int`
  `GAIN_CONTROL_LOW_GAIN_DOWN`
  `3`
  `public static final int`
  `GAIN_CONTROL_LOW_GAIN_UP`
  `1`
  `public static final int`
  `GAIN_CONTROL_NONE`
  `0`
  `public static final int`
  `LIGHT_SOURCE_CLOUDY_WEATHER`
  `10`
  `public static final int`
  `LIGHT_SOURCE_COOL_WHITE_FLUORESCENT`
  `14`
  `public static final int`
  `LIGHT_SOURCE_D50`
  `23`
  `public static final int`
  `LIGHT_SOURCE_D55`
  `20`
  `public static final int`
  `LIGHT_SOURCE_D65`
  `21`
  `public static final int`
  `LIGHT_SOURCE_D75`
  `22`
  `public static final int`
  `LIGHT_SOURCE_DAY_WHITE_FLUORESCENT`
  `13`
  `public static final int`
  `LIGHT_SOURCE_DAYLIGHT`
  `1`
  `public static final int`
  `LIGHT_SOURCE_DAYLIGHT_FLUORESCENT`
  `12`
  `public static final int`
  `LIGHT_SOURCE_FINE_WEATHER`
  `9`
  `public static final int`
  `LIGHT_SOURCE_FLASH`
  `4`
  `public static final int`
  `LIGHT_SOURCE_FLUORESCENT`
  `2`
  `public static final int`
  `LIGHT_SOURCE_ISO_STUDIO_TUNGSTEN`
  `24`
  `public static final int`
  `LIGHT_SOURCE_OTHER`
  `255`
  `public static final int`
  `LIGHT_SOURCE_SHADE`
  `11`
  `public static final int`
  `LIGHT_SOURCE_STANDARD_LIGHT_A`
  `17`
  `public static final int`
  `LIGHT_SOURCE_STANDARD_LIGHT_B`
  `18`
  `public static final int`
  `LIGHT_SOURCE_STANDARD_LIGHT_C`
  `19`
  `public static final int`
  `LIGHT_SOURCE_TUNGSTEN`
  `3`
  `public static final int`
  `LIGHT_SOURCE_UNKNOWN`
  `0`
  `public static final int`
  `LIGHT_SOURCE_WHITE_FLUORESCENT`
  `15`
  `public static final int`
  `METERING_MODE_AVERAGE`
  `1`
  `public static final int`
  `METERING_MODE_CENTER_WEIGHTED_AVERAGE`
  `2`
  `public static final int`
  `METERING_MODE_MAX_RESERVED`
  `254`
  `public static final int`
  `METERING_MODE_MIN_RESERVED`
  `7`
  `public static final int`
  `METERING_MODE_MULTI_SPOT`
  `4`
  `public static final int`
  `METERING_MODE_OTHER`
  `255`
  `public static final int`
  `METERING_MODE_PARTIAL`
  `6`
  `public static final int`
  `METERING_MODE_PATTERN`
  `5`
  `public static final int`
  `METERING_MODE_SPOT`
  `3`
  `public static final int`
  `METERING_MODE_UNKNOWN`
  `0`
  `public static final int`
  `SATURATION_HIGH`
  `2`
  `public static final int`
  `SATURATION_LOW`
  `1`
  `public static final int`
  `SATURATION_NORMAL`
  `0`
  `public static final int`
  `SCENE_CAPTURE_TYPE_LANDSCAPE`
  `1`
  `public static final int`
  `SCENE_CAPTURE_TYPE_NIGHT_SCENE`
  `3`
  `public static final int`
  `SCENE_CAPTURE_TYPE_PORTRAIT`
  `2`
  `public static final int`
  `SCENE_CAPTURE_TYPE_STANDARD`
  `0`
  `public static final int`
  `SCENE_TYPE_DSC`
  `1`
  `public static final int`
  `SENSING_METHOD_COLOR_SEQUENTIAL_AREA_SENSOR`
  `5`
  `public static final int`
  `SENSING_METHOD_COLOR_SEQUENTIAL_LINEAR_SENSOR`
  `8`
  `public static final int`
  `SENSING_METHOD_NOT_DEFINED`
  `1`
  `public static final int`
  `SENSING_METHOD_ONE_CHIP_COLOR_AREA_SENSOR`
  `2`
  `public static final int`
  `SENSING_METHOD_THREE_CHIP_COLOR_AREA_SENSOR`
  `4`
  `public static final int`
  `SENSING_METHOD_TRILINEAR_SENSOR`
  `7`
  `public static final int`
  `SENSING_METHOD_TWO_CHIP_COLOR_AREA_SENSOR`
  `3`
  `public static final int`
  `SHARPNESS_HARD`
  `2`
  `public static final int`
  `SHARPNESS_NORMAL`
  `0`
  `public static final int`
  `SHARPNESS_SOFT`
  `1`
  `public static final int`
  `SUBJECT_DISTANCE_RANGE_CLOSE_VIEW`
  `2`
  `public static final int`
  `SUBJECT_DISTANCE_RANGE_DISTANT_VIEW`
  `3`
  `public static final int`
  `SUBJECT_DISTANCE_RANGE_MACRO`
  `1`
  `public static final int`
  `SUBJECT_DISTANCE_RANGE_UNKNOWN`
  `0`
  `public static final int`
  `TAG_APERTURE_VALUE`
  `37378`
  `public static final int`
  `TAG_BRIGHTNESS_VALUE`
  `37379`
  `public static final int`
  `TAG_CFA_PATTERN`
  `41730`
  `public static final int`
  `TAG_COLOR_SPACE`
  `40961`
  `public static final int`
  `TAG_COMPONENTS_CONFIGURATION`
  `37121`
  `public static final int`
  `TAG_COMPRESSED_BITS_PER_PIXEL`
  `37122`
  `public static final int`
  `TAG_CONTRAST`
  `41992`
  `public static final int`
  `TAG_CUSTOM_RENDERED`
  `41985`
  `public static final int`
  `TAG_DATE_TIME_DIGITIZED`
  `36868`
  `public static final int`
  `TAG_DATE_TIME_ORIGINAL`
  `36867`
  `public static final int`
  `TAG_DEVICE_SETTING_DESCRIPTION`
  `41995`
  `public static final int`
  `TAG_DIGITAL_ZOOM_RATIO`
  `41988`
  `public static final int`
  `TAG_EXIF_VERSION`
  `36864`
  `public static final int`
  `TAG_EXPOSURE_BIAS_VALUE`
  `37380`
  `public static final int`
  `TAG_EXPOSURE_INDEX`
  `41493`
  `public static final int`
  `TAG_EXPOSURE_MODE`
  `41986`
  `public static final int`
  `TAG_EXPOSURE_PROGRAM`
  `34850`
  `public static final int`
  `TAG_EXPOSURE_TIME`
  `33434`
  `public static final int`
  `TAG_F_NUMBER`
  `33437`
  `public static final int`
  `TAG_FILE_SOURCE`
  `41728`
  `public static final int`
  `TAG_FLASH`
  `37385`
  `public static final int`
  `TAG_FLASH_ENERGY`
  `41483`
  `public static final int`
  `TAG_FLASHPIX_VERSION`
  `40960`
  `public static final int`
  `TAG_FOCAL_LENGTH`
  `37386`
  `public static final int`
  `TAG_FOCAL_LENGTH_IN_35MM_FILM`
  `41989`
  `public static final int`
  `TAG_FOCAL_PLANE_RESOLUTION_UNIT`
  `41488`
  `public static final int`
  `TAG_FOCAL_PLANE_X_RESOLUTION`
  `41486`
  `public static final int`
  `TAG_FOCAL_PLANE_Y_RESOLUTION`
  `41487`
  `public static final int`
  `TAG_GAIN_CONTROL`
  `41991`
  `public static final int`
  `TAG_GPS_INFO_IFD_POINTER`
  `34853`
  `public static final int`
  `TAG_IMAGE_UNIQUE_ID`
  `42016`
  `public static final int`
  `TAG_INTEROPERABILITY_IFD_POINTER`
  `40965`
  `public static final int`
  `TAG_ISO_SPEED_RATINGS`
  `34855`
  `public static final int`
  `TAG_LIGHT_SOURCE`
  `37384`
  `public static final int`
  `TAG_MAKER_NOTE`
  `37500`
  `public static final int`
  `TAG_MARKER_NOTE`
  `37500`
  `public static final int`
  `TAG_MAX_APERTURE_VALUE`
  `37381`
  `public static final int`
  `TAG_METERING_MODE`
  `37383`
  `public static final int`
  `TAG_OECF`
  `34856`
  `public static final int`
  `TAG_PIXEL_X_DIMENSION`
  `40962`
  `public static final int`
  `TAG_PIXEL_Y_DIMENSION`
  `40963`
  `public static final int`
  `TAG_RELATED_SOUND_FILE`
  `40964`
  `public static final int`
  `TAG_SATURATION`
  `41993`
  `public static final int`
  `TAG_SCENE_CAPTURE_TYPE`
  `41990`
  `public static final int`
  `TAG_SCENE_TYPE`
  `41729`
  `public static final int`
  `TAG_SENSING_METHOD`
  `41495`
  `public static final int`
  `TAG_SHARPNESS`
  `41994`
  `public static final int`
  `TAG_SHUTTER_SPEED_VALUE`
  `37377`
  `public static final int`
  `TAG_SPATIAL_FREQUENCY_RESPONSE`
  `41484`
  `public static final int`
  `TAG_SPECTRAL_SENSITIVITY`
  `34852`
  `public static final int`
  `TAG_SUB_SEC_TIME`
  `37520`
  `public static final int`
  `TAG_SUB_SEC_TIME_DIGITIZED`
  `37522`
  `public static final int`
  `TAG_SUB_SEC_TIME_ORIGINAL`
  `37521`
  `public static final int`
  `TAG_SUBJECT_AREA`
  `37396`
  `public static final int`
  `TAG_SUBJECT_DISTANCE`
  `37382`
  `public static final int`
  `TAG_SUBJECT_DISTANCE_RANGE`
  `41996`
  `public static final int`
  `TAG_SUBJECT_LOCATION`
  `41492`
  `public static final int`
  `TAG_USER_COMMENT`
  `37510`
  `public static final int`
  `TAG_WHITE_BALANCE`
  `41987`
  `public static final int`
  `WHITE_BALANCE_AUTO`
  `0`
  `public static final int`
  `WHITE_BALANCE_MANUAL`
  `1`
- javax.imageio.plugins.tiff.FaxTIFFTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLEAN_FAX_DATA_ERRORS_CORRECTED`
  `1`
  `public static final int`
  `CLEAN_FAX_DATA_ERRORS_UNCORRECTED`
  `2`
  `public static final int`
  `CLEAN_FAX_DATA_NO_ERRORS`
  `0`
  `public static final int`
  `TAG_BAD_FAX_LINES`
  `326`
  `public static final int`
  `TAG_CLEAN_FAX_DATA`
  `327`
  `public static final int`
  `TAG_CONSECUTIVE_BAD_LINES`
  `328`
- javax.imageio.plugins.tiff.GeoTIFFTagSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TAG_GEO_ASCII_PARAMS`
  `34737`
  `public static final int`
  `TAG_GEO_DOUBLE_PARAMS`
  `34736`
  `public static final int`
  `TAG_GEO_KEY_DIRECTORY`
  `34735`
  `public static final int`
  `TAG_MODEL_PIXEL_SCALE`
  `33550`
  `public static final int`
  `TAG_MODEL_TIE_POINT`
  `33922`
  `public static final int`
  `TAG_MODEL_TRANSFORMATION`
  `34264`
- javax.imageio.plugins.tiff.TIFFTag
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_DATATYPE`
  `13`
  `public static final int`
  `MIN_DATATYPE`
  `1`
  `public static final int`
  `TIFF_ASCII`
  `2`
  `public static final int`
  `TIFF_BYTE`
  `1`
  `public static final int`
  `TIFF_DOUBLE`
  `12`
  `public static final int`
  `TIFF_FLOAT`
  `11`
  `public static final int`
  `TIFF_IFD_POINTER`
  `13`
  `public static final int`
  `TIFF_LONG`
  `4`
  `public static final int`
  `TIFF_RATIONAL`
  `5`
  `public static final int`
  `TIFF_SBYTE`
  `6`
  `public static final int`
  `TIFF_SHORT`
  `3`
  `public static final int`
  `TIFF_SLONG`
  `9`
  `public static final int`
  `TIFF_SRATIONAL`
  `10`
  `public static final int`
  `TIFF_SSHORT`
  `8`
  `public static final int`
  `TIFF_UNDEFINED`
  `7`
  `public static final String`
  `UNKNOWN_TAG_NAME`
  `"UnknownTag"`

## javax.management.*

- javax.management.AttributeChangeNotification
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTRIBUTE_CHANGE`
  `"jmx.attribute.change"`
- javax.management.JMX
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_VALUE_FIELD`
  `"defaultValue"`
  `public static final String`
  `IMMUTABLE_INFO_FIELD`
  `"immutableInfo"`
  `public static final String`
  `INTERFACE_CLASS_NAME_FIELD`
  `"interfaceClassName"`
  `public static final String`
  `LEGAL_VALUES_FIELD`
  `"legalValues"`
  `public static final String`
  `MAX_VALUE_FIELD`
  `"maxValue"`
  `public static final String`
  `MIN_VALUE_FIELD`
  `"minValue"`
  `public static final String`
  `MXBEAN_FIELD`
  `"mxbean"`
  `public static final String`
  `OPEN_TYPE_FIELD`
  `"openType"`
  `public static final String`
  `ORIGINAL_TYPE_FIELD`
  `"originalType"`
- javax.management.MBeanOperationInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTION`
  `1`
  `public static final int`
  `ACTION_INFO`
  `2`
  `public static final int`
  `INFO`
  `0`
  `public static final int`
  `UNKNOWN`
  `3`
- javax.management.MBeanServerNotification
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `REGISTRATION_NOTIFICATION`
  `"JMX.mbean.registered"`
  `public static final String`
  `UNREGISTRATION_NOTIFICATION`
  `"JMX.mbean.unregistered"`
- javax.management.Query
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DIV`
  `3`
  `public static final int`
  `EQ`
  `4`
  `public static final int`
  `GE`
  `2`
  `public static final int`
  `GT`
  `0`
  `public static final int`
  `LE`
  `3`
  `public static final int`
  `LT`
  `1`
  `public static final int`
  `MINUS`
  `1`
  `public static final int`
  `PLUS`
  `0`
  `public static final int`
  `TIMES`
  `2`

- javax.management.monitor.Monitor
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `capacityIncrement`
  `16`
  `protected static final int`
  `OBSERVED_ATTRIBUTE_ERROR_NOTIFIED`
  `2`
  `protected static final int`
  `OBSERVED_ATTRIBUTE_TYPE_ERROR_NOTIFIED`
  `4`
  `protected static final int`
  `OBSERVED_OBJECT_ERROR_NOTIFIED`
  `1`
  `protected static final int`
  `RESET_FLAGS_ALREADY_NOTIFIED`
  `0`
  `protected static final int`
  `RUNTIME_ERROR_NOTIFIED`
  `8`
- javax.management.monitor.MonitorNotification
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OBSERVED_ATTRIBUTE_ERROR`
  `"jmx.monitor.error.attribute"`
  `public static final String`
  `OBSERVED_ATTRIBUTE_TYPE_ERROR`
  `"jmx.monitor.error.type"`
  `public static final String`
  `OBSERVED_OBJECT_ERROR`
  `"jmx.monitor.error.mbean"`
  `public static final String`
  `RUNTIME_ERROR`
  `"jmx.monitor.error.runtime"`
  `public static final String`
  `STRING_TO_COMPARE_VALUE_DIFFERED`
  `"jmx.monitor.string.differs"`
  `public static final String`
  `STRING_TO_COMPARE_VALUE_MATCHED`
  `"jmx.monitor.string.matches"`
  `public static final String`
  `THRESHOLD_ERROR`
  `"jmx.monitor.error.threshold"`
  `public static final String`
  `THRESHOLD_HIGH_VALUE_EXCEEDED`
  `"jmx.monitor.gauge.high"`
  `public static final String`
  `THRESHOLD_LOW_VALUE_EXCEEDED`
  `"jmx.monitor.gauge.low"`
  `public static final String`
  `THRESHOLD_VALUE_EXCEEDED`
  `"jmx.monitor.counter.threshold"`

- javax.management.relation.RelationNotification
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RELATION_BASIC_CREATION`
  `"jmx.relation.creation.basic"`
  `public static final String`
  `RELATION_BASIC_REMOVAL`
  `"jmx.relation.removal.basic"`
  `public static final String`
  `RELATION_BASIC_UPDATE`
  `"jmx.relation.update.basic"`
  `public static final String`
  `RELATION_MBEAN_CREATION`
  `"jmx.relation.creation.mbean"`
  `public static final String`
  `RELATION_MBEAN_REMOVAL`
  `"jmx.relation.removal.mbean"`
  `public static final String`
  `RELATION_MBEAN_UPDATE`
  `"jmx.relation.update.mbean"`
- javax.management.relation.RoleInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ROLE_CARDINALITY_INFINITY`
  `-1`
- javax.management.relation.RoleStatus
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LESS_THAN_MIN_ROLE_DEGREE`
  `4`
  `public static final int`
  `MORE_THAN_MAX_ROLE_DEGREE`
  `5`
  `public static final int`
  `NO_ROLE_WITH_NAME`
  `1`
  `public static final int`
  `REF_MBEAN_NOT_REGISTERED`
  `7`
  `public static final int`
  `REF_MBEAN_OF_INCORRECT_CLASS`
  `6`
  `public static final int`
  `ROLE_NOT_READABLE`
  `2`
  `public static final int`
  `ROLE_NOT_WRITABLE`
  `3`

- javax.management.remote.JMXConnectionNotification
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLOSED`
  `"jmx.remote.connection.closed"`
  `public static final String`
  `FAILED`
  `"jmx.remote.connection.failed"`
  `public static final String`
  `NOTIFS_LOST`
  `"jmx.remote.connection.notifs.lost"`
  `public static final String`
  `OPENED`
  `"jmx.remote.connection.opened"`
- javax.management.remote.JMXConnector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CREDENTIALS`
  `"jmx.remote.credentials"`
- javax.management.remote.JMXConnectorFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CLASS_LOADER`
  `"jmx.remote.default.class.loader"`
  `public static final String`
  `PROTOCOL_PROVIDER_CLASS_LOADER`
  `"jmx.remote.protocol.provider.class.loader"`
  `public static final String`
  `PROTOCOL_PROVIDER_PACKAGES`
  `"jmx.remote.protocol.provider.pkgs"`
- javax.management.remote.JMXConnectorServer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AUTHENTICATOR`
  `"jmx.remote.authenticator"`
- javax.management.remote.JMXConnectorServerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CLASS_LOADER`
  `"jmx.remote.default.class.loader"`
  `public static final String`
  `DEFAULT_CLASS_LOADER_NAME`
  `"jmx.remote.default.class.loader.name"`
  `public static final String`
  `PROTOCOL_PROVIDER_CLASS_LOADER`
  `"jmx.remote.protocol.provider.class.loader"`
  `public static final String`
  `PROTOCOL_PROVIDER_PACKAGES`
  `"jmx.remote.protocol.provider.pkgs"`

- javax.management.remote.rmi.RMIConnectorServer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CREDENTIALS_FILTER_PATTERN`
  `"jmx.remote.rmi.server.credentials.filter.pattern"`
  `public static final String`
  `JNDI_REBIND_ATTRIBUTE`
  `"jmx.remote.jndi.rebind"`
  `public static final String`
  `RMI_CLIENT_SOCKET_FACTORY_ATTRIBUTE`
  `"jmx.remote.rmi.client.socket.factory"`
  `public static final String`
  `RMI_SERVER_SOCKET_FACTORY_ATTRIBUTE`
  `"jmx.remote.rmi.server.socket.factory"`
  `public static final String`
  `SERIAL_FILTER_PATTERN`
  `"jmx.remote.rmi.server.serial.filter.pattern"`

- javax.management.timer.Timer
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `ONE_DAY`
  `86400000L`
  `public static final long`
  `ONE_HOUR`
  `3600000L`
  `public static final long`
  `ONE_MINUTE`
  `60000L`
  `public static final long`
  `ONE_SECOND`
  `1000L`
  `public static final long`
  `ONE_WEEK`
  `604800000L`

## javax.naming.*

- javax.naming.Context
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AUTHORITATIVE`
  `"java.naming.authoritative"`
  `public static final String`
  `BATCHSIZE`
  `"java.naming.batchsize"`
  `public static final String`
  `DNS_URL`
  `"java.naming.dns.url"`
  `public static final String`
  `INITIAL_CONTEXT_FACTORY`
  `"java.naming.factory.initial"`
  `public static final String`
  `LANGUAGE`
  `"java.naming.language"`
  `public static final String`
  `OBJECT_FACTORIES`
  `"java.naming.factory.object"`
  `public static final String`
  `PROVIDER_URL`
  `"java.naming.provider.url"`
  `public static final String`
  `REFERRAL`
  `"java.naming.referral"`
  `public static final String`
  `SECURITY_AUTHENTICATION`
  `"java.naming.security.authentication"`
  `public static final String`
  `SECURITY_CREDENTIALS`
  `"java.naming.security.credentials"`
  `public static final String`
  `SECURITY_PRINCIPAL`
  `"java.naming.security.principal"`
  `public static final String`
  `SECURITY_PROTOCOL`
  `"java.naming.security.protocol"`
  `public static final String`
  `STATE_FACTORIES`
  `"java.naming.factory.state"`
  `public static final String`
  `URL_PKG_PREFIXES`
  `"java.naming.factory.url.pkgs"`
- javax.naming.Name
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `-3617482732056931635L`

- javax.naming.directory.Attribute
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `serialVersionUID`
  `8707690322213556804L`
- javax.naming.directory.DirContext
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ADD_ATTRIBUTE`
  `1`
  `public static final int`
  `REMOVE_ATTRIBUTE`
  `3`
  `public static final int`
  `REPLACE_ATTRIBUTE`
  `2`
- javax.naming.directory.SearchControls
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OBJECT_SCOPE`
  `0`
  `public static final int`
  `ONELEVEL_SCOPE`
  `1`
  `public static final int`
  `SUBTREE_SCOPE`
  `2`

- javax.naming.event.EventContext
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OBJECT_SCOPE`
  `0`
  `public static final int`
  `ONELEVEL_SCOPE`
  `1`
  `public static final int`
  `SUBTREE_SCOPE`
  `2`
- javax.naming.event.NamingEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OBJECT_ADDED`
  `0`
  `public static final int`
  `OBJECT_CHANGED`
  `3`
  `public static final int`
  `OBJECT_REMOVED`
  `1`
  `public static final int`
  `OBJECT_RENAMED`
  `2`

- javax.naming.ldap.Control
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `CRITICAL`
  `true`
  `public static final boolean`
  `NONCRITICAL`
  `false`
- javax.naming.ldap.LdapContext
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONTROL_FACTORIES`
  `"java.naming.factory.control"`
- javax.naming.ldap.ManageReferralControl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"2.16.840.1.113730.3.4.2"`
- javax.naming.ldap.PagedResultsControl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"1.2.840.113556.1.4.319"`
- javax.naming.ldap.PagedResultsResponseControl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"1.2.840.113556.1.4.319"`
- javax.naming.ldap.SortControl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"1.2.840.113556.1.4.473"`
- javax.naming.ldap.SortResponseControl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"1.2.840.113556.1.4.474"`
- javax.naming.ldap.StartTlsRequest
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"1.3.6.1.4.1.1466.20037"`
- javax.naming.ldap.StartTlsResponse
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OID`
  `"1.3.6.1.4.1.1466.20037"`

- javax.naming.spi.NamingManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CPE`
  `"java.naming.spi.CannotProceedException"`

## javax.net.*

- javax.net.ssl.StandardConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SNI_HOST_NAME`
  `0`

## javax.print.*

- javax.print.ServiceUIFactory
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ABOUT_UIROLE`
  `1`
  `public static final int`
  `ADMIN_UIROLE`
  `2`
  `public static final String`
  `DIALOG_UI`
  `"java.awt.Dialog"`
  `public static final String`
  `JCOMPONENT_UI`
  `"javax.swing.JComponent"`
  `public static final String`
  `JDIALOG_UI`
  `"javax.swing.JDialog"`
  `public static final int`
  `MAIN_UIROLE`
  `3`
  `public static final String`
  `PANEL_UI`
  `"java.awt.Panel"`
  `public static final int`
  `RESERVED_UIROLE`
  `99`
- javax.print.URIException
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `URIInaccessible`
  `1`
  `public static final int`
  `URIOtherProblem`
  `-1`
  `public static final int`
  `URISchemeNotSupported`
  `2`

- javax.print.attribute.ResolutionSyntax
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DPCM`
  `254`
  `public static final int`
  `DPI`
  `100`
- javax.print.attribute.Size2DSyntax
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INCH`
  `25400`
  `public static final int`
  `MM`
  `1000`

- javax.print.attribute.standard.MediaPrintableArea
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INCH`
  `25400`
  `public static final int`
  `MM`
  `1000`

- javax.print.event.PrintJobEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DATA_TRANSFER_COMPLETE`
  `106`
  `public static final int`
  `JOB_CANCELED`
  `101`
  `public static final int`
  `JOB_COMPLETE`
  `102`
  `public static final int`
  `JOB_FAILED`
  `103`
  `public static final int`
  `NO_MORE_EVENTS`
  `105`
  `public static final int`
  `REQUIRES_ATTENTION`
  `104`

## javax.script.*

- javax.script.ScriptContext
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ENGINE_SCOPE`
  `100`
  `public static final int`
  `GLOBAL_SCOPE`
  `200`
- javax.script.ScriptEngine
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARGV`
  `"javax.script.argv"`
  `public static final String`
  `ENGINE`
  `"javax.script.engine"`
  `public static final String`
  `ENGINE_VERSION`
  `"javax.script.engine_version"`
  `public static final String`
  `FILENAME`
  `"javax.script.filename"`
  `public static final String`
  `LANGUAGE`
  `"javax.script.language"`
  `public static final String`
  `LANGUAGE_VERSION`
  `"javax.script.language_version"`
  `public static final String`
  `NAME`
  `"javax.script.name"`

## javax.security.*

- javax.security.auth.callback.ConfirmationCallback
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CANCEL`
  `2`
  `public static final int`
  `ERROR`
  `2`
  `public static final int`
  `INFORMATION`
  `0`
  `public static final int`
  `NO`
  `1`
  `public static final int`
  `OK`
  `3`
  `public static final int`
  `OK_CANCEL_OPTION`
  `2`
  `public static final int`
  `UNSPECIFIED_OPTION`
  `-1`
  `public static final int`
  `WARNING`
  `1`
  `public static final int`
  `YES`
  `0`
  `public static final int`
  `YES_NO_CANCEL_OPTION`
  `1`
  `public static final int`
  `YES_NO_OPTION`
  `0`
- javax.security.auth.callback.TextOutputCallback
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ERROR`
  `2`
  `public static final int`
  `INFORMATION`
  `0`
  `public static final int`
  `WARNING`
  `1`

- javax.security.auth.kerberos.KerberosPrincipal
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `KRB_NT_ENTERPRISE`
  `10`
  `public static final int`
  `KRB_NT_PRINCIPAL`
  `1`
  `public static final int`
  `KRB_NT_SRV_HST`
  `3`
  `public static final int`
  `KRB_NT_SRV_INST`
  `2`
  `public static final int`
  `KRB_NT_SRV_XHST`
  `4`
  `public static final int`
  `KRB_NT_UID`
  `5`
  `public static final int`
  `KRB_NT_UNKNOWN`
  `0`

- javax.security.auth.x500.X500Principal
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CANONICAL`
  `"CANONICAL"`
  `public static final String`
  `RFC1779`
  `"RFC1779"`
  `public static final String`
  `RFC2253`
  `"RFC2253"`

- javax.security.sasl.Sasl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BOUND_SERVER_NAME`
  `"javax.security.sasl.bound.server.name"`
  `public static final String`
  `CREDENTIALS`
  `"javax.security.sasl.credentials"`
  `public static final String`
  `MAX_BUFFER`
  `"javax.security.sasl.maxbuffer"`
  `public static final String`
  `POLICY_FORWARD_SECRECY`
  `"javax.security.sasl.policy.forward"`
  `public static final String`
  `POLICY_NOACTIVE`
  `"javax.security.sasl.policy.noactive"`
  `public static final String`
  `POLICY_NOANONYMOUS`
  `"javax.security.sasl.policy.noanonymous"`
  `public static final String`
  `POLICY_NODICTIONARY`
  `"javax.security.sasl.policy.nodictionary"`
  `public static final String`
  `POLICY_NOPLAINTEXT`
  `"javax.security.sasl.policy.noplaintext"`
  `public static final String`
  `POLICY_PASS_CREDENTIALS`
  `"javax.security.sasl.policy.credentials"`
  `public static final String`
  `QOP`
  `"javax.security.sasl.qop"`
  `public static final String`
  `RAW_SEND_SIZE`
  `"javax.security.sasl.rawsendsize"`
  `public static final String`
  `REUSE`
  `"javax.security.sasl.reuse"`
  `public static final String`
  `SERVER_AUTH`
  `"javax.security.sasl.server.authentication"`
  `public static final String`
  `STRENGTH`
  `"javax.security.sasl.strength"`

## javax.sound.*

- javax.sound.midi.MetaMessage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `META`
  `255`
- javax.sound.midi.MidiFileFormat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UNKNOWN_LENGTH`
  `-1`
- javax.sound.midi.Sequence
  Modifier and Type
  Constant Field
  Value
  `public static final float`
  `PPQ`
  `0.0f`
  `public static final float`
  `SMPTE_24`
  `24.0f`
  `public static final float`
  `SMPTE_25`
  `25.0f`
  `public static final float`
  `SMPTE_30`
  `30.0f`
  `public static final float`
  `SMPTE_30DROP`
  `29.969999313354492f`
- javax.sound.midi.Sequencer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LOOP_CONTINUOUSLY`
  `-1`
- javax.sound.midi.ShortMessage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTIVE_SENSING`
  `254`
  `public static final int`
  `CHANNEL_PRESSURE`
  `208`
  `public static final int`
  `CONTINUE`
  `251`
  `public static final int`
  `CONTROL_CHANGE`
  `176`
  `public static final int`
  `END_OF_EXCLUSIVE`
  `247`
  `public static final int`
  `MIDI_TIME_CODE`
  `241`
  `public static final int`
  `NOTE_OFF`
  `128`
  `public static final int`
  `NOTE_ON`
  `144`
  `public static final int`
  `PITCH_BEND`
  `224`
  `public static final int`
  `POLY_PRESSURE`
  `160`
  `public static final int`
  `PROGRAM_CHANGE`
  `192`
  `public static final int`
  `SONG_POSITION_POINTER`
  `242`
  `public static final int`
  `SONG_SELECT`
  `243`
  `public static final int`
  `START`
  `250`
  `public static final int`
  `STOP`
  `252`
  `public static final int`
  `SYSTEM_RESET`
  `255`
  `public static final int`
  `TIMING_CLOCK`
  `248`
  `public static final int`
  `TUNE_REQUEST`
  `246`
- javax.sound.midi.SysexMessage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SPECIAL_SYSTEM_EXCLUSIVE`
  `247`
  `public static final int`
  `SYSTEM_EXCLUSIVE`
  `240`

- javax.sound.sampled.AudioSystem
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NOT_SPECIFIED`
  `-1`
- javax.sound.sampled.Clip
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LOOP_CONTINUOUSLY`
  `-1`

## javax.sql.*

- javax.sql.rowset.BaseRowSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ASCII_STREAM_PARAM`
  `2`
  `public static final int`
  `BINARY_STREAM_PARAM`
  `1`
  `public static final int`
  `UNICODE_STREAM_PARAM`
  `0`
- javax.sql.rowset.CachedRowSet
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `COMMIT_ON_ACCEPT_CHANGES`
  `true`
- javax.sql.rowset.JoinRowSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CROSS_JOIN`
  `0`
  `public static final int`
  `FULL_JOIN`
  `4`
  `public static final int`
  `INNER_JOIN`
  `1`
  `public static final int`
  `LEFT_OUTER_JOIN`
  `2`
  `public static final int`
  `RIGHT_OUTER_JOIN`
  `3`
- javax.sql.rowset.WebRowSet
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PUBLIC_XML_SCHEMA`
  `"--//Oracle Corporation//XSD Schema//EN"`
  `public static final String`
  `SCHEMA_SYSTEM_ID`
  `"http://java.sun.com/xml/ns/jdbc/webrowset.xsd"`

- javax.sql.rowset.spi.SyncFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ROWSET_SYNC_PROVIDER`
  `"rowset.provider.classname"`
  `public static final String`
  `ROWSET_SYNC_PROVIDER_VERSION`
  `"rowset.provider.version"`
  `public static final String`
  `ROWSET_SYNC_VENDOR`
  `"rowset.provider.vendor"`
- javax.sql.rowset.spi.SyncProvider
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DATASOURCE_DB_LOCK`
  `4`
  `public static final int`
  `DATASOURCE_NO_LOCK`
  `1`
  `public static final int`
  `DATASOURCE_ROW_LOCK`
  `2`
  `public static final int`
  `DATASOURCE_TABLE_LOCK`
  `3`
  `public static final int`
  `GRADE_CHECK_ALL_AT_COMMIT`
  `3`
  `public static final int`
  `GRADE_CHECK_MODIFIED_AT_COMMIT`
  `2`
  `public static final int`
  `GRADE_LOCK_WHEN_LOADED`
  `5`
  `public static final int`
  `GRADE_LOCK_WHEN_MODIFIED`
  `4`
  `public static final int`
  `GRADE_NONE`
  `1`
  `public static final int`
  `NONUPDATABLE_VIEW_SYNC`
  `6`
  `public static final int`
  `UPDATABLE_VIEW_SYNC`
  `5`
- javax.sql.rowset.spi.SyncResolver
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DELETE_ROW_CONFLICT`
  `1`
  `public static final int`
  `INSERT_ROW_CONFLICT`
  `2`
  `public static final int`
  `NO_ROW_CONFLICT`
  `3`
  `public static final int`
  `UPDATE_ROW_CONFLICT`
  `0`

## javax.swing.*

- javax.swing.AbstractButton
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BORDER_PAINTED_CHANGED_PROPERTY`
  `"borderPainted"`
  `public static final String`
  `CONTENT_AREA_FILLED_CHANGED_PROPERTY`
  `"contentAreaFilled"`
  `public static final String`
  `DISABLED_ICON_CHANGED_PROPERTY`
  `"disabledIcon"`
  `public static final String`
  `DISABLED_SELECTED_ICON_CHANGED_PROPERTY`
  `"disabledSelectedIcon"`
  `public static final String`
  `FOCUS_PAINTED_CHANGED_PROPERTY`
  `"focusPainted"`
  `public static final String`
  `HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY`
  `"horizontalAlignment"`
  `public static final String`
  `HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY`
  `"horizontalTextPosition"`
  `public static final String`
  `ICON_CHANGED_PROPERTY`
  `"icon"`
  `public static final String`
  `MARGIN_CHANGED_PROPERTY`
  `"margin"`
  `public static final String`
  `MNEMONIC_CHANGED_PROPERTY`
  `"mnemonic"`
  `public static final String`
  `MODEL_CHANGED_PROPERTY`
  `"model"`
  `public static final String`
  `PRESSED_ICON_CHANGED_PROPERTY`
  `"pressedIcon"`
  `public static final String`
  `ROLLOVER_ENABLED_CHANGED_PROPERTY`
  `"rolloverEnabled"`
  `public static final String`
  `ROLLOVER_ICON_CHANGED_PROPERTY`
  `"rolloverIcon"`
  `public static final String`
  `ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY`
  `"rolloverSelectedIcon"`
  `public static final String`
  `SELECTED_ICON_CHANGED_PROPERTY`
  `"selectedIcon"`
  `public static final String`
  `TEXT_CHANGED_PROPERTY`
  `"text"`
  `public static final String`
  `VERTICAL_ALIGNMENT_CHANGED_PROPERTY`
  `"verticalAlignment"`
  `public static final String`
  `VERTICAL_TEXT_POSITION_CHANGED_PROPERTY`
  `"verticalTextPosition"`
- javax.swing.Action
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACCELERATOR_KEY`
  `"AcceleratorKey"`
  `public static final String`
  `ACTION_COMMAND_KEY`
  `"ActionCommandKey"`
  `public static final String`
  `DEFAULT`
  `"Default"`
  `public static final String`
  `DISPLAYED_MNEMONIC_INDEX_KEY`
  `"SwingDisplayedMnemonicIndexKey"`
  `public static final String`
  `LARGE_ICON_KEY`
  `"SwingLargeIconKey"`
  `public static final String`
  `LONG_DESCRIPTION`
  `"LongDescription"`
  `public static final String`
  `MNEMONIC_KEY`
  `"MnemonicKey"`
  `public static final String`
  `NAME`
  `"Name"`
  `public static final String`
  `SELECTED_KEY`
  `"SwingSelectedKey"`
  `public static final String`
  `SHORT_DESCRIPTION`
  `"ShortDescription"`
  `public static final String`
  `SMALL_ICON`
  `"SmallIcon"`
- javax.swing.BoxLayout
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LINE_AXIS`
  `2`
  `public static final int`
  `PAGE_AXIS`
  `3`
  `public static final int`
  `X_AXIS`
  `0`
  `public static final int`
  `Y_AXIS`
  `1`
- javax.swing.DebugGraphics
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BUFFERED_OPTION`
  `4`
  `public static final int`
  `FLASH_OPTION`
  `2`
  `public static final int`
  `LOG_OPTION`
  `1`
  `public static final int`
  `NONE_OPTION`
  `-1`
- javax.swing.DefaultButtonModel
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ARMED`
  `1`
  `public static final int`
  `ENABLED`
  `8`
  `public static final int`
  `PRESSED`
  `4`
  `public static final int`
  `ROLLOVER`
  `16`
  `public static final int`
  `SELECTED`
  `2`
- javax.swing.FocusManager
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FOCUS_MANAGER_CLASS_PROPERTY`
  `"FocusManagerClassName"`
- javax.swing.GroupLayout
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_SIZE`
  `-1`
  `public static final int`
  `PREFERRED_SIZE`
  `-2`
- javax.swing.JCheckBox
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BORDER_PAINTED_FLAT_CHANGED_PROPERTY`
  `"borderPaintedFlat"`
- javax.swing.JColorChooser
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CHOOSER_PANELS_PROPERTY`
  `"chooserPanels"`
  `public static final String`
  `PREVIEW_PANEL_PROPERTY`
  `"previewPanel"`
  `public static final String`
  `SELECTION_MODEL_PROPERTY`
  `"selectionModel"`
- javax.swing.JComponent
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TOOL_TIP_TEXT_KEY`
  `"ToolTipText"`
  `public static final int`
  `UNDEFINED_CONDITION`
  `-1`
  `public static final int`
  `WHEN_ANCESTOR_OF_FOCUSED_COMPONENT`
  `1`
  `public static final int`
  `WHEN_FOCUSED`
  `0`
  `public static final int`
  `WHEN_IN_FOCUSED_WINDOW`
  `2`
- javax.swing.JDesktopPane
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LIVE_DRAG_MODE`
  `0`
  `public static final int`
  `OUTLINE_DRAG_MODE`
  `1`
- javax.swing.JEditorPane
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `HONOR_DISPLAY_PROPERTIES`
  `"JEditorPane.honorDisplayProperties"`
  `public static final String`
  `W3C_LENGTH_UNITS`
  `"JEditorPane.w3cLengthUnits"`
- javax.swing.JFileChooser
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACCEPT_ALL_FILE_FILTER_USED_CHANGED_PROPERTY`
  `"acceptAllFileFilterUsedChanged"`
  `public static final String`
  `ACCESSORY_CHANGED_PROPERTY`
  `"AccessoryChangedProperty"`
  `public static final String`
  `APPROVE_BUTTON_MNEMONIC_CHANGED_PROPERTY`
  `"ApproveButtonMnemonicChangedProperty"`
  `public static final String`
  `APPROVE_BUTTON_TEXT_CHANGED_PROPERTY`
  `"ApproveButtonTextChangedProperty"`
  `public static final String`
  `APPROVE_BUTTON_TOOL_TIP_TEXT_CHANGED_PROPERTY`
  `"ApproveButtonToolTipTextChangedProperty"`
  `public static final int`
  `APPROVE_OPTION`
  `0`
  `public static final String`
  `APPROVE_SELECTION`
  `"ApproveSelection"`
  `public static final int`
  `CANCEL_OPTION`
  `1`
  `public static final String`
  `CANCEL_SELECTION`
  `"CancelSelection"`
  `public static final String`
  `CHOOSABLE_FILE_FILTER_CHANGED_PROPERTY`
  `"ChoosableFileFilterChangedProperty"`
  `public static final String`
  `CONTROL_BUTTONS_ARE_SHOWN_CHANGED_PROPERTY`
  `"ControlButtonsAreShownChangedProperty"`
  `public static final int`
  `CUSTOM_DIALOG`
  `2`
  `public static final String`
  `DIALOG_TITLE_CHANGED_PROPERTY`
  `"DialogTitleChangedProperty"`
  `public static final String`
  `DIALOG_TYPE_CHANGED_PROPERTY`
  `"DialogTypeChangedProperty"`
  `public static final int`
  `DIRECTORIES_ONLY`
  `1`
  `public static final String`
  `DIRECTORY_CHANGED_PROPERTY`
  `"directoryChanged"`
  `public static final int`
  `ERROR_OPTION`
  `-1`
  `public static final String`
  `FILE_FILTER_CHANGED_PROPERTY`
  `"fileFilterChanged"`
  `public static final String`
  `FILE_HIDING_CHANGED_PROPERTY`
  `"FileHidingChanged"`
  `public static final String`
  `FILE_SELECTION_MODE_CHANGED_PROPERTY`
  `"fileSelectionChanged"`
  `public static final String`
  `FILE_SYSTEM_VIEW_CHANGED_PROPERTY`
  `"FileSystemViewChanged"`
  `public static final String`
  `FILE_VIEW_CHANGED_PROPERTY`
  `"fileViewChanged"`
  `public static final int`
  `FILES_AND_DIRECTORIES`
  `2`
  `public static final int`
  `FILES_ONLY`
  `0`
  `public static final String`
  `MULTI_SELECTION_ENABLED_CHANGED_PROPERTY`
  `"MultiSelectionEnabledChangedProperty"`
  `public static final int`
  `OPEN_DIALOG`
  `0`
  `public static final int`
  `SAVE_DIALOG`
  `1`
  `public static final String`
  `SELECTED_FILE_CHANGED_PROPERTY`
  `"SelectedFileChangedProperty"`
  `public static final String`
  `SELECTED_FILES_CHANGED_PROPERTY`
  `"SelectedFilesChangedProperty"`
- javax.swing.JFormattedTextField
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COMMIT`
  `0`
  `public static final int`
  `COMMIT_OR_REVERT`
  `1`
  `public static final int`
  `PERSIST`
  `3`
  `public static final int`
  `REVERT`
  `2`
- javax.swing.JInternalFrame
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONTENT_PANE_PROPERTY`
  `"contentPane"`
  `public static final String`
  `FRAME_ICON_PROPERTY`
  `"frameIcon"`
  `public static final String`
  `GLASS_PANE_PROPERTY`
  `"glassPane"`
  `public static final String`
  `IS_CLOSED_PROPERTY`
  `"closed"`
  `public static final String`
  `IS_ICON_PROPERTY`
  `"icon"`
  `public static final String`
  `IS_MAXIMUM_PROPERTY`
  `"maximum"`
  `public static final String`
  `IS_SELECTED_PROPERTY`
  `"selected"`
  `public static final String`
  `LAYERED_PANE_PROPERTY`
  `"layeredPane"`
  `public static final String`
  `MENU_BAR_PROPERTY`
  `"JMenuBar"`
  `public static final String`
  `ROOT_PANE_PROPERTY`
  `"rootPane"`
  `public static final String`
  `TITLE_PROPERTY`
  `"title"`
- javax.swing.JLayeredPane
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LAYER_PROPERTY`
  `"layeredContainerLayer"`
- javax.swing.JList<E>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HORIZONTAL_WRAP`
  `2`
  `public static final int`
  `VERTICAL`
  `0`
  `public static final int`
  `VERTICAL_WRAP`
  `1`
- javax.swing.JOptionPane
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CANCEL_OPTION`
  `2`
  `public static final int`
  `CLOSED_OPTION`
  `-1`
  `public static final int`
  `DEFAULT_OPTION`
  `-1`
  `public static final int`
  `ERROR_MESSAGE`
  `0`
  `public static final String`
  `ICON_PROPERTY`
  `"icon"`
  `public static final int`
  `INFORMATION_MESSAGE`
  `1`
  `public static final String`
  `INITIAL_SELECTION_VALUE_PROPERTY`
  `"initialSelectionValue"`
  `public static final String`
  `INITIAL_VALUE_PROPERTY`
  `"initialValue"`
  `public static final String`
  `INPUT_VALUE_PROPERTY`
  `"inputValue"`
  `public static final String`
  `MESSAGE_PROPERTY`
  `"message"`
  `public static final String`
  `MESSAGE_TYPE_PROPERTY`
  `"messageType"`
  `public static final int`
  `NO_OPTION`
  `1`
  `public static final int`
  `OK_CANCEL_OPTION`
  `2`
  `public static final int`
  `OK_OPTION`
  `0`
  `public static final String`
  `OPTION_TYPE_PROPERTY`
  `"optionType"`
  `public static final String`
  `OPTIONS_PROPERTY`
  `"options"`
  `public static final int`
  `PLAIN_MESSAGE`
  `-1`
  `public static final int`
  `QUESTION_MESSAGE`
  `3`
  `public static final String`
  `SELECTION_VALUES_PROPERTY`
  `"selectionValues"`
  `public static final String`
  `VALUE_PROPERTY`
  `"value"`
  `public static final String`
  `WANTS_INPUT_PROPERTY`
  `"wantsInput"`
  `public static final int`
  `WARNING_MESSAGE`
  `2`
  `public static final int`
  `YES_NO_CANCEL_OPTION`
  `1`
  `public static final int`
  `YES_NO_OPTION`
  `0`
  `public static final int`
  `YES_OPTION`
  `0`
- javax.swing.JRootPane
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COLOR_CHOOSER_DIALOG`
  `5`
  `public static final int`
  `ERROR_DIALOG`
  `4`
  `public static final int`
  `FILE_CHOOSER_DIALOG`
  `6`
  `public static final int`
  `FRAME`
  `1`
  `public static final int`
  `INFORMATION_DIALOG`
  `3`
  `public static final int`
  `NONE`
  `0`
  `public static final int`
  `PLAIN_DIALOG`
  `2`
  `public static final int`
  `QUESTION_DIALOG`
  `7`
  `public static final int`
  `WARNING_DIALOG`
  `8`
- javax.swing.JSplitPane
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BOTTOM`
  `"bottom"`
  `public static final String`
  `CONTINUOUS_LAYOUT_PROPERTY`
  `"continuousLayout"`
  `public static final String`
  `DIVIDER`
  `"divider"`
  `public static final String`
  `DIVIDER_LOCATION_PROPERTY`
  `"dividerLocation"`
  `public static final String`
  `DIVIDER_SIZE_PROPERTY`
  `"dividerSize"`
  `public static final int`
  `HORIZONTAL_SPLIT`
  `1`
  `public static final String`
  `LAST_DIVIDER_LOCATION_PROPERTY`
  `"lastDividerLocation"`
  `public static final String`
  `LEFT`
  `"left"`
  `public static final String`
  `ONE_TOUCH_EXPANDABLE_PROPERTY`
  `"oneTouchExpandable"`
  `public static final String`
  `ORIENTATION_PROPERTY`
  `"orientation"`
  `public static final String`
  `RESIZE_WEIGHT_PROPERTY`
  `"resizeWeight"`
  `public static final String`
  `RIGHT`
  `"right"`
  `public static final String`
  `TOP`
  `"top"`
  `public static final int`
  `VERTICAL_SPLIT`
  `0`
- javax.swing.JTabbedPane
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SCROLL_TAB_LAYOUT`
  `1`
  `public static final int`
  `WRAP_TAB_LAYOUT`
  `0`
- javax.swing.JTable
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `AUTO_RESIZE_ALL_COLUMNS`
  `4`
  `public static final int`
  `AUTO_RESIZE_LAST_COLUMN`
  `3`
  `public static final int`
  `AUTO_RESIZE_NEXT_COLUMN`
  `1`
  `public static final int`
  `AUTO_RESIZE_OFF`
  `0`
  `public static final int`
  `AUTO_RESIZE_SUBSEQUENT_COLUMNS`
  `2`
- javax.swing.JTextField
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `notifyAction`
  `"notify-field-accept"`
- javax.swing.JTree
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANCHOR_SELECTION_PATH_PROPERTY`
  `"anchorSelectionPath"`
  `public static final String`
  `CELL_EDITOR_PROPERTY`
  `"cellEditor"`
  `public static final String`
  `CELL_RENDERER_PROPERTY`
  `"cellRenderer"`
  `public static final String`
  `EDITABLE_PROPERTY`
  `"editable"`
  `public static final String`
  `EXPANDS_SELECTED_PATHS_PROPERTY`
  `"expandsSelectedPaths"`
  `public static final String`
  `INVOKES_STOP_CELL_EDITING_PROPERTY`
  `"invokesStopCellEditing"`
  `public static final String`
  `LARGE_MODEL_PROPERTY`
  `"largeModel"`
  `public static final String`
  `LEAD_SELECTION_PATH_PROPERTY`
  `"leadSelectionPath"`
  `public static final String`
  `ROOT_VISIBLE_PROPERTY`
  `"rootVisible"`
  `public static final String`
  `ROW_HEIGHT_PROPERTY`
  `"rowHeight"`
  `public static final String`
  `SCROLLS_ON_EXPAND_PROPERTY`
  `"scrollsOnExpand"`
  `public static final String`
  `SELECTION_MODEL_PROPERTY`
  `"selectionModel"`
  `public static final String`
  `SHOWS_ROOT_HANDLES_PROPERTY`
  `"showsRootHandles"`
  `public static final String`
  `TOGGLE_CLICK_COUNT_PROPERTY`
  `"toggleClickCount"`
  `public static final String`
  `TREE_MODEL_PROPERTY`
  `"model"`
  `public static final String`
  `VISIBLE_ROW_COUNT_PROPERTY`
  `"visibleRowCount"`
- javax.swing.JViewport
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BACKINGSTORE_SCROLL_MODE`
  `2`
  `public static final int`
  `BLIT_SCROLL_MODE`
  `1`
  `public static final int`
  `SIMPLE_SCROLL_MODE`
  `0`
- javax.swing.ListSelectionModel
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MULTIPLE_INTERVAL_SELECTION`
  `2`
  `public static final int`
  `SINGLE_INTERVAL_SELECTION`
  `1`
  `public static final int`
  `SINGLE_SELECTION`
  `0`
- javax.swing.ScrollPaneConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COLUMN_HEADER`
  `"COLUMN_HEADER"`
  `public static final String`
  `HORIZONTAL_SCROLLBAR`
  `"HORIZONTAL_SCROLLBAR"`
  `public static final int`
  `HORIZONTAL_SCROLLBAR_ALWAYS`
  `32`
  `public static final int`
  `HORIZONTAL_SCROLLBAR_AS_NEEDED`
  `30`
  `public static final int`
  `HORIZONTAL_SCROLLBAR_NEVER`
  `31`
  `public static final String`
  `HORIZONTAL_SCROLLBAR_POLICY`
  `"HORIZONTAL_SCROLLBAR_POLICY"`
  `public static final String`
  `LOWER_LEADING_CORNER`
  `"LOWER_LEADING_CORNER"`
  `public static final String`
  `LOWER_LEFT_CORNER`
  `"LOWER_LEFT_CORNER"`
  `public static final String`
  `LOWER_RIGHT_CORNER`
  `"LOWER_RIGHT_CORNER"`
  `public static final String`
  `LOWER_TRAILING_CORNER`
  `"LOWER_TRAILING_CORNER"`
  `public static final String`
  `ROW_HEADER`
  `"ROW_HEADER"`
  `public static final String`
  `UPPER_LEADING_CORNER`
  `"UPPER_LEADING_CORNER"`
  `public static final String`
  `UPPER_LEFT_CORNER`
  `"UPPER_LEFT_CORNER"`
  `public static final String`
  `UPPER_RIGHT_CORNER`
  `"UPPER_RIGHT_CORNER"`
  `public static final String`
  `UPPER_TRAILING_CORNER`
  `"UPPER_TRAILING_CORNER"`
  `public static final String`
  `VERTICAL_SCROLLBAR`
  `"VERTICAL_SCROLLBAR"`
  `public static final int`
  `VERTICAL_SCROLLBAR_ALWAYS`
  `22`
  `public static final int`
  `VERTICAL_SCROLLBAR_AS_NEEDED`
  `20`
  `public static final int`
  `VERTICAL_SCROLLBAR_NEVER`
  `21`
  `public static final String`
  `VERTICAL_SCROLLBAR_POLICY`
  `"VERTICAL_SCROLLBAR_POLICY"`
  `public static final String`
  `VIEWPORT`
  `"VIEWPORT"`
- javax.swing.Spring
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UNSET`
  `-2147483648`
- javax.swing.SpringLayout
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BASELINE`
  `"Baseline"`
  `public static final String`
  `EAST`
  `"East"`
  `public static final String`
  `HEIGHT`
  `"Height"`
  `public static final String`
  `HORIZONTAL_CENTER`
  `"HorizontalCenter"`
  `public static final String`
  `NORTH`
  `"North"`
  `public static final String`
  `SOUTH`
  `"South"`
  `public static final String`
  `VERTICAL_CENTER`
  `"VerticalCenter"`
  `public static final String`
  `WEST`
  `"West"`
  `public static final String`
  `WIDTH`
  `"Width"`
- javax.swing.SwingConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BOTTOM`
  `3`
  `public static final int`
  `CENTER`
  `0`
  `public static final int`
  `EAST`
  `3`
  `public static final int`
  `HORIZONTAL`
  `0`
  `public static final int`
  `LEADING`
  `10`
  `public static final int`
  `LEFT`
  `2`
  `public static final int`
  `NEXT`
  `12`
  `public static final int`
  `NORTH`
  `1`
  `public static final int`
  `NORTH_EAST`
  `2`
  `public static final int`
  `NORTH_WEST`
  `8`
  `public static final int`
  `PREVIOUS`
  `13`
  `public static final int`
  `RIGHT`
  `4`
  `public static final int`
  `SOUTH`
  `5`
  `public static final int`
  `SOUTH_EAST`
  `4`
  `public static final int`
  `SOUTH_WEST`
  `6`
  `public static final int`
  `TOP`
  `1`
  `public static final int`
  `TRAILING`
  `11`
  `public static final int`
  `VERTICAL`
  `1`
  `public static final int`
  `WEST`
  `7`
- javax.swing.TransferHandler
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `COPY`
  `1`
  `public static final int`
  `COPY_OR_MOVE`
  `3`
  `public static final int`
  `LINK`
  `1073741824`
  `public static final int`
  `MOVE`
  `2`
  `public static final int`
  `NONE`
  `0`
- javax.swing.WindowConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DISPOSE_ON_CLOSE`
  `2`
  `public static final int`
  `DO_NOTHING_ON_CLOSE`
  `0`
  `public static final int`
  `EXIT_ON_CLOSE`
  `3`
  `public static final int`
  `HIDE_ON_CLOSE`
  `1`

- javax.swing.border.BevelBorder
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LOWERED`
  `1`
  `public static final int`
  `RAISED`
  `0`
- javax.swing.border.EtchedBorder
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LOWERED`
  `1`
  `public static final int`
  `RAISED`
  `0`
- javax.swing.border.TitledBorder
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ABOVE_BOTTOM`
  `4`
  `public static final int`
  `ABOVE_TOP`
  `1`
  `public static final int`
  `BELOW_BOTTOM`
  `6`
  `public static final int`
  `BELOW_TOP`
  `3`
  `public static final int`
  `BOTTOM`
  `5`
  `public static final int`
  `CENTER`
  `2`
  `public static final int`
  `DEFAULT_JUSTIFICATION`
  `0`
  `public static final int`
  `DEFAULT_POSITION`
  `0`
  `protected static final int`
  `EDGE_SPACING`
  `2`
  `public static final int`
  `LEADING`
  `4`
  `public static final int`
  `LEFT`
  `1`
  `public static final int`
  `RIGHT`
  `3`
  `protected static final int`
  `TEXT_INSET_H`
  `5`
  `protected static final int`
  `TEXT_SPACING`
  `2`
  `public static final int`
  `TOP`
  `2`
  `public static final int`
  `TRAILING`
  `5`

- javax.swing.colorchooser.AbstractColorChooserPanel
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TRANSPARENCY_ENABLED_PROPERTY`
  `"TransparencyEnabled"`

- javax.swing.event.AncestorEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ANCESTOR_ADDED`
  `1`
  `public static final int`
  `ANCESTOR_MOVED`
  `3`
  `public static final int`
  `ANCESTOR_REMOVED`
  `2`
- javax.swing.event.InternalFrameEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INTERNAL_FRAME_ACTIVATED`
  `25554`
  `public static final int`
  `INTERNAL_FRAME_CLOSED`
  `25551`
  `public static final int`
  `INTERNAL_FRAME_CLOSING`
  `25550`
  `public static final int`
  `INTERNAL_FRAME_DEACTIVATED`
  `25555`
  `public static final int`
  `INTERNAL_FRAME_DEICONIFIED`
  `25553`
  `public static final int`
  `INTERNAL_FRAME_FIRST`
  `25549`
  `public static final int`
  `INTERNAL_FRAME_ICONIFIED`
  `25552`
  `public static final int`
  `INTERNAL_FRAME_LAST`
  `25555`
  `public static final int`
  `INTERNAL_FRAME_OPENED`
  `25549`
- javax.swing.event.ListDataEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CONTENTS_CHANGED`
  `0`
  `public static final int`
  `INTERVAL_ADDED`
  `1`
  `public static final int`
  `INTERVAL_REMOVED`
  `2`
- javax.swing.event.TableModelEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALL_COLUMNS`
  `-1`
  `public static final int`
  `DELETE`
  `-1`
  `public static final int`
  `HEADER_ROW`
  `-1`
  `public static final int`
  `INSERT`
  `1`
  `public static final int`
  `UPDATE`
  `0`

- javax.swing.plaf.basic.BasicComboPopup
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `SCROLL_DOWN`
  `1`
  `protected static final int`
  `SCROLL_UP`
  `0`
- javax.swing.plaf.basic.BasicHTML
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `documentBaseKey`
  `"html.base"`
  `public static final String`
  `propertyKey`
  `"html"`
- javax.swing.plaf.basic.BasicInternalFrameUI.BorderListener
  Modifier and Type
  Constant Field
  Value
  `protected final int`
  `RESIZE_NONE`
  `0`
- javax.swing.plaf.basic.BasicListUI
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `cellRendererChanged`
  `64`
  `protected static final int`
  `fixedCellHeightChanged`
  `16`
  `protected static final int`
  `fixedCellWidthChanged`
  `8`
  `protected static final int`
  `fontChanged`
  `4`
  `protected static final int`
  `modelChanged`
  `1`
  `protected static final int`
  `prototypeCellValueChanged`
  `32`
  `protected static final int`
  `selectionModelChanged`
  `2`
- javax.swing.plaf.basic.BasicOptionPaneUI
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MinimumHeight`
  `90`
  `public static final int`
  `MinimumWidth`
  `262`
- javax.swing.plaf.basic.BasicScrollBarUI
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `DECREASE_HIGHLIGHT`
  `1`
  `protected static final int`
  `INCREASE_HIGHLIGHT`
  `2`
  `protected static final int`
  `NO_HIGHLIGHT`
  `0`
- javax.swing.plaf.basic.BasicSliderUI
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_SCROLL`
  `2`
  `public static final int`
  `MIN_SCROLL`
  `-2`
  `public static final int`
  `NEGATIVE_SCROLL`
  `-1`
  `public static final int`
  `POSITIVE_SCROLL`
  `1`
- javax.swing.plaf.basic.BasicSplitPaneDivider
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `ONE_TOUCH_OFFSET`
  `2`
  `protected static final int`
  `ONE_TOUCH_SIZE`
  `6`
- javax.swing.plaf.basic.BasicSplitPaneUI
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `NON_CONTINUOUS_DIVIDER`
  `"nonContinuousDivider"`

- javax.swing.plaf.metal.MetalIconFactory
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DARK`
  `false`
  `public static final boolean`
  `LIGHT`
  `true`
- javax.swing.plaf.metal.MetalScrollBarUI
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FREE_STANDING_PROP`
  `"JScrollBar.isFreeStanding"`
- javax.swing.plaf.metal.MetalSliderUI
  Modifier and Type
  Constant Field
  Value
  `protected final String`
  `SLIDER_FILL`
  `"JSlider.isFilled"`
  `protected final int`
  `TICK_BUFFER`
  `4`
- javax.swing.plaf.metal.MetalToolTipUI
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `padSpaceBetweenStrings`
  `12`

- javax.swing.plaf.nimbus.NimbusStyle
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LARGE_KEY`
  `"large"`
  `public static final double`
  `LARGE_SCALE`
  `1.15`
  `public static final String`
  `MINI_KEY`
  `"mini"`
  `public static final double`
  `MINI_SCALE`
  `0.714`
  `public static final String`
  `SMALL_KEY`
  `"small"`
  `public static final double`
  `SMALL_SCALE`
  `0.857`

- javax.swing.plaf.synth.SynthConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT`
  `1024`
  `public static final int`
  `DISABLED`
  `8`
  `public static final int`
  `ENABLED`
  `1`
  `public static final int`
  `FOCUSED`
  `256`
  `public static final int`
  `MOUSE_OVER`
  `2`
  `public static final int`
  `PRESSED`
  `4`
  `public static final int`
  `SELECTED`
  `512`

- javax.swing.table.TableColumn
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CELL_RENDERER_PROPERTY`
  `"cellRenderer"`
  `public static final String`
  `COLUMN_WIDTH_PROPERTY`
  `"columWidth"`
  `public static final String`
  `HEADER_RENDERER_PROPERTY`
  `"headerRenderer"`
  `public static final String`
  `HEADER_VALUE_PROPERTY`
  `"headerValue"`

- javax.swing.text.AbstractDocument
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `BAD_LOCATION`
  `"document location failure"`
  `public static final String`
  `BidiElementName`
  `"bidi level"`
  `public static final String`
  `ContentElementName`
  `"content"`
  `public static final String`
  `ElementNameAttribute`
  `"$ename"`
  `public static final String`
  `ParagraphElementName`
  `"paragraph"`
  `public static final String`
  `SectionElementName`
  `"section"`
- javax.swing.text.AbstractWriter
  Modifier and Type
  Constant Field
  Value
  `protected static final char`
  `NEWLINE`
  `'\n'`
- javax.swing.text.DefaultCaret
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALWAYS_UPDATE`
  `2`
  `public static final int`
  `NEVER_UPDATE`
  `1`
  `public static final int`
  `UPDATE_WHEN_ON_EDT`
  `0`
- javax.swing.text.DefaultEditorKit
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `backwardAction`
  `"caret-backward"`
  `public static final String`
  `beepAction`
  `"beep"`
  `public static final String`
  `beginAction`
  `"caret-begin"`
  `public static final String`
  `beginLineAction`
  `"caret-begin-line"`
  `public static final String`
  `beginLineUpAction`
  `"caret-begin-line-and-up"`
  `public static final String`
  `beginParagraphAction`
  `"caret-begin-paragraph"`
  `public static final String`
  `beginWordAction`
  `"caret-begin-word"`
  `public static final String`
  `copyAction`
  `"copy-to-clipboard"`
  `public static final String`
  `cutAction`
  `"cut-to-clipboard"`
  `public static final String`
  `defaultKeyTypedAction`
  `"default-typed"`
  `public static final String`
  `deleteNextCharAction`
  `"delete-next"`
  `public static final String`
  `deleteNextWordAction`
  `"delete-next-word"`
  `public static final String`
  `deletePrevCharAction`
  `"delete-previous"`
  `public static final String`
  `deletePrevWordAction`
  `"delete-previous-word"`
  `public static final String`
  `downAction`
  `"caret-down"`
  `public static final String`
  `endAction`
  `"caret-end"`
  `public static final String`
  `endLineAction`
  `"caret-end-line"`
  `public static final String`
  `endLineDownAction`
  `"caret-end-line-and-down"`
  `public static final String`
  `EndOfLineStringProperty`
  `"__EndOfLine__"`
  `public static final String`
  `endParagraphAction`
  `"caret-end-paragraph"`
  `public static final String`
  `endWordAction`
  `"caret-end-word"`
  `public static final String`
  `forwardAction`
  `"caret-forward"`
  `public static final String`
  `insertBreakAction`
  `"insert-break"`
  `public static final String`
  `insertContentAction`
  `"insert-content"`
  `public static final String`
  `insertTabAction`
  `"insert-tab"`
  `public static final String`
  `nextWordAction`
  `"caret-next-word"`
  `public static final String`
  `pageDownAction`
  `"page-down"`
  `public static final String`
  `pageUpAction`
  `"page-up"`
  `public static final String`
  `pasteAction`
  `"paste-from-clipboard"`
  `public static final String`
  `previousWordAction`
  `"caret-previous-word"`
  `public static final String`
  `readOnlyAction`
  `"set-read-only"`
  `public static final String`
  `selectAllAction`
  `"select-all"`
  `public static final String`
  `selectionBackwardAction`
  `"selection-backward"`
  `public static final String`
  `selectionBeginAction`
  `"selection-begin"`
  `public static final String`
  `selectionBeginLineAction`
  `"selection-begin-line"`
  `public static final String`
  `selectionBeginParagraphAction`
  `"selection-begin-paragraph"`
  `public static final String`
  `selectionBeginWordAction`
  `"selection-begin-word"`
  `public static final String`
  `selectionDownAction`
  `"selection-down"`
  `public static final String`
  `selectionEndAction`
  `"selection-end"`
  `public static final String`
  `selectionEndLineAction`
  `"selection-end-line"`
  `public static final String`
  `selectionEndParagraphAction`
  `"selection-end-paragraph"`
  `public static final String`
  `selectionEndWordAction`
  `"selection-end-word"`
  `public static final String`
  `selectionForwardAction`
  `"selection-forward"`
  `public static final String`
  `selectionNextWordAction`
  `"selection-next-word"`
  `public static final String`
  `selectionPreviousWordAction`
  `"selection-previous-word"`
  `public static final String`
  `selectionUpAction`
  `"selection-up"`
  `public static final String`
  `selectLineAction`
  `"select-line"`
  `public static final String`
  `selectParagraphAction`
  `"select-paragraph"`
  `public static final String`
  `selectWordAction`
  `"select-word"`
  `public static final String`
  `upAction`
  `"caret-up"`
  `public static final String`
  `writableAction`
  `"set-writable"`
- javax.swing.text.DefaultStyledDocument
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BUFFER_SIZE_DEFAULT`
  `4096`
- javax.swing.text.DefaultStyledDocument.ElementSpec
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ContentType`
  `3`
  `public static final short`
  `EndTagType`
  `2`
  `public static final short`
  `JoinFractureDirection`
  `7`
  `public static final short`
  `JoinNextDirection`
  `5`
  `public static final short`
  `JoinPreviousDirection`
  `4`
  `public static final short`
  `OriginateDirection`
  `6`
  `public static final short`
  `StartTagType`
  `1`
- javax.swing.text.Document
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `StreamDescriptionProperty`
  `"stream"`
  `public static final String`
  `TitleProperty`
  `"title"`
- javax.swing.text.JTextComponent
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_KEYMAP`
  `"default"`
  `public static final String`
  `FOCUS_ACCELERATOR_KEY`
  `"focusAcceleratorKey"`
- javax.swing.text.PlainDocument
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `lineLimitAttribute`
  `"lineLimit"`
  `public static final String`
  `tabSizeAttribute`
  `"tabSize"`
- javax.swing.text.StyleConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALIGN_CENTER`
  `1`
  `public static final int`
  `ALIGN_JUSTIFIED`
  `3`
  `public static final int`
  `ALIGN_LEFT`
  `0`
  `public static final int`
  `ALIGN_RIGHT`
  `2`
  `public static final String`
  `ComponentElementName`
  `"component"`
  `public static final String`
  `IconElementName`
  `"icon"`
- javax.swing.text.StyleContext
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STYLE`
  `"default"`
- javax.swing.text.TabStop
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALIGN_BAR`
  `5`
  `public static final int`
  `ALIGN_CENTER`
  `2`
  `public static final int`
  `ALIGN_DECIMAL`
  `4`
  `public static final int`
  `ALIGN_LEFT`
  `0`
  `public static final int`
  `ALIGN_RIGHT`
  `1`
  `public static final int`
  `LEAD_DOTS`
  `1`
  `public static final int`
  `LEAD_EQUALS`
  `5`
  `public static final int`
  `LEAD_HYPHENS`
  `2`
  `public static final int`
  `LEAD_NONE`
  `0`
  `public static final int`
  `LEAD_THICKLINE`
  `4`
  `public static final int`
  `LEAD_UNDERLINE`
  `3`
- javax.swing.text.View
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BadBreakWeight`
  `0`
  `public static final int`
  `ExcellentBreakWeight`
  `2000`
  `public static final int`
  `ForcedBreakWeight`
  `3000`
  `public static final int`
  `GoodBreakWeight`
  `1000`
  `public static final int`
  `X_AXIS`
  `0`
  `public static final int`
  `Y_AXIS`
  `1`

- javax.swing.text.html.HTML
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NULL_ATTRIBUTE_VALUE`
  `"#DEFAULT"`
- javax.swing.text.html.HTMLDocument
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AdditionalComments`
  `"AdditionalComments"`
- javax.swing.text.html.HTMLEditorKit
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BOLD_ACTION`
  `"html-bold-action"`
  `public static final String`
  `COLOR_ACTION`
  `"html-color-action"`
  `public static final String`
  `DEFAULT_CSS`
  `"default.css"`
  `public static final String`
  `FONT_CHANGE_BIGGER`
  `"html-font-bigger"`
  `public static final String`
  `FONT_CHANGE_SMALLER`
  `"html-font-smaller"`
  `public static final String`
  `IMG_ALIGN_BOTTOM`
  `"html-image-align-bottom"`
  `public static final String`
  `IMG_ALIGN_MIDDLE`
  `"html-image-align-middle"`
  `public static final String`
  `IMG_ALIGN_TOP`
  `"html-image-align-top"`
  `public static final String`
  `IMG_BORDER`
  `"html-image-border"`
  `public static final String`
  `ITALIC_ACTION`
  `"html-italic-action"`
  `public static final String`
  `LOGICAL_STYLE_ACTION`
  `"html-logical-style-action"`
  `public static final String`
  `PARA_INDENT_LEFT`
  `"html-para-indent-left"`
  `public static final String`
  `PARA_INDENT_RIGHT`
  `"html-para-indent-right"`

- javax.swing.text.html.parser.DTD
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FILE_VERSION`
  `1`
- javax.swing.text.html.parser.DTDConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ANY`
  `19`
  `public static final int`
  `CDATA`
  `1`
  `public static final int`
  `CONREF`
  `4`
  `public static final int`
  `CURRENT`
  `3`
  `public static final int`
  `DEFAULT`
  `131072`
  `public static final int`
  `EMPTY`
  `17`
  `public static final int`
  `ENDTAG`
  `14`
  `public static final int`
  `ENTITIES`
  `3`
  `public static final int`
  `ENTITY`
  `2`
  `public static final int`
  `FIXED`
  `1`
  `public static final int`
  `GENERAL`
  `65536`
  `public static final int`
  `ID`
  `4`
  `public static final int`
  `IDREF`
  `5`
  `public static final int`
  `IDREFS`
  `6`
  `public static final int`
  `IMPLIED`
  `5`
  `public static final int`
  `MD`
  `16`
  `public static final int`
  `MODEL`
  `18`
  `public static final int`
  `MS`
  `15`
  `public static final int`
  `NAME`
  `7`
  `public static final int`
  `NAMES`
  `8`
  `public static final int`
  `NMTOKEN`
  `9`
  `public static final int`
  `NMTOKENS`
  `10`
  `public static final int`
  `NOTATION`
  `11`
  `public static final int`
  `NUMBER`
  `12`
  `public static final int`
  `NUMBERS`
  `13`
  `public static final int`
  `NUTOKEN`
  `14`
  `public static final int`
  `NUTOKENS`
  `15`
  `public static final int`
  `PARAMETER`
  `262144`
  `public static final int`
  `PI`
  `12`
  `public static final int`
  `PUBLIC`
  `10`
  `public static final int`
  `RCDATA`
  `16`
  `public static final int`
  `REQUIRED`
  `2`
  `public static final int`
  `SDATA`
  `11`
  `public static final int`
  `STARTTAG`
  `13`
  `public static final int`
  `SYSTEM`
  `17`

- javax.swing.tree.DefaultTreeSelectionModel
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SELECTION_MODE_PROPERTY`
  `"selectionMode"`
- javax.swing.tree.TreeSelectionModel
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CONTIGUOUS_TREE_SELECTION`
  `2`
  `public static final int`
  `DISCONTIGUOUS_TREE_SELECTION`
  `4`
  `public static final int`
  `SINGLE_TREE_SELECTION`
  `1`

- javax.swing.undo.AbstractUndoableEdit
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `RedoName`
  `"Redo"`
  `protected static final String`
  `UndoName`
  `"Undo"`
- javax.swing.undo.StateEdit
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `RCSID`
  `"$Id: StateEdit.java,v 1.6 1997/10/01 20:05:51 sandipc Exp $"`
- javax.swing.undo.StateEditable
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RCSID`
  `"$Id: StateEditable.java,v 1.2 1997/09/08 19:39:08 marklin Exp $"`

## javax.tools.*

- javax.tools.Diagnostic<S>
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `NOPOS`
  `-1L`

## javax.transaction.*

- javax.transaction.xa.XAException
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `XA_HEURCOM`
  `7`
  `public static final int`
  `XA_HEURHAZ`
  `8`
  `public static final int`
  `XA_HEURMIX`
  `5`
  `public static final int`
  `XA_HEURRB`
  `6`
  `public static final int`
  `XA_NOMIGRATE`
  `9`
  `public static final int`
  `XA_RBBASE`
  `100`
  `public static final int`
  `XA_RBCOMMFAIL`
  `101`
  `public static final int`
  `XA_RBDEADLOCK`
  `102`
  `public static final int`
  `XA_RBEND`
  `107`
  `public static final int`
  `XA_RBINTEGRITY`
  `103`
  `public static final int`
  `XA_RBOTHER`
  `104`
  `public static final int`
  `XA_RBPROTO`
  `105`
  `public static final int`
  `XA_RBROLLBACK`
  `100`
  `public static final int`
  `XA_RBTIMEOUT`
  `106`
  `public static final int`
  `XA_RBTRANSIENT`
  `107`
  `public static final int`
  `XA_RDONLY`
  `3`
  `public static final int`
  `XA_RETRY`
  `4`
  `public static final int`
  `XAER_ASYNC`
  `-2`
  `public static final int`
  `XAER_DUPID`
  `-8`
  `public static final int`
  `XAER_INVAL`
  `-5`
  `public static final int`
  `XAER_NOTA`
  `-4`
  `public static final int`
  `XAER_OUTSIDE`
  `-9`
  `public static final int`
  `XAER_PROTO`
  `-6`
  `public static final int`
  `XAER_RMERR`
  `-3`
  `public static final int`
  `XAER_RMFAIL`
  `-7`
- javax.transaction.xa.XAResource
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TMENDRSCAN`
  `8388608`
  `public static final int`
  `TMFAIL`
  `536870912`
  `public static final int`
  `TMJOIN`
  `2097152`
  `public static final int`
  `TMNOFLAGS`
  `0`
  `public static final int`
  `TMONEPHASE`
  `1073741824`
  `public static final int`
  `TMRESUME`
  `134217728`
  `public static final int`
  `TMSTARTRSCAN`
  `16777216`
  `public static final int`
  `TMSUCCESS`
  `67108864`
  `public static final int`
  `TMSUSPEND`
  `33554432`
  `public static final int`
  `XA_OK`
  `0`
  `public static final int`
  `XA_RDONLY`
  `3`
- javax.transaction.xa.Xid
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAXBQUALSIZE`
  `64`
  `public static final int`
  `MAXGTRIDSIZE`
  `64`

## javax.xml.*

- javax.xml.XMLConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACCESS_EXTERNAL_DTD`
  `"http://javax.xml.XMLConstants/property/accessExternalDTD"`
  `public static final String`
  `ACCESS_EXTERNAL_SCHEMA`
  `"http://javax.xml.XMLConstants/property/accessExternalSchema"`
  `public static final String`
  `ACCESS_EXTERNAL_STYLESHEET`
  `"http://javax.xml.XMLConstants/property/accessExternalStylesheet"`
  `public static final String`
  `DEFAULT_NS_PREFIX`
  `""`
  `public static final String`
  `FEATURE_SECURE_PROCESSING`
  `"http://javax.xml.XMLConstants/feature/secure-processing"`
  `public static final String`
  `NULL_NS_URI`
  `""`
  `public static final String`
  `RELAXNG_NS_URI`
  `"http://relaxng.org/ns/structure/1.0"`
  `public static final String`
  `USE_CATALOG`
  `"http://javax.xml.XMLConstants/feature/useCatalog"`
  `public static final String`
  `W3C_XML_SCHEMA_INSTANCE_NS_URI`
  `"http://www.w3.org/2001/XMLSchema-instance"`
  `public static final String`
  `W3C_XML_SCHEMA_NS_URI`
  `"http://www.w3.org/2001/XMLSchema"`
  `public static final String`
  `W3C_XPATH_DATATYPE_NS_URI`
  `"http://www.w3.org/2003/11/xpath-datatypes"`
  `public static final String`
  `XML_DTD_NS_URI`
  `"http://www.w3.org/TR/REC-xml"`
  `public static final String`
  `XML_NS_PREFIX`
  `"xml"`
  `public static final String`
  `XML_NS_URI`
  `"http://www.w3.org/XML/1998/namespace"`
  `public static final String`
  `XMLNS_ATTRIBUTE`
  `"xmlns"`
  `public static final String`
  `XMLNS_ATTRIBUTE_NS_URI`
  `"http://www.w3.org/2000/xmlns/"`

- javax.xml.crypto.dsig.CanonicalizationMethod
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EXCLUSIVE`
  `"http://www.w3.org/2001/10/xml-exc-c14n#"`
  `public static final String`
  `EXCLUSIVE_WITH_COMMENTS`
  `"http://www.w3.org/2001/10/xml-exc-c14n#WithComments"`
  `public static final String`
  `INCLUSIVE`
  `"http://www.w3.org/TR/2001/REC-xml-c14n-20010315"`
  `public static final String`
  `INCLUSIVE_11`
  `"http://www.w3.org/2006/12/xml-c14n11"`
  `public static final String`
  `INCLUSIVE_11_WITH_COMMENTS`
  `"http://www.w3.org/2006/12/xml-c14n11#WithComments"`
  `public static final String`
  `INCLUSIVE_WITH_COMMENTS`
  `"http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments"`
- javax.xml.crypto.dsig.DigestMethod
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RIPEMD160`
  `"http://www.w3.org/2001/04/xmlenc#ripemd160"`
  `public static final String`
  `SHA1`
  `"http://www.w3.org/2000/09/xmldsig#sha1"`
  `public static final String`
  `SHA224`
  `"http://www.w3.org/2001/04/xmldsig-more#sha224"`
  `public static final String`
  `SHA256`
  `"http://www.w3.org/2001/04/xmlenc#sha256"`
  `public static final String`
  `SHA3_224`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-224"`
  `public static final String`
  `SHA3_256`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-256"`
  `public static final String`
  `SHA3_384`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-384"`
  `public static final String`
  `SHA3_512`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-512"`
  `public static final String`
  `SHA384`
  `"http://www.w3.org/2001/04/xmldsig-more#sha384"`
  `public static final String`
  `SHA512`
  `"http://www.w3.org/2001/04/xmlenc#sha512"`
- javax.xml.crypto.dsig.Manifest
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE`
  `"http://www.w3.org/2000/09/xmldsig#Manifest"`
- javax.xml.crypto.dsig.SignatureMethod
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DSA_SHA1`
  `"http://www.w3.org/2000/09/xmldsig#dsa-sha1"`
  `public static final String`
  `DSA_SHA256`
  `"http://www.w3.org/2009/xmldsig11#dsa-sha256"`
  `public static final String`
  `ECDSA_SHA1`
  `"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha1"`
  `public static final String`
  `ECDSA_SHA224`
  `"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha224"`
  `public static final String`
  `ECDSA_SHA256`
  `"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha256"`
  `public static final String`
  `ECDSA_SHA3_224`
  `"http://www.w3.org/2021/04/xmldsig-more#ecdsa-sha3-224"`
  `public static final String`
  `ECDSA_SHA3_256`
  `"http://www.w3.org/2021/04/xmldsig-more#ecdsa-sha3-256"`
  `public static final String`
  `ECDSA_SHA3_384`
  `"http://www.w3.org/2021/04/xmldsig-more#ecdsa-sha3-384"`
  `public static final String`
  `ECDSA_SHA3_512`
  `"http://www.w3.org/2021/04/xmldsig-more#ecdsa-sha3-512"`
  `public static final String`
  `ECDSA_SHA384`
  `"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha384"`
  `public static final String`
  `ECDSA_SHA512`
  `"http://www.w3.org/2001/04/xmldsig-more#ecdsa-sha512"`
  `public static final String`
  `ED25519`
  `"http://www.w3.org/2021/04/xmldsig-more#eddsa-ed25519"`
  `public static final String`
  `ED448`
  `"http://www.w3.org/2021/04/xmldsig-more#eddsa-ed448"`
  `public static final String`
  `HMAC_SHA1`
  `"http://www.w3.org/2000/09/xmldsig#hmac-sha1"`
  `public static final String`
  `HMAC_SHA224`
  `"http://www.w3.org/2001/04/xmldsig-more#hmac-sha224"`
  `public static final String`
  `HMAC_SHA256`
  `"http://www.w3.org/2001/04/xmldsig-more#hmac-sha256"`
  `public static final String`
  `HMAC_SHA384`
  `"http://www.w3.org/2001/04/xmldsig-more#hmac-sha384"`
  `public static final String`
  `HMAC_SHA512`
  `"http://www.w3.org/2001/04/xmldsig-more#hmac-sha512"`
  `public static final String`
  `RSA_PSS`
  `"http://www.w3.org/2007/05/xmldsig-more#rsa-pss"`
  `public static final String`
  `RSA_SHA1`
  `"http://www.w3.org/2000/09/xmldsig#rsa-sha1"`
  `public static final String`
  `RSA_SHA224`
  `"http://www.w3.org/2001/04/xmldsig-more#rsa-sha224"`
  `public static final String`
  `RSA_SHA256`
  `"http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"`
  `public static final String`
  `RSA_SHA384`
  `"http://www.w3.org/2001/04/xmldsig-more#rsa-sha384"`
  `public static final String`
  `RSA_SHA512`
  `"http://www.w3.org/2001/04/xmldsig-more#rsa-sha512"`
  `public static final String`
  `SHA1_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha1-rsa-MGF1"`
  `public static final String`
  `SHA224_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha224-rsa-MGF1"`
  `public static final String`
  `SHA256_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha256-rsa-MGF1"`
  `public static final String`
  `SHA3_224_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-224-rsa-MGF1"`
  `public static final String`
  `SHA3_256_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-256-rsa-MGF1"`
  `public static final String`
  `SHA3_384_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-384-rsa-MGF1"`
  `public static final String`
  `SHA3_512_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha3-512-rsa-MGF1"`
  `public static final String`
  `SHA384_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha384-rsa-MGF1"`
  `public static final String`
  `SHA512_RSA_MGF1`
  `"http://www.w3.org/2007/05/xmldsig-more#sha512-rsa-MGF1"`
- javax.xml.crypto.dsig.SignatureProperties
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE`
  `"http://www.w3.org/2000/09/xmldsig#SignatureProperties"`
- javax.xml.crypto.dsig.Transform
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BASE64`
  `"http://www.w3.org/2000/09/xmldsig#base64"`
  `public static final String`
  `ENVELOPED`
  `"http://www.w3.org/2000/09/xmldsig#enveloped-signature"`
  `public static final String`
  `XPATH`
  `"http://www.w3.org/TR/1999/REC-xpath-19991116"`
  `public static final String`
  `XPATH2`
  `"http://www.w3.org/2002/06/xmldsig-filter2"`
  `public static final String`
  `XSLT`
  `"http://www.w3.org/TR/1999/REC-xslt-19991116"`
- javax.xml.crypto.dsig.XMLObject
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE`
  `"http://www.w3.org/2000/09/xmldsig#Object"`
- javax.xml.crypto.dsig.XMLSignature
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `XMLNS`
  `"http://www.w3.org/2000/09/xmldsig#"`

- javax.xml.crypto.dsig.keyinfo.KeyValue
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DSA_TYPE`
  `"http://www.w3.org/2000/09/xmldsig#DSAKeyValue"`
  `public static final String`
  `EC_TYPE`
  `"http://www.w3.org/2009/xmldsig11#ECKeyValue"`
  `public static final String`
  `RSA_TYPE`
  `"http://www.w3.org/2000/09/xmldsig#RSAKeyValue"`
- javax.xml.crypto.dsig.keyinfo.PGPData
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE`
  `"http://www.w3.org/2000/09/xmldsig#PGPData"`
- javax.xml.crypto.dsig.keyinfo.X509Data
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RAW_X509_CERTIFICATE_TYPE`
  `"http://www.w3.org/2000/09/xmldsig#rawX509Certificate"`
  `public static final String`
  `TYPE`
  `"http://www.w3.org/2000/09/xmldsig#X509Data"`

- javax.xml.crypto.dsig.spec.ExcC14NParameterSpec
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT`
  `"#default"`

- javax.xml.datatype.DatatypeConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APRIL`
  `4`
  `public static final int`
  `AUGUST`
  `8`
  `public static final int`
  `DECEMBER`
  `12`
  `public static final int`
  `EQUAL`
  `0`
  `public static final int`
  `FEBRUARY`
  `2`
  `public static final int`
  `FIELD_UNDEFINED`
  `-2147483648`
  `public static final int`
  `GREATER`
  `1`
  `public static final int`
  `INDETERMINATE`
  `2`
  `public static final int`
  `JANUARY`
  `1`
  `public static final int`
  `JULY`
  `7`
  `public static final int`
  `JUNE`
  `6`
  `public static final int`
  `LESSER`
  `-1`
  `public static final int`
  `MARCH`
  `3`
  `public static final int`
  `MAX_TIMEZONE_OFFSET`
  `-840`
  `public static final int`
  `MAY`
  `5`
  `public static final int`
  `MIN_TIMEZONE_OFFSET`
  `840`
  `public static final int`
  `NOVEMBER`
  `11`
  `public static final int`
  `OCTOBER`
  `10`
  `public static final int`
  `SEPTEMBER`
  `9`
- javax.xml.datatype.DatatypeFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATATYPEFACTORY_PROPERTY`
  `"javax.xml.datatype.DatatypeFactory"`

- javax.xml.stream.XMLInputFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALLOCATOR`
  `"javax.xml.stream.allocator"`
  `public static final String`
  `IS_COALESCING`
  `"javax.xml.stream.isCoalescing"`
  `public static final String`
  `IS_NAMESPACE_AWARE`
  `"javax.xml.stream.isNamespaceAware"`
  `public static final String`
  `IS_REPLACING_ENTITY_REFERENCES`
  `"javax.xml.stream.isReplacingEntityReferences"`
  `public static final String`
  `IS_SUPPORTING_EXTERNAL_ENTITIES`
  `"javax.xml.stream.isSupportingExternalEntities"`
  `public static final String`
  `IS_VALIDATING`
  `"javax.xml.stream.isValidating"`
  `public static final String`
  `REPORTER`
  `"javax.xml.stream.reporter"`
  `public static final String`
  `RESOLVER`
  `"javax.xml.stream.resolver"`
  `public static final String`
  `SUPPORT_DTD`
  `"javax.xml.stream.supportDTD"`
- javax.xml.stream.XMLOutputFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IS_REPAIRING_NAMESPACES`
  `"javax.xml.stream.isRepairingNamespaces"`
- javax.xml.stream.XMLStreamConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ATTRIBUTE`
  `10`
  `public static final int`
  `CDATA`
  `12`
  `public static final int`
  `CHARACTERS`
  `4`
  `public static final int`
  `COMMENT`
  `5`
  `public static final int`
  `DTD`
  `11`
  `public static final int`
  `END_DOCUMENT`
  `8`
  `public static final int`
  `END_ELEMENT`
  `2`
  `public static final int`
  `ENTITY_DECLARATION`
  `15`
  `public static final int`
  `ENTITY_REFERENCE`
  `9`
  `public static final int`
  `NAMESPACE`
  `13`
  `public static final int`
  `NOTATION_DECLARATION`
  `14`
  `public static final int`
  `PROCESSING_INSTRUCTION`
  `3`
  `public static final int`
  `SPACE`
  `6`
  `public static final int`
  `START_DOCUMENT`
  `7`
  `public static final int`
  `START_ELEMENT`
  `1`

- javax.xml.transform.OutputKeys
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CDATA_SECTION_ELEMENTS`
  `"cdata-section-elements"`
  `public static final String`
  `DOCTYPE_PUBLIC`
  `"doctype-public"`
  `public static final String`
  `DOCTYPE_SYSTEM`
  `"doctype-system"`
  `public static final String`
  `ENCODING`
  `"encoding"`
  `public static final String`
  `INDENT`
  `"indent"`
  `public static final String`
  `MEDIA_TYPE`
  `"media-type"`
  `public static final String`
  `METHOD`
  `"method"`
  `public static final String`
  `OMIT_XML_DECLARATION`
  `"omit-xml-declaration"`
  `public static final String`
  `STANDALONE`
  `"standalone"`
  `public static final String`
  `VERSION`
  `"version"`
- javax.xml.transform.Result
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PI_DISABLE_OUTPUT_ESCAPING`
  `"javax.xml.transform.disable-output-escaping"`
  `public static final String`
  `PI_ENABLE_OUTPUT_ESCAPING`
  `"javax.xml.transform.enable-output-escaping"`

- javax.xml.transform.dom.DOMResult
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.dom.DOMResult/feature"`
- javax.xml.transform.dom.DOMSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.dom.DOMSource/feature"`

- javax.xml.transform.sax.SAXResult
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.sax.SAXResult/feature"`
- javax.xml.transform.sax.SAXSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.sax.SAXSource/feature"`
- javax.xml.transform.sax.SAXTransformerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.sax.SAXTransformerFactory/feature"`
  `public static final String`
  `FEATURE_XMLFILTER`
  `"http://javax.xml.transform.sax.SAXTransformerFactory/feature/xmlfilter"`

- javax.xml.transform.stax.StAXResult
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.stax.StAXResult/feature"`
- javax.xml.transform.stax.StAXSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.stax.StAXSource/feature"`

- javax.xml.transform.stream.StreamResult
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.stream.StreamResult/feature"`
- javax.xml.transform.stream.StreamSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE`
  `"http://javax.xml.transform.stream.StreamSource/feature"`

- javax.xml.xpath.XPathConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DOM_OBJECT_MODEL`
  `"http://java.sun.com/jaxp/xpath/dom"`
- javax.xml.xpath.XPathFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_OBJECT_MODEL_URI`
  `"http://java.sun.com/jaxp/xpath/dom"`
  `public static final String`
  `DEFAULT_PROPERTY_NAME`
  `"javax.xml.xpath.XPathFactory"`

## jdk.dynalink.*

- jdk.dynalink.SecureLookupSupplier
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GET_LOOKUP_PERMISSION_NAME`
  `"dynalink.getLookup"`

- jdk.dynalink.linker.GuardingDynamicLinkerExporter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AUTOLOAD_PERMISSION_NAME`
  `"dynalink.exportLinkersAutomatically"`

## jdk.incubator.*

- jdk.incubator.vector.Float16
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BYTES`
  `2`
  `public static final int`
  `MAX_EXPONENT`
  `15`
  `public static final int`
  `MIN_EXPONENT`
  `-14`
  `public static final int`
  `PRECISION`
  `11`
  `public static final int`
  `SIZE`
  `16`

## jdk.jfr.*

- jdk.jfr.DataAmount
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BITS`
  `"BITS"`
  `public static final String`
  `BYTES`
  `"BYTES"`
- jdk.jfr.Enabled
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"enabled"`
- jdk.jfr.Period
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"period"`
- jdk.jfr.StackTrace
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"stackTrace"`
- jdk.jfr.Threshold
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"threshold"`
- jdk.jfr.Throttle
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"throttle"`
- jdk.jfr.Timespan
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MICROSECONDS`
  `"MICROSECONDS"`
  `public static final String`
  `MILLISECONDS`
  `"MILLISECONDS"`
  `public static final String`
  `NANOSECONDS`
  `"NANOSECONDS"`
  `public static final String`
  `SECONDS`
  `"SECONDS"`
  `public static final String`
  `TICKS`
  `"TICKS"`
- jdk.jfr.Timestamp
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MILLISECONDS_SINCE_EPOCH`
  `"MILLISECONDS_SINCE_EPOCH"`
  `public static final String`
  `TICKS`
  `"TICKS"`

## jdk.jshell.*

- jdk.jshell.Diag
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `NOPOS`
  `-1L`

- jdk.jshell.execution.JdiExecutionControlProvider
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PARAM_HOST_NAME`
  `"hostname"`
  `public static final String`
  `PARAM_LAUNCH`
  `"launch"`
  `public static final String`
  `PARAM_REMOTE_AGENT`
  `"remoteAgent"`
  `public static final String`
  `PARAM_TIMEOUT`
  `"timeout"`

## jdk.management.*

- jdk.management.jfr.FlightRecorderMXBean
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MXBEAN_NAME`
  `"jdk.management.jfr:type=FlightRecorder"`

## org.ietf.*

- org.ietf.jgss.GSSContext
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_LIFETIME`
  `0`
  `public static final int`
  `INDEFINITE_LIFETIME`
  `2147483647`
- org.ietf.jgss.GSSCredential
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACCEPT_ONLY`
  `2`
  `public static final int`
  `DEFAULT_LIFETIME`
  `0`
  `public static final int`
  `INDEFINITE_LIFETIME`
  `2147483647`
  `public static final int`
  `INITIATE_AND_ACCEPT`
  `0`
  `public static final int`
  `INITIATE_ONLY`
  `1`
- org.ietf.jgss.GSSException
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BAD_BINDINGS`
  `1`
  `public static final int`
  `BAD_MECH`
  `2`
  `public static final int`
  `BAD_MIC`
  `6`
  `public static final int`
  `BAD_NAME`
  `3`
  `public static final int`
  `BAD_NAMETYPE`
  `4`
  `public static final int`
  `BAD_QOP`
  `14`
  `public static final int`
  `BAD_STATUS`
  `5`
  `public static final int`
  `CONTEXT_EXPIRED`
  `7`
  `public static final int`
  `CREDENTIALS_EXPIRED`
  `8`
  `public static final int`
  `DEFECTIVE_CREDENTIAL`
  `9`
  `public static final int`
  `DEFECTIVE_TOKEN`
  `10`
  `public static final int`
  `DUPLICATE_ELEMENT`
  `17`
  `public static final int`
  `DUPLICATE_TOKEN`
  `19`
  `public static final int`
  `FAILURE`
  `11`
  `public static final int`
  `GAP_TOKEN`
  `22`
  `public static final int`
  `NAME_NOT_MN`
  `18`
  `public static final int`
  `NO_CONTEXT`
  `12`
  `public static final int`
  `NO_CRED`
  `13`
  `public static final int`
  `OLD_TOKEN`
  `20`
  `public static final int`
  `UNAUTHORIZED`
  `15`
  `public static final int`
  `UNAVAILABLE`
  `16`
  `public static final int`
  `UNSEQ_TOKEN`
  `21`

## org.w3c.*

- org.w3c.dom.DOMError
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `SEVERITY_ERROR`
  `2`
  `public static final short`
  `SEVERITY_FATAL_ERROR`
  `3`
  `public static final short`
  `SEVERITY_WARNING`
  `1`
- org.w3c.dom.DOMException
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `DOMSTRING_SIZE_ERR`
  `2`
  `public static final short`
  `HIERARCHY_REQUEST_ERR`
  `3`
  `public static final short`
  `INDEX_SIZE_ERR`
  `1`
  `public static final short`
  `INUSE_ATTRIBUTE_ERR`
  `10`
  `public static final short`
  `INVALID_ACCESS_ERR`
  `15`
  `public static final short`
  `INVALID_CHARACTER_ERR`
  `5`
  `public static final short`
  `INVALID_MODIFICATION_ERR`
  `13`
  `public static final short`
  `INVALID_STATE_ERR`
  `11`
  `public static final short`
  `NAMESPACE_ERR`
  `14`
  `public static final short`
  `NO_DATA_ALLOWED_ERR`
  `6`
  `public static final short`
  `NO_MODIFICATION_ALLOWED_ERR`
  `7`
  `public static final short`
  `NOT_FOUND_ERR`
  `8`
  `public static final short`
  `NOT_SUPPORTED_ERR`
  `9`
  `public static final short`
  `SYNTAX_ERR`
  `12`
  `public static final short`
  `TYPE_MISMATCH_ERR`
  `17`
  `public static final short`
  `VALIDATION_ERR`
  `16`
  `public static final short`
  `WRONG_DOCUMENT_ERR`
  `4`
- org.w3c.dom.Node
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ATTRIBUTE_NODE`
  `2`
  `public static final short`
  `CDATA_SECTION_NODE`
  `4`
  `public static final short`
  `COMMENT_NODE`
  `8`
  `public static final short`
  `DOCUMENT_FRAGMENT_NODE`
  `11`
  `public static final short`
  `DOCUMENT_NODE`
  `9`
  `public static final short`
  `DOCUMENT_POSITION_CONTAINED_BY`
  `16`
  `public static final short`
  `DOCUMENT_POSITION_CONTAINS`
  `8`
  `public static final short`
  `DOCUMENT_POSITION_DISCONNECTED`
  `1`
  `public static final short`
  `DOCUMENT_POSITION_FOLLOWING`
  `4`
  `public static final short`
  `DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC`
  `32`
  `public static final short`
  `DOCUMENT_POSITION_PRECEDING`
  `2`
  `public static final short`
  `DOCUMENT_TYPE_NODE`
  `10`
  `public static final short`
  `ELEMENT_NODE`
  `1`
  `public static final short`
  `ENTITY_NODE`
  `6`
  `public static final short`
  `ENTITY_REFERENCE_NODE`
  `5`
  `public static final short`
  `NOTATION_NODE`
  `12`
  `public static final short`
  `PROCESSING_INSTRUCTION_NODE`
  `7`
  `public static final short`
  `TEXT_NODE`
  `3`
- org.w3c.dom.TypeInfo
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DERIVATION_EXTENSION`
  `2`
  `public static final int`
  `DERIVATION_LIST`
  `8`
  `public static final int`
  `DERIVATION_RESTRICTION`
  `1`
  `public static final int`
  `DERIVATION_UNION`
  `4`
- org.w3c.dom.UserDataHandler
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `NODE_ADOPTED`
  `5`
  `public static final short`
  `NODE_CLONED`
  `1`
  `public static final short`
  `NODE_DELETED`
  `3`
  `public static final short`
  `NODE_IMPORTED`
  `2`
  `public static final short`
  `NODE_RENAMED`
  `4`

- org.w3c.dom.bootstrap.DOMImplementationRegistry
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROPERTY`
  `"org.w3c.dom.DOMImplementationSourceList"`

- org.w3c.dom.css.CSSPrimitiveValue
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `CSS_ATTR`
  `22`
  `public static final short`
  `CSS_CM`
  `6`
  `public static final short`
  `CSS_COUNTER`
  `23`
  `public static final short`
  `CSS_DEG`
  `11`
  `public static final short`
  `CSS_DIMENSION`
  `18`
  `public static final short`
  `CSS_EMS`
  `3`
  `public static final short`
  `CSS_EXS`
  `4`
  `public static final short`
  `CSS_GRAD`
  `13`
  `public static final short`
  `CSS_HZ`
  `16`
  `public static final short`
  `CSS_IDENT`
  `21`
  `public static final short`
  `CSS_IN`
  `8`
  `public static final short`
  `CSS_KHZ`
  `17`
  `public static final short`
  `CSS_MM`
  `7`
  `public static final short`
  `CSS_MS`
  `14`
  `public static final short`
  `CSS_NUMBER`
  `1`
  `public static final short`
  `CSS_PC`
  `10`
  `public static final short`
  `CSS_PERCENTAGE`
  `2`
  `public static final short`
  `CSS_PT`
  `9`
  `public static final short`
  `CSS_PX`
  `5`
  `public static final short`
  `CSS_RAD`
  `12`
  `public static final short`
  `CSS_RECT`
  `24`
  `public static final short`
  `CSS_RGBCOLOR`
  `25`
  `public static final short`
  `CSS_S`
  `15`
  `public static final short`
  `CSS_STRING`
  `19`
  `public static final short`
  `CSS_UNKNOWN`
  `0`
  `public static final short`
  `CSS_URI`
  `20`
- org.w3c.dom.css.CSSRule
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `CHARSET_RULE`
  `2`
  `public static final short`
  `FONT_FACE_RULE`
  `5`
  `public static final short`
  `IMPORT_RULE`
  `3`
  `public static final short`
  `MEDIA_RULE`
  `4`
  `public static final short`
  `PAGE_RULE`
  `6`
  `public static final short`
  `STYLE_RULE`
  `1`
  `public static final short`
  `UNKNOWN_RULE`
  `0`
- org.w3c.dom.css.CSSValue
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `CSS_CUSTOM`
  `3`
  `public static final short`
  `CSS_INHERIT`
  `0`
  `public static final short`
  `CSS_PRIMITIVE_VALUE`
  `1`
  `public static final short`
  `CSS_VALUE_LIST`
  `2`

- org.w3c.dom.events.Event
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `AT_TARGET`
  `2`
  `public static final short`
  `BUBBLING_PHASE`
  `3`
  `public static final short`
  `CAPTURING_PHASE`
  `1`
- org.w3c.dom.events.EventException
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `UNSPECIFIED_EVENT_TYPE_ERR`
  `0`
- org.w3c.dom.events.MutationEvent
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ADDITION`
  `2`
  `public static final short`
  `MODIFICATION`
  `1`
  `public static final short`
  `REMOVAL`
  `3`

- org.w3c.dom.ls.DOMImplementationLS
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `MODE_ASYNCHRONOUS`
  `2`
  `public static final short`
  `MODE_SYNCHRONOUS`
  `1`
- org.w3c.dom.ls.LSException
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `PARSE_ERR`
  `81`
  `public static final short`
  `SERIALIZE_ERR`
  `82`
- org.w3c.dom.ls.LSParser
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ACTION_APPEND_AS_CHILDREN`
  `1`
  `public static final short`
  `ACTION_INSERT_AFTER`
  `4`
  `public static final short`
  `ACTION_INSERT_BEFORE`
  `3`
  `public static final short`
  `ACTION_REPLACE`
  `5`
  `public static final short`
  `ACTION_REPLACE_CHILDREN`
  `2`
- org.w3c.dom.ls.LSParserFilter
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `FILTER_ACCEPT`
  `1`
  `public static final short`
  `FILTER_INTERRUPT`
  `4`
  `public static final short`
  `FILTER_REJECT`
  `2`
  `public static final short`
  `FILTER_SKIP`
  `3`

- org.w3c.dom.ranges.Range
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `END_TO_END`
  `2`
  `public static final short`
  `END_TO_START`
  `3`
  `public static final short`
  `START_TO_END`
  `1`
  `public static final short`
  `START_TO_START`
  `0`
- org.w3c.dom.ranges.RangeException
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `BAD_BOUNDARYPOINTS_ERR`
  `1`
  `public static final short`
  `INVALID_NODE_TYPE_ERR`
  `2`

- org.w3c.dom.traversal.NodeFilter
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `FILTER_ACCEPT`
  `1`
  `public static final short`
  `FILTER_REJECT`
  `2`
  `public static final short`
  `FILTER_SKIP`
  `3`
  `public static final int`
  `SHOW_ALL`
  `-1`
  `public static final int`
  `SHOW_ATTRIBUTE`
  `2`
  `public static final int`
  `SHOW_CDATA_SECTION`
  `8`
  `public static final int`
  `SHOW_COMMENT`
  `128`
  `public static final int`
  `SHOW_DOCUMENT`
  `256`
  `public static final int`
  `SHOW_DOCUMENT_FRAGMENT`
  `1024`
  `public static final int`
  `SHOW_DOCUMENT_TYPE`
  `512`
  `public static final int`
  `SHOW_ELEMENT`
  `1`
  `public static final int`
  `SHOW_ENTITY`
  `32`
  `public static final int`
  `SHOW_ENTITY_REFERENCE`
  `16`
  `public static final int`
  `SHOW_NOTATION`
  `2048`
  `public static final int`
  `SHOW_PROCESSING_INSTRUCTION`
  `64`
  `public static final int`
  `SHOW_TEXT`
  `4`

- org.w3c.dom.xpath.XPathException
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `INVALID_EXPRESSION_ERR`
  `1`
  `public static final short`
  `TYPE_ERR`
  `2`
- org.w3c.dom.xpath.XPathNamespace
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `XPATH_NAMESPACE_NODE`
  `13`
- org.w3c.dom.xpath.XPathResult
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ANY_TYPE`
  `0`
  `public static final short`
  `ANY_UNORDERED_NODE_TYPE`
  `8`
  `public static final short`
  `BOOLEAN_TYPE`
  `3`
  `public static final short`
  `FIRST_ORDERED_NODE_TYPE`
  `9`
  `public static final short`
  `NUMBER_TYPE`
  `1`
  `public static final short`
  `ORDERED_NODE_ITERATOR_TYPE`
  `5`
  `public static final short`
  `ORDERED_NODE_SNAPSHOT_TYPE`
  `7`
  `public static final short`
  `STRING_TYPE`
  `2`
  `public static final short`
  `UNORDERED_NODE_ITERATOR_TYPE`
  `4`
  `public static final short`
  `UNORDERED_NODE_SNAPSHOT_TYPE`
  `6`

## org.xml.*

- org.xml.sax.helpers.NamespaceSupport
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NSDECL`
  `"http://www.w3.org/xmlns/2000/"`
  `public static final String`
  `XMLNS`
  `"http://www.w3.org/XML/1998/namespace"`